/* Generated by Xgen from: X160.00.08 SIR XXXXXX on: 2015-07-23 14:23 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2015 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   EntMasQuoResp.hxx
 *
 * DESCRIPTION: Layouts used in the requests
 *              Xetra Enter Mass Quote
 */
/*----------------------------------------------------------------------------*/


#ifndef _ENTMASQUORESP_HXX_
#define _ENTMASQUORESP_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


/*----------------------------------------------------------------------------*/
/* Length definitions */

#define ISIN_COD_LEN                             12
#define MLI_REC_CTR_LEN                          3
#define ORDR_NO_BUY_LEN                          13
#define ORDR_NO_SEL_LEN                          13
#define RTN_COD_LEN                              5
#define TRD_BK_QTY_ASK_LEN                       12
#define TRD_BK_QTY_BID_LEN                       12
#define TRD_EXC_QTY_ASK_LEN                      12
#define TRD_EXC_QTY_BID_LEN                      12

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define ENT_MAS_QUO_REC_MAX                      70

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define entMasQuoResp_isinCod(Xarg1)             entMasQuoRec[(Xarg1)].instGrpIdCod.isinCod
#define entMasQuoResp_masQuoSts                  masQuoSts
#define entMasQuoResp_mliRecCtr                  mliRecCtr
#define entMasQuoResp_ordrNoBuy(Xarg1)           entMasQuoRec[(Xarg1)].ordrNoBuy
#define entMasQuoResp_ordrNoSel(Xarg1)           entMasQuoRec[(Xarg1)].ordrNoSel
#define entMasQuoResp_rtnCod(Xarg1)              entMasQuoRec[(Xarg1)].rtnCod
#define entMasQuoResp_smpCnclAskInd(Xarg1)       entMasQuoRec[(Xarg1)].smpCnclAskInd
#define entMasQuoResp_smpCnclBidInd(Xarg1)       entMasQuoRec[(Xarg1)].smpCnclBidInd
#define entMasQuoResp_trdBkQtyAsk(Xarg1)         entMasQuoRec[(Xarg1)].trdBkQtyAsk
#define entMasQuoResp_trdBkQtyBid(Xarg1)         entMasQuoRec[(Xarg1)].trdBkQtyBid
#define entMasQuoResp_trdExcQtyAsk(Xarg1)        entMasQuoRec[(Xarg1)].trdExcQtyAsk
#define entMasQuoResp_trdExcQtyBid(Xarg1)        entMasQuoRec[(Xarg1)].trdExcQtyBid

/*----------------------------------------------------------------------------*/
/* Type definitions */

/*----------------------------------------------------------------------------*/

#ifndef _INST_GRP_ID_COD_T_
#define _INST_GRP_ID_COD_T_

typedef struct instGrpIdCodTag
{
    char             isinCod         [ISIN_COD_LEN];
} instGrpIdCodT, *pInstGrpIdCodT;


#endif  /* _INST_GRP_ID_COD_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _ENT_MAS_QUO_REC_T_
#define _ENT_MAS_QUO_REC_T_

typedef struct entMasQuoRecTag
{
    char             rtnCod          [RTN_COD_LEN];
    instGrpIdCodT    instGrpIdCod;
    char             trdBkQtyAsk     [TRD_BK_QTY_ASK_LEN+1];
    char             trdBkQtyBid     [TRD_BK_QTY_BID_LEN+1];
    char             smpCnclAskInd;
    char             smpCnclBidInd;
    char             trdExcQtyAsk    [TRD_EXC_QTY_ASK_LEN+1];
    char             trdExcQtyBid    [TRD_EXC_QTY_BID_LEN+1];
    char             ordrNoBuy       [ORDR_NO_BUY_LEN];
    char             ordrNoSel       [ORDR_NO_SEL_LEN];
} entMasQuoRecT, *pEntMasQuoRecT;


#endif  /* _ENT_MAS_QUO_REC_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _ENT_MAS_QUO_RESP_T_
#define _ENT_MAS_QUO_RESP_T_

typedef struct entMasQuoRespTag
{
    char             masQuoSts;
    char             mliRecCtr       [MLI_REC_CTR_LEN];
    entMasQuoRecT    entMasQuoRec    [ENT_MAS_QUO_REC_MAX];
} entMasQuoRespT, *pEntMasQuoRespT;


#endif  /* _ENT_MAS_QUO_RESP_T_ */


#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _ENTMASQUORESP_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file EntMasQuoResp.hxx */
/*----------------------------------------------------------------------------*/
