/* Generated by Xgen from: X71.02.04 on: 2004-06-22 13:40 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2004 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   InqEngyExcParmResp.hxx
 *
 * DESCRIPTION: Layouts used in the requests
 *              Xetra Inquire Energy Exchange Parameters
 */
/*----------------------------------------------------------------------------*/


#ifndef _INQENGYEXCPARMRESP_HXX_
#define _INQENGYEXCPARMRESP_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


/*----------------------------------------------------------------------------*/
/* Length definitions */

#define CSHM_DATE_LEN               8
#define CSHM_PRICE_LEN              13
#define CSHM_QUANTITY_LEN           15
#define DATE_LST_UPD_DAT_LEN        18
#define DLV_HR_LEN                  2
#define ENGY_BLC_BID_OPTIM_LIM_LEN  4
#define ENGY_TSO_COD_LEN            4
#define ENGY_TSO_MKT_AREA_LEN       4
#define INST_GRP_COD_LEN            4
#define MAX_BLC_BID_NUM_LEN         4
#define MAX_PRC_STEP_NUM_LEN        3
#define MLI_REC_CTR_LEN             3

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define INQ_ENGY_EXC_PARM_REC_MAX   20

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define inqEngyExcParmResp_currMaxBlcBidNum           currMaxBlcBidNum
#define inqEngyExcParmResp_currMaxBlcBidQty           currMaxBlcBidQty
#define inqEngyExcParmResp_currMaxPrcStepNum          currMaxPrcStepNum
#define inqEngyExcParmResp_dateLstUpdDat              dateLstUpdDat
#define inqEngyExcParmResp_engyBlcBidOptimLim         engyBlcBidOptimLim
#define inqEngyExcParmResp_engyBlcBidOptimMinPrcDiff  engyBlcBidOptimMinPrcDiff
#define inqEngyExcParmResp_engyMaxPrc                 engyMaxPrc
#define inqEngyExcParmResp_engyTsoCod(Xarg1)          inqEngyExcParmRec[(Xarg1)].engyTsoCod
#define inqEngyExcParmResp_engyTsoMktArea(Xarg1)      inqEngyExcParmRec[(Xarg1)].engyTsoMktArea
#define inqEngyExcParmResp_instGrpCod(Xarg1)          inqEngyExcParmRec[(Xarg1)].instGrpCod
#define inqEngyExcParmResp_mliRecCtr                  mliRecCtr
#define inqEngyExcParmResp_nextMaxBlcBidNum           nextMaxBlcBidNum
#define inqEngyExcParmResp_nextMaxBlcBidQty           nextMaxBlcBidQty
#define inqEngyExcParmResp_nextMaxPrcStepNum          nextMaxPrcStepNum
#define inqEngyExcParmResp_summerTimBegDat            summerTimGrp.summerTimBegDat
#define inqEngyExcParmResp_summerTimBegHr             summerTimGrp.summerTimBegHr
#define inqEngyExcParmResp_summerTimEnblInd           summerTimGrp.summerTimEnblInd
#define inqEngyExcParmResp_summerTimEndDat            summerTimGrp.summerTimEndDat
#define inqEngyExcParmResp_summerTimEndHr             summerTimGrp.summerTimEndHr

/*----------------------------------------------------------------------------*/
/* Type definitions */

/*----------------------------------------------------------------------------*/
#ifndef _INQ_ENGY_EXC_PARM_REC_T_
#define _INQ_ENGY_EXC_PARM_REC_T_

    typedef struct inqEngyExcParmRecTag
    {
        char engyTsoCod[ENGY_TSO_COD_LEN];
        char engyTsoMktArea[ENGY_TSO_MKT_AREA_LEN];
        char instGrpCod[INST_GRP_COD_LEN];
    } inqEngyExcParmRecT, *pInqEngyExcParmRecT;


#endif  /* _INQ_ENGY_EXC_PARM_REC_T_ */

/*----------------------------------------------------------------------------*/
#ifndef _SUMMER_TIM_GRP_T_
#define _SUMMER_TIM_GRP_T_

    typedef struct summerTimGrpTag
    {
        char summerTimEnblInd;
        char summerTimBegDat[CSHM_DATE_LEN];
        char summerTimBegHr[DLV_HR_LEN];
        char summerTimEndDat[CSHM_DATE_LEN];
        char summerTimEndHr[DLV_HR_LEN];
    } summerTimGrpT, *pSummerTimGrpT;


#endif  /* _SUMMER_TIM_GRP_T_ */

/*----------------------------------------------------------------------------*/

    typedef struct inqEngyExcParmRespTag
    {
        char currMaxBlcBidNum[MAX_BLC_BID_NUM_LEN];
        char currMaxBlcBidQty[CSHM_QUANTITY_LEN+1];
        char currMaxPrcStepNum[MAX_PRC_STEP_NUM_LEN];
        char nextMaxBlcBidNum[MAX_BLC_BID_NUM_LEN];
        char nextMaxBlcBidQty[CSHM_QUANTITY_LEN+1];
        char nextMaxPrcStepNum[MAX_PRC_STEP_NUM_LEN];
        char engyMaxPrc[CSHM_PRICE_LEN+1];
        char engyBlcBidOptimLim[ENGY_BLC_BID_OPTIM_LIM_LEN];
        char engyBlcBidOptimMinPrcDiff[CSHM_PRICE_LEN+1];
        summerTimGrpT summerTimGrp;
        char mliRecCtr[MLI_REC_CTR_LEN];
        inqEngyExcParmRecT inqEngyExcParmRec[INQ_ENGY_EXC_PARM_REC_MAX];
        char dateLstUpdDat[DATE_LST_UPD_DAT_LEN];
    } inqEngyExcParmRespT, *pInqEngyExcParmRespT;

#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _INQENGYEXCPARMRESP_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file InqEngyExcParmResp.hxx */
/*----------------------------------------------------------------------------*/
