/* Generated by Xgen from: X140.01.01 SIR 236830 on: 2013-06-21 16:26 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2013 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   InqMMPLimResp.hxx
 *
 * DESCRIPTION: Layouts used in the requests
 *              Xetra Inquire Market Maker Protection Limits
 */
/*----------------------------------------------------------------------------*/


#ifndef _INQMMPLIMRESP_HXX_
#define _INQMMPLIMRESP_HXX_

#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


/*----------------------------------------------------------------------------*/
/* Length definitions */

#define DELTA_QTY_LIM_LEN                        15
#define DELTA_VOL_LIM_LEN                        15
#define INST_GRP_COD_LEN                         4
#define KEY_DAT_CTRL_BLC_LEN                     80
#define MLI_REC_CTR_LEN                          3
#define NO_EXEC_LIM_LEN                          6
#define PRCT_QTY_LIM_LEN                         6
#define PRCT_VOL_LIM_LEN                         6
#define QTY_LIM_LEN                              15
#define TIME_INTVL_SEC_LEN                       2
#define VOL_LIM_LEN                              15

/*----------------------------------------------------------------------------*/
/* Size definitions */

#define MMP_REC_MAX                              50

/*----------------------------------------------------------------------------*/
/* Macro definitions */

#define inqMMPLimResp_deltaQtyLim(Xarg1)         mmpRec[(Xarg1)].deltaQtyLim
#define inqMMPLimResp_deltaVolLim(Xarg1)         mmpRec[(Xarg1)].deltaVolLim
#define inqMMPLimResp_instGrpCod(Xarg1)          mmpRec[(Xarg1)].instGrpDefGrp.instGrpCod
#define inqMMPLimResp_keyDatCtrlBlc              keyDatCtrlBlc
#define inqMMPLimResp_mliRecCtr                  mliRecCtr
#define inqMMPLimResp_noExecLim(Xarg1)           mmpRec[(Xarg1)].noExecLim
#define inqMMPLimResp_prctQtyLim(Xarg1)          mmpRec[(Xarg1)].prctQtyLim
#define inqMMPLimResp_prctVolLim(Xarg1)          mmpRec[(Xarg1)].prctVolLim
#define inqMMPLimResp_qtyLim(Xarg1)              mmpRec[(Xarg1)].qtyLim
#define inqMMPLimResp_timIntvlSec(Xarg1)         mmpRec[(Xarg1)].timIntvlSec
#define inqMMPLimResp_volLim(Xarg1)              mmpRec[(Xarg1)].volLim

/*----------------------------------------------------------------------------*/
/* Type definitions */

/*----------------------------------------------------------------------------*/

#ifndef _INST_GRP_DEF_GRP_T_
#define _INST_GRP_DEF_GRP_T_

typedef struct instGrpDefGrpTag
{
    char             instGrpCod      [INST_GRP_COD_LEN];
} instGrpDefGrpT, *pInstGrpDefGrpT;


#endif  /* _INST_GRP_DEF_GRP_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _MMP_REC_T_
#define _MMP_REC_T_

typedef struct mmpRecTag
{
    instGrpDefGrpT   instGrpDefGrp;
    char             volLim          [VOL_LIM_LEN+1];
    char             deltaVolLim     [DELTA_VOL_LIM_LEN+1];
    char             qtyLim          [QTY_LIM_LEN+1];
    char             deltaQtyLim     [DELTA_QTY_LIM_LEN+1];
    char             prctVolLim      [PRCT_VOL_LIM_LEN];
    char             prctQtyLim      [PRCT_QTY_LIM_LEN];
    char             noExecLim       [NO_EXEC_LIM_LEN];
    char             timIntvlSec     [TIME_INTVL_SEC_LEN];
} mmpRecT, *pMmpRecT;


#endif  /* _MMP_REC_T_ */

/*----------------------------------------------------------------------------*/

#ifndef _INQ_M_M_P_LIM_RESP_T_
#define _INQ_M_M_P_LIM_RESP_T_

typedef struct inqMMPLimRespTag
{
    char             keyDatCtrlBlc   [KEY_DAT_CTRL_BLC_LEN];
    char             mliRecCtr       [MLI_REC_CTR_LEN];
    mmpRecT          mmpRec          [MMP_REC_MAX];
} inqMMPLimRespT, *pInqMMPLimRespT;


#endif  /* _INQ_M_M_P_LIM_RESP_T_ */


#if defined(__cplusplus) || defined(c_plusplus)
} /* close scope of 'extern "C"' declaration which encloses file. */
#endif

#endif  /* _INQMMPLIMRESP_HXX_ */

/*----------------------------------------------------------------------------*/
/* End of file InqMMPLimResp.hxx */
/*----------------------------------------------------------------------------*/
