/* Generated by Xgen from: X160.01.08 SIR 317893 on: 2015-09-25 14:37 */
/************************************************************************
 *                                                                      *
 *                Copyright (c) 2015 by                                 *
 *          Deutsche Boerse AG, Frankfurt, Germany                      *
 *                          All rights reserved.                        *
 *                                                                      *
 *   This software is furnished under a license and may be used and     *
 *   copied  only  in accordance with the terms of such license and     *
 *   with the  inclusion  of  the  above  copyright  notice.   This     *
 *   software  or  any  other copies thereof may not be provided or     *
 *   otherwise made available to any other person.  No title to and     *
 *   ownership of the software is hereby transferred.                   *
 *                                                                      *
 *   The information in this software is subject to change  without     *
 *   notice  and should not be construed as a commitment by Deutsche    *
 *   Boerse AG.                                                         *
 *                                                                      *
 *   Deutsche Boerse AG assumes no responsibility for the use  or       *
 *   reliability of its software on equipment which is not certified by *
 *   Deutsche Boerse AG.                                                *
 *                                                                      *
 ************************************************************************/
/*----------------------------------------------------------------------------*/
/*
 * FILE NAME:   elbcodeXetra.h
 *
 * DESCRIPTION: Error message definitions common to the architecture
 */
/*----------------------------------------------------------------------------*/

#ifndef _ELBCODEXETRA_H_
#define _ELBCODEXETRA_H_

#define ELB_STARTUP_SUCCESS                          2   /*     2 - STARTUP SUCCESSFUL */
#define ELB_INVALID_REQUEST_ID                      12   /*    12 - INVALID REQUEST ID */
#define ELB_INVALID_PUB_MSG_TYPE                    13   /*    13 - INVALID MESSAGE TYPE */
#define ELB_INSUFFICIENT_MEMORY                     14   /*    14 - OUT OF MEMORY */
#define ELB_INVALID_VERSION                         15   /*    15 - INVALID VERSION NUMBER */
#define ELB_INVALID_MSG_TYPE                        16   /*    16 - INVALID MESSAGE TYPE */
#define ELB_CANNOT_INITIALIZE                       17   /*    17 - MODULE CANNOT BE INITIALIZED */
#define ELB_INVALID_OPERATION                       18   /*    18 - INVALID OPERATION */
#define ELB_CHANNEL_CLOSED                          19   /*    19 - CHANNEL IS CLOSED */
#define ELB_XETRA_INVALID_PARAMETER                 23   /*    23 - PARAMETER CHECK FAILED */
#define ELB_INVALID_CONFIG_ENTRY                    71   /*    71 - INVALID CONFIGURATION FILE ENTRY */
#define ELB_CANNOT_OPEN_FILE                        75   /*    75 - CANNOT OPEN FILE */
#define ELB_INVALID_CONFIG_ENTRY_LENGTH             76   /*    76 - A CONFIGURATION FILE ENTRY HAS A WRONG LENGTH */
#define ELB_INVALID_RECORD_SIZE                     82   /*    82 - INVALID RECORD SIZE */
#define ELB_BUFFER_NOT_AVAILABLE                    83   /*    83 - RECORD NOT IN USE */
#define ELB_XERVICE_SHUTDOWN_REQUEST                98   /*    98 - XERVICE SHUTDOWN REQUEST RECEIVED */
#define ELB_STORED_MESSAGE_NOT_FOUND               107   /*   107 - INTERNAL ERROR: STORED MESSAGE */
#define ELB_SYNC_CONNECT_ERR                       215   /*   215 - ARCHITECTURE IS DOWN - NO CONNECTION TO PEER SOCKET */
#define ELB_REF_DAT_CHECK_FAILED                   216   /*   216 - REFERENCE DATA FILE CHECK FAILED */
#define ELB_INVALID_MISS_HOST_NAME                 432   /*   432 - INVALID MISS HOST NAME IN CONFIG FILE */
#define ELB_INVALID_BODY                           435   /*   435 - INVALID BODY FOR SERVICE NOTIFICATION */
#define ELB_NO_MISS_ID_IN_CONFIG_FILE              440   /*   440 - MISS ID MISSING IN THE CONFIG FILE */
#define ELB_NO_BUS_DATE_IN_REF_DAT_FILE            460   /*   460 - NO BUSINESS DATE IN REFERENCE DATA FILE */
#define ELB_NO_MISS_IN_REF_DAT_FILE                461   /*   461 - NO MISS IN REFERENCE DATA FILE */
#define ELB_INVALID_RECORD                         462   /*   462 - INVALID RECORD IN CHECK REFERENCE DATA FILE */
#define ELB_DUPLICATE_TRANSACTION_CODE             470   /*   470 - DUPLICATE TRANSACTION CODE */
#define ELB_NO_TRAN_CODE_TABLE_CREATED             471   /*   471 - NO TRANSACTION CODE TABLE CREATED */
#define ELB_NO_TRAN_CODE_WRITTEN_TO_TABLE          472   /*   472 - NO TRANSACTION CODE WRITTEN TO TABLE */
#define ELB_COMPRESSION_FAILED                     473   /*   473 - COMPRESSION FAILED */
#define ELB_DECOMPRESSION_FAILED                   474   /*   474 - DECOMPRESSION FAILED */
#define ELB_ENCRYPTION_FAILED                      475   /*   475 - ENCRYPTION FAILED */
#define ELB_DECRYPTION_FAILED                      476   /*   476 - DECRYPTION FAILED */
#define ELB_MESSAGE_TOO_LONG_FOR_COMP_ENCR         479   /*   479 - MESSAGE TOO LONG FOR COMPRESSION/ENCRYPTION */
#define ELB_MESSAGE_TOO_LONG_FOR_DECOMP_DECR       480   /*   480 - MESSAGE TOO LONG FOR DECOMPRESSION/DECRYPTION */
#define ELB_NOT_CONNECTED                          501   /*   501 - NO CONNECTION TO CS */
#define ELB_COMMAND_UNKNOWN                        502   /*   502 - MESSAGE COMMAND UNKNOWN */
#define ELB_CONVERSION_FAILED                      505   /*   505 - CONVERSION BETWEEN FE AND BE MESSAGE FAILED */
#define ELB_INVALID_NOTIFICATION                   506   /*   506 - INVALID SERVICE NOTIFICATION */
#define ELB_MSG_WHILE_UNAVAILABLE                  518   /*   518 - MESSAGE RECEIVED WHILE BESS UNAVAILABLE */
#define ELB_NO_APPL_PROC_FOR_REQUEST_ID            519   /*   519 - NO APPLICATION PROCESS FOUND FOR PROVIDED REQUEST ID */
#define ELB_BE_APPL_ERROR                          598   /*   598 - BACK END APPLICATION ERROR */
#define ELB_BE_ARCH_ERROR                          599   /*   599 - BACK END ARCHITECTURE ERROR */
#define ELB_CANNOT_LOAD_USIM_LIB                   605   /*   605 - CANNOT LOAD DYNAMIC USIM LIBRARY */
#define ELB_BRT_SEQNUM_TOO_HIGH                    650   /*   650 - SEQUENCE NUMBER FOR RETRANSMISSION REQUEST HAS NOT BEEN SENT YET */
#define ELB_XETRA_BRT_NOT_AVAILABLE_YET            651   /*   651 - SEQUENCE NUMBER FOR RETRANSMISSION REQUEST NOT AVAILABLE YET */
#define ELB_BRT_INTERNAL_ERROR                     652   /*   652 - NO RESPONSE ON RETRANSMISSION REQUEST-INTERNAL ARCHITECTURE ERROR */
#define ELB_BRT_UNKNOWN_STREAM                     653   /*   653 - REQUESTED STREAM UNKNOWN TO RETRANSMITTER */
#define ELB_BRT_INVALID_SEQ                        654   /*   654 - INVALID SEQUENCE NUMBERS OR KEYDATCTRLBLC IN REQUEST */
#define ELB_BRT_FILE_ERROR                         655   /*   655 - ERROR ON OPENING STATUS AND LOG FILES */
#define ELB_BRT_CHANNEL_LOST                       656   /*   656 - CHANNEL LOST TO BESS XETRA MANAGER */
#define ELB_BRT_UNKNOWN_MEMBER                     657   /*   657 - UNKNOWN MEMBER */
#define ELB_BRT_INVALID_ISIN                       658   /*   658 - INVALID ISIN */
#define ELB_BRT_REPEAT_INQUIRY                     659   /*   659 - MULTIPLE RESPONSE NOT POSSIBLE DUE TO MISS FAILOVER */
#define ELB_TOO_MANY_STREAMS                       801   /*   801 - TOO MANY APPLICATION STREAMS IN STARTUP SUBSCRIPTION LIST */
#define ELB_INVALID_BCAST_TYPE                     802   /*   802 - INVALID TYPE USED IN APPLICATION STREAM DEFINITION */
#define ELB_NO_VALID_STREAM                        803   /*   803 - THERE IS NO VALID APPLICATION STREAM IN STARTUP SUBSCRIPTION LIST */
#define ELB_MEMBER_NOT_AUTHORIZED                  806   /*   806 - INVALID MEMBER-NODE MAPPING */
#define ELB_INACTIVE_BCSRV_IN_DEV                  807   /*   807 - INACTIVE XETRA BROADCAST SERVER EXISTS IN DEVELOPMENT */
#define ELB_STREAM_AUTH_FAILED                     808   /*   808 - MEMBER NOT AUTHORIZED TO SUBSCRIBE TO WANTED STREAM */
#define ELB_STREAM_LIMIT_EXCEEDED                  809   /*   809 - SUBSCRIBER LIMIT FOR WANTED STREAM EXCEEDED */
#define ELB_INVALID_COMPLETION_CODE                810   /*   810 - INVALID COMPLETION CODE PASSED BY BACK END APPLICATION */
#define ELB_UNKNOWN_STREAM                         811   /*   811 - BROADCAST FOR AN UNSUBSCRIBED STREAM CAPTURED */
#define ELB_SYSERR_ON_BE                           812   /*   812 - REQUEST COULD NOT BE PROCESSED ON BACK END */
#define ELB_ERROR_PROCESSING_MSG                   813   /*   813 - ERROR PROCESSING MESSAGE */
#define ELB_STREAM_NOT_IN_SEQUENCE                 814   /*   814 - BROADCAST STREAM OUT OF SEQUENCE */
#define ELB_PUB_LENGTH_BIGGER_THAN_OUTPUT_LENGTH   816   /*   816 - INVALID LENGTH */
#define ELB_PUB_INVALID_DIGIT                      817   /*   817 - NON-NUMERIC DIGIT */
#define ELB_PUB_INVALID_INDEX                      818   /*   818 - INVALID INDEX */
#define ELB_PUB_INVALID_ASK_BID_NUMBER             820   /*   820 - EITHER INVALID ASK OR BID NUMBER */
#define ELB_NO_STREAM_SUBSCR                       821   /*   821 - NOT SUBSCRIBED TO ANY STREAM */
#define ELB_BCSRV_ACTIVE                           822   /*   822 - ACTIVE BROADCAST SERVER */
#define ELB_BCSRV_TAKE_OVER                        823   /*   823 - UNSUCCESSFUL TRY TO TAKE OVER */
#define ELB_INVALID_ROB_DATA_LENGTH                824   /*   824 - INVALID ROB DATA LENGTH */
#define ELB_PUB_BCST_GAP                           826   /*   826 - "MARKET WINDOWS" CONTENT MAY BE OUTDATED */
#define ELB_NO_DELAY_TIME_FOUND                    827   /*   827 - DELAY TIME NOT FOUND */
#define ELB_INVALID_XETRAREF_ENTRY                 828   /*   828 - INVALID ENTRY IN XETRAREF FILE */
#define ELB_INACTIVE_BCSRV                         829   /*   829 - INACTIVE BROADCAST SERVER */
#define ELB_INVALID_ISIX                           830   /*   830 - INVALID ISIX */
#define ELB_ROBS_INCONSISTENT                      831   /*   831 - ROBS INCONSISTENT */
#define ERCD_INST_NOT_AVL                         4500   /*  4500 - INSTRUMENT DOES NOT EXIST */
#define ERCD_MEMB_NO_EXCHG                        4502   /*  4502 - MEMBER ID IS NOT EXCHANGE */
#define ERCD_NOT_PRINTABLE                        4503   /*  4503 - FIELD CONTAINS NON PRINTABLE CHARACTERS */
#define ERCD_BASIC_ORDER_TYP                      4504   /*  4504 - INVALID BASIC ORDER TYPE */
#define ERCD_BS_IND_NOT_AVL                       4505   /*  4505 - INVALID BUY/SELL INDICATOR */
#define ERCD_QUO_QUANTITY                         4506   /*  4506 - INVALID QUOTE QUANTITY */
#define ERCD_LIMIT_PRICE                          4507   /*  4507 - INVALID LIMIT */
#define ERCD_INTERNAL_ORD_NUM                     4508   /*  4508 - INVALID MEMBER INTERNAL ORDER NUMBER */
#define ERCD_EXPIRY_DATE                          4509   /*  4509 - INVALID EXPIRY DATE */
#define ERCD_ORD_QUANTITY                         4510   /*  4510 - INVALID ORDER QUANTITY */
#define ERCD_USER_ID                              4511   /*  4511 - INVALID USER ID */
#define ERCD_ACCT_TYP                             4512   /*  4512 - INVALID ACCOUNT TYPE */
#define ERCD_EXEC_REST                            4513   /*  4513 - INVALID EXECUTION RESTRICTION TYPE */
#define ERCD_LIMIT_PRICE_BUY                      4515   /*  4515 - INVALID LIMIT PRICE BUY */
#define ERCD_LIMIT_PRICE_SELL                     4516   /*  4516 - INVALID LIMIT PRICE SELL */
#define ERCD_TRAD_REST                            4517   /*  4517 - INVALID TRADING RESTRICTION TYPE */
#define ERCD_BESS_INVALID_DATE                    4518   /*  4518 - INVALID DATE */
#define ERCD_INVALID_TIME                         4519   /*  4519 - INVALID TIME */
#define ERCD_INVALID_BUY_SELL_LIMIT               4520   /*  4520 - INVALID BUY/SELL LIMIT */
#define ERCD_FILTER_LIMIT_PRICE                   4521   /*  4521 - INVALID FILTER LIMIT PRICE */
#define ERCD_INVALID_ORD_NO                       4522   /*  4522 - INVALID ORDER NUMBER */
#define ERCD_ON_BEHALF                            4523   /*  4523 - INVALID TRADER ID */
#define ERCD_ACCT_NO                              4524   /*  4524 - INVALID ACCOUNT NUMBER */
#define ERCD_LIMIT_QTY_EQUAL                      4525   /*  4525 - SELL/BUY QUANTITY NOT EQUAL */
#define ERCD_LOAD_INST_REF_DATA                   4526   /*  4526 - ERROR IN LOADING INSTRUMENT REFERENCE DATA */
#define ERCD_KEY_DATA_CTRL                        4527   /*  4527 - INVALID KEY DATA CONTROL BLOCK */
#define ERCD_INST_LST_REQ                         4528   /*  4528 - INVALID INSTRUMENT LIST REQUEST */
#define ERCD_TRAN_ID                              4529   /*  4529 - INVALID TRANSACTION ID */
#define ERCD_NO_LIC_FOR_INSTR                     4530   /*  4530 - LICENSE IS NOT AVAILABLE FOR THIS INSTRUMENT */
#define ERCD_CTPY                                 4531   /*  4531 - INVALID COUNTERPARTY */
#define ERCD_MEMBER_ID                            4532   /*  4532 - INVALID MEMBER ID */
#define ERCD_CLG_MEMB                             4533   /*  4533 - INVALID CLEARING MEMBER ID */
#define ERCD_PRC_CURR_COD                         4534   /*  4534 - INVALID PRICE CURRENCY CODE */
#define ERCD_EXC_MEMB                             4535   /*  4535 - INVALID EXCHANGE MEMBER */
#define ERCD_INVALID_QUOTE_SPREAD                 4536   /*  4536 - INVALID QUOTE SPREAD */
#define ERCD_INVALID_REQ_DATA                     4537   /*  4537 - INVALID REQUEST DATA */
#define ERCD_MOD_ACCT_TYP_COD                     4538   /*  4538 - INVALID MODIFICATION OF ACCOUNT TYPE */
#define ERCD_DATE_REQ                             4539   /*  4539 - DATE REQUIRED */
#define ERCD_BEGIN_GREATER_END_TIME               4540   /*  4540 - BEGIN TIME GREATER END TIME */
#define ERCD_RES_ACC_LVL                          4541   /*  4541 - INVALID RESOURCE ACCESS LEVEL */
#define ERCD_AGT_IND                              4542   /*  4542 - INVALID AGENT INDICATOR */
#define ERCD_SEN_IND                              4543   /*  4543 - INVALID SENIOR INDICATOR */
#define ERCD_PROP_IND                             4544   /*  4544 - INVALID PROPRIETARY INDICATOR */
#define ERCD_BETR_IND                             4545   /*  4545 - INVALID DESIGNATED SPONSOR INDICATOR */
#define ERCD_NO_BUSINESS_DATE_FOUND               4546   /*  4546 - ERROR READING TABLE01 - NO BUSINESS DATE FOUND */
#define ERCD_PRC_RSBL_CHK_FLG                     4547   /*  4547 - INVALID PRICE REASONABILITY FLAG */
#define ERCD_INVALID_RESP_DATA                    4549   /*  4549 - INVALID RESPONSE DATA */
#define ERCD_INVALID_NEWS_SUBJECT                 4550   /*  4550 - INVALID NEWS SUBJECT */
#define ERCD_INVALID_NEWS_MESSAGE                 4551   /*  4551 - INVALID NEWS MESSAGE */
#define ERCD_MAX_ORD_QUANTITY                     4552   /*  4552 - INVALID MAXIMUM ORDER QUANTITY */
#define ERCD_TRADER_NAME                          4553   /*  4553 - INVALID TRADER NAME */
#define ERCD_INVALID_REPT_ID                      4554   /*  4554 - REPORT ID IS INVALID */
#define ERCD_INVALID_REPT_NAME                    4555   /*  4555 - INVALID REPORT NAME */
#define ERCD_INVALID_REPT_FREQ                    4556   /*  4556 - INVALID REPORT FREQUENCY */
#define ERCD_INVALID_REPT_MAIN                    4557   /*  4557 - INVALID REPORT MAINLINE */
#define ERCD_INVALID_REPT_CTL                     4558   /*  4558 - INVALID REPORT GROUP */
#define ERCD_INVALID_REPT_CLG                     4559   /*  4559 - INVALID REPORT CLEARING MEMBER TYPE */
#define ERCD_INVALID_REPT_SEL                     4560   /*  4560 - INVALID REPORT SELECTION INDICATOR */
#define ERCD_INVALID_TEXT                         4561   /*  4561 - INVALID TEXT */
#define ERCD_INVALID_PASSWORD                     4562   /*  4562 - INVALID PASSWORD */
#define ERCD_TRAN_TYPE                            4563   /*  4563 - INVALID TRANSACTION TYPE */
#define ERCD_FEE_PKG_TYPE                         4564   /*  4564 - INVALID FEE PACKAGE TYPE */
#define ERCD_FEE_AMOUNT                           4565   /*  4565 - INVALID FEE AMOUNT */
#define ERCD_FEE_AMOUNT_FORMAT                    4566   /*  4566 - INVALID FEE AMOUNT FORMAT */
#define ERCD_FEE_CAP                              4567   /*  4567 - INVALID FEE CAP */
#define ERCD_FEE_FLOOR                            4568   /*  4568 - INVALID FEE FLOOR */
#define ERCD_MAX_SYS_USG                          4569   /*  4569 - INVALID MAXIMUM SYSTEM USAGE */
#define ERCD_BESS_INVAL_ACTN_COD                  4570   /*  4570 - INVALID ACTION CODE */
#define ERCD_INVALID_COMB_ORDR_RES                4571   /*  4571 - INVALID COMBINATION OF ORDER RESTRICTIONS */
#define ERCD_EXEC_RES_WITH_NOT_GFD                4572   /*  4572 - EXECUTION RESTRICTION ONLY VALID WITH ORDERS GFD */
#define ERCD_DEFAULT_TRADING_SCHEDULE_NOT_DEFINED  4574  /*  4574 - DEFAULT TRADING SCHEDULE NOT DEFINED */
#define ERCD_INVALID_CTRL_SEG_COD                 4575   /*  4575 - INVALID CONTROL SEGMENT CODE */
#define ERCD_INVALID_PRE_TRD_STRT                 4576   /*  4576 - INVALID PRE-TRADING START TIME */
#define ERCD_INVALID_PST_TRD_END                  4577   /*  4577 - INVALID POST-TRADING END TIME */
#define ERCD_INVALID_VI_DURN                      4578   /*  4578 - INVALID VOLA INTERRUPTION DURATION */
#define ERCD_INVALID_MKT_ORD_INTR_DURN            4579   /*  4579 - INVALID MARKET ORDER INTERRUPTION DURATION */
#define ERCD_INVALID_BTR_OBB_DURN                 4580   /*  4580 - INVALID DESIGNATED SPONSOR OBB DURATION */
#define ERCD_INVALID_WHL_MKT_OBB_DURN             4581   /*  4581 - INVALID WHOLE MARKET OBB DURATION */
#define ERCD_INVALID_OPN_AUCT_DURN                4582   /*  4582 - INVALID OPENING AUCTION CALL DURATION */
#define ERCD_INVALID_INDY_AUCT_DURN               4583   /*  4583 - INVALID INTRA DAY AUCTION CALL DURATION */
#define ERCD_INVALID_CLS_AUCT_DURN                4584   /*  4584 - INVALID CLOSING AUCTION CALL DURATION */
#define ERCD_INVALID_AUCT_STRT                    4585   /*  4585 - INVALID AUCTION START TIME */
#define ERCD_INVALID_AUCT_LST                     4586   /*  4586 - INVALID AUCTION LIST */
#define ERCD_STOP_LIMIT                           4587   /*  4587 - INVALID STOP LIMIT */
#define ERCD_STOP_LIMIT_EXE_RES                   4588   /*  4588 - INVALID COMBINATION OF STOP LIMIT AND EXECUTION RESTRICTION */
#define ERCD_INVALID_MAX_DURN_RND_END             4589   /*  4589 - INVALID MAX DURATION RANDOM END */
#define ERCD_INVALID_AUCT_LOT_IND                 4590   /*  4590 - INVALID AUCTION LOT INDICATOR */
#define ERCD_INVALID_MLI_CTR                      4591   /*  4591 - INVALID MULTI ISIN COUNT */
#define ERCD_INVALID_GROUP_COD                    4592   /*  4592 - INVALID GROUP CODE */
#define ERCD_INVALID_GROUP_OWN                    4593   /*  4593 - INVALID GROUP TYPE */
#define ERCD_INVALID_GROUP_NAME                   4594   /*  4594 - INVALID GROUP NAME */
#define ERCD_INVALID_GROUP_TYPE                   4595   /*  4595 - INVALID INSTRUMENT TYPE */
#define ERCD_INVALID_SWITCHING_COD                4596   /*  4596 - INVALID SWITCHING TRADING SCHEDULE CODE */
#define ERCD_INVALID_SUBGROUP_COD                 4597   /*  4597 - INVALID SUBGROUP CODE */
#define ERCD_INVALID_TRD_MDL_TYP_COD              4598   /*  4598 - INVALID TRADING MODEL TYPE CODE */
#define ERCD_INVALID_OPEN_AUCTION                 4599   /*  4599 - INVALID OPENING AUCTION */
#define ERCD_INVALID_CLOSING_AUCTION              4600   /*  4600 - INVALID CLOSING AUCTION */
#define ERCD_INVALID_STL_ACT                      4601   /*  4601 - INVALID SETTLEMENT ACCOUNT */
#define ERCD_INVALID_STL_PERIOD                   4602   /*  4602 - INVALID SETTLEMENT PERIOD */
#define ERCD_INVALID_TRADE_PRICE                  4604   /*  4604 - INVALID TRADE PRICE */
#define ERCD_INVALID_TRADE_QUANTITY               4605   /*  4605 - INVALID TRADE QUANTITY */
#define ERCD_FAST_MKT_IND                         4606   /*  4606 - INVALID FAST MARKET INDICATOR */
#define ERCD_LOAD_AUTH_REF_DATA                   4607   /*  4607 - ERROR IN LOADING AUTHORIZATION DATA */
#define ERCD_INVALID_START_NUM                    4608   /*  4608 - STARTING NUMBER OUT OF RANGE */
#define ERCD_INVALID_TOT_NUM                      4609   /*  4609 - TOTAL NUMBER DESIRED OUT OF RANGE */
#define ERCD_INVALID_BIT_CALL                     4610   /*  4610 - INVALID BIT CALL */
#define ERCD_DUPLICATE_ITEM                       4611   /*  4611 - DUPLICATE REQUEST ITEM */
#define ERCD_RESUBMIT_NUM                         4612   /*  4612 - INVALID RESUBMISSION NUMBER */
#define ERCD_LIMIT_CHANGE                         4613   /*  4613 - INVALID LIMIT CHANGE */
#define ERCD_DUPLICATE_REQUEST_FLAG               4614   /*  4614 - INVALID DUPLICATE REQUEST FLAG */
#define ERCD_INVALID_TRD_REV_FILTER               4615   /*  4615 - INVALID TRADE REVERSAL FILTER INDICATOR */
#define ERCD_INVALID_QUOTE_DELETION               4616   /*  4616 - INVALID QUOTE DELETION */
#define ERCD_INVALID_BESS_CHANNEL                 4617   /*  4617 - QUOTE CANNOT BE PROCESSED BY THIS CHANNEL */
#define ERCD_INVALID_STRT_CON_AUCT_DAY            4619   /*  4619 - INVALID START TIME OF CONTINUOUS AUCTION */
#define ERCD_INVALID_END_CON_AUCT_DAY             4620   /*  4620 - INVALID END TIME OF CONTINUOUS AUCTION */
#define ERCD_INVALID_EXT_AUCT_CALL_DURN           4621   /*  4621 - INVALID EXT AUCTION CALL DURATION */
#define ERCD_ISSR_IND                             4622   /*  4622 - INVALID ISSUER INDICATOR */
#define ERCD_LIQ_PROV_IND                         4623   /*  4623 - INVALID LIQUIDITY PROVIDER INDICATOR */
#define ERCD_LIC_REQ_QUO_MAINT                    4624   /*  4624 - LICENSE REQUIRED FOR QUOTE MAINTENANCE */
#define ERCD_ONLY_INDICATIVE_QUOTE_UPDATED        4626   /*  4626 - QUOTE ONLY TURNED INTO A PUBLIC QUOTE */
#define ERCD_NO_QUOTE_REQ_ENTRY_TRD_MDL           4627   /*  4627 - QUOTE REQUEST ENTRY  NOT ALLOWED FOR INSTRUMENTS TRADED IN CONT. AUCTION */
#define ERCD_NO_QUOTE_REQ_INQ_TRD_MDL             4628   /*  4628 - QUOTE REQUEST INQUIRY NOT ALLOWED FOR INSTRUMENTS TRADED IN CONT. AUCTION */
#define ERCD_NO_QUOTE_TRADING_PHASE               4629   /*  4629 - CANNOT ENTER (PUBLIC) QUOTE DURING THIS TRADING PHASE */
#define ERCD_INVALID_STL_COD                      4630   /*  4630 - INVALID SETTLEMENT CODE */
#define ERCD_INVALID_ISSR_MEMB_ID                 4631   /*  4631 - INVALID ISSUER MEMBER ID */
#define ERCD_INVALID_WARRANT_CAT                  4632   /*  4632 - INVALID WARRANT CATEGORY */
#define ERCD_INVALID_WARRANT_TYP                  4633   /*  4633 - INVALID WARRANT TYPE */
#define ERCD_INVALID_STR_PRC                      4634   /*  4634 - INVALID STRIKE PRICE */
#define ERCD_INVALID_UNDERLYING                   4635   /*  4635 - INVALID UNDERLYING */
#define ERCD_COMB_ORD_TYP_LIMIT                   4636   /*  4636 - INVALID COMBINATION OF ORDER TYPE AND LIMIT */
#define ERCD_COMB_ORD_TYP_PEAK_QTY                4637   /*  4637 - INVALID COMBINATION OF ORDER TYPE AND PEAK QUANTITY */
#define ERCD_PEAK_QTY                             4638   /*  4638 - INVALID PEAK QUANTITY */
#define ERCD_COMB_ORD_TYP_INSTR                   4639   /*  4639 - INVALID COMBINATION OF ORDER TYPE AND INSTRUMENT */
#define ERCD_COMB_ORD_TYP_TRA_RES                 4640   /*  4640 - INVALID COMBINATION OF ORDER TYPE AND TRADING RESTRICTION */
#define ERCD_COMB_ORD_TYP_EXE_RES                 4641   /*  4641 - INVALID COMBINATION OF ORDER TYPE AND EXECUTION RESTRICTION */
#define ERCD_ROUND_LOT                            4642   /*  4642 - QUANTITY IS NOT ROUND LOT */
#define ERCD_COMB_ORD_TYP_VAL_CONSTR              4643   /*  4643 - INVALID COMBINATION OF ORDER TYPE AND VALIDITY CONSTRAINT */
#define ERCD_ORD_QTY_LESS_PEAK_QTY                4644   /*  4644 - ORDER QUANTITY IS LESS THAN PEAK QUANTITY */
#define ERCD_MIN_PEAK_QTY                         4645   /*  4645 - PEAK QUANTITY IS LESS THAN MINIMUM PEAK QUANTITY */
#define ERCD_MIN_ICE_ORD_QTY                      4646   /*  4646 - ORDER QUANTITY IS LESS THAN MINIMUM ICEBERG QUANTITY */
#define INVALID_PTA_FLAG                          4647   /*  4647 - INVALID PTA FLAG */
#define INVALID_ORDER_TYPE_INDICATOR              4648   /*  4648 - INVALID ORDER TYPE INDICATOR */
#define INVALID_MIN_ICEBERG_QUANTITY              4649   /*  4649 - INVALID MINIMUM ICEBERG QUANTITY */
#define INVALID_MIN_PEAK_SIZE                     4650   /*  4650 - INVALID MINIMUM PEAK SIZE */
#define ERCD_INVALID_MAX_ORDR_VAL                 4651   /*  4651 - INVALID MAXIMUM ORDER VALUE */
#define ERCD_INVALID_BND_INT_RAT                  4652   /*  4652 - INVALID BOND INTEREST RATE */
#define ERCD_INVALID_EXCH_ID                      4653   /*  4653 - INVALID EXCHANGE ID */
#define ERCD_INVALID_SUB_TYP_COD                  4654   /*  4654 - INVALID SUBTYPE CODE */
#define ERCD_INV_MRTY_DAT                         4655   /*  4655 - INVALID MATURITY DATE */
#define ERCD_INVALID_XETRA_ISSR_MNEM              4656   /*  4656 - INVALID BOND ISSUER */
#define ERCD_INV_MIDPT_VAL_DUR                    4657   /*  4657 - INVALID MIDPOINT VALIDITY DURATION */
#define ERCD_INV_MAX_MTCH_RNG_VAL_DUR             4658   /*  4658 - INVALID MAXIMUM MATCHING RANGE VALIDITY DURATION */
#define ERCD_INV_CROSSING_PERIOD_START            4659   /*  4659 - INVALID CROSSING PERIOD START */
#define ERCD_NO_QUOTE_REQ_ALLOWED                 4660   /*  4660 - QUOTE REQUEST ENTRY NOT ALLOWED FOR ISSUER */
#define ERCD_NO_OTC_FOR_INST_TYPE                 4661   /*  4661 - OTC TRADES NOT ALLOWED FOR INSTRUMENT TYPE */
#define ERCD_NO_TRD_MOD_FOR_INST_TYPE             4662   /*  4662 - TRADE MODIFICATION NOT ALLOWED FOR INSTRUMENT TYPE */
#define ERCD_INVALID_SETTLEMENT_LOCATION          4663   /*  4663 - INVALID SETTLEMENT LOCATION */
#define ERCD_INVALID_EOD_AUCT_DURN                4664   /*  4664 - INVALID END-OF-DAY AUCTION CALL DURATION */
#define ERCD_INVALID_AUCT_TYPE                    4665   /*  4665 - INVALID AUCTION TYPE */
#define ERCD_INTRADAY_NOT_SCHED                   4666   /*  4666 - INTRADAY CLOSING AUCTION MUST BE SCHEDULED */
#define ERCD_INVALID_NETTING_TYPE                 4667   /*  4667 - INVALID NETTING TYPE */
#define ERCD_NET_SFX                              4668   /*  4668 - INVALID NETTING SUFFIX NUMBER */
#define ERCD_EXEC_COD                             4669   /*  4669 - INVALID EXECUTION CODE */
#define ERCD_INQ_TRD_RAT                          4671   /*  4671 - INVALID INQUIRE TRADE RATIO */
#define ERCD_INVALID_APPL_ID                      4672   /*  4672 - INVALID APPLICATION ID */
#define ERCD_GIVEUP_IND_FLAG                      4673   /*  4673 - INVALID GIVE UP INDICATOR FLAG */
#define ERCD_INVALID_CONTRACT_UNIT                4674   /*  4674 - INVALID CONTRACT UNIT */
#define ERCD_INVALID_REPO_TYPE                    4675   /*  4675 - INVALID REPO TYPE */
#define ERCD_INVALID_STL_AMOUNT                   4676   /*  4676 - INVALID SETTLEMENT AMOUNT */
#define ERCD_INVALID_REPO_INT_RAT                 4677   /*  4677 - INVALID REPO INT RAT */
#define ERCD_EXT_TRADE_NUM_INV                    4678   /*  4678 - EXT TRADE NUMBER HAS WRONG FORMAT */
#define ERCD_INV_EXT_TRADING_LOC                  4679   /*  4679 - INVALID EXTERNAL TRADING LOCATION */
#define ERCD_INV_EXT_STL_DATE                     4680   /*  4680 - INVALID EXTERNAL SETTLEMENT DATE */
#define ERCD_EXT_TRADE_LNK_INV                    4681   /*  4681 - EXTERNAL TRADE LINK HAS WRONG FORMAT */
#define ERCD_USER_CLASS_IND                       4682   /*  4682 - INVALID USER CLASS INDICATOR */
#define ERCD_INVALID_BEST_PRICE                   4683   /*  4683 - INVALID BEST BID/BEST ASK PRICE */
#define ERCD_INVALID_BEST_FIELDS                  4684   /*  4684 - BEST FIELDS ONLY ALLOWED FOR BEST QUOTES */
#define ERCD_INVALID_BEST_RES_QTY                 4685   /*  4685 - INVALID BEST RESERVE QUANTITY */
#define ERCD_INVALID_BEST_BND_PRICE               4686   /*  4686 - INVALID BEST BID/BEST ASK BOUNDARY PRICE */
#define ERCD_NOT_REAS_BEST_COMB                   4687   /*  4687 - UNREASONABLE COMBINATION OF BOUNDARY PRICES WITH BEST BID/ASK PRICES */
#define ERCD_INVALID_EXEC_ID                      4688   /*  4688 - INVALID BEST EXECUTOR ID */
#define ERCD_INVALID_LICENSE_TYP                  4689   /*  4689 - INVALID LICENSE TYPE */
#define ERCD_INVALID_LM_IND                       4690   /*  4690 - INVALID LIQUIDITY MANAGER INDICATOR */
#define ERCD_INVALID_BEST_EXR_IND                 4691   /*  4691 - INVALID BEST EXECUTOR INDICATOR */
#define ERCD_BEST_EXR_FOR_EQU_ONLY                4692   /*  4692 - BEST EXECUTOR FOR EQUITIES ONLY */
#define ERCD_INVALID_TRADE_TYPE                   4693   /*  4693 - INVALID TRADE TYPE */
#define ERCD_INVALID_BON_YLD_TRD_IND              4694   /*  4694 - INVALID BOND YIELD TRADE INDICATOR */
#define ERCD_INVALID_REFERENCE_PRICE              4695   /*  4695 - INVALID REFERENCE PRICE */
#define ERCD_FILTER_YLD_PRC_INSTR                 4696   /*  4696 - FILTER LIMITS PROVIDED FOR BOTH PRICE AND YIELD-TRADABLE INSTRUMENTS */
#define ERCD_ASSIGN_FOR_TRADER                    4702   /*  4702 - NO ASSIGNMENT FOR TRADER */
#define ERCD_INVLD_STREAM_GRP                     4703   /*  4703 - INVALID STREAM GROUP */
#define ERCD_INVLD_BE_MSG_LEN                     4704   /*  4704 - INVALID BACKEND MESSAGE LENGTH */
#define ERCD_ORDERBOOK_RECOV_REQ_EXPIRED          4705   /*  4705 - ORDERBOOK RECOVERY REQUEST EXPIRED */
#define ERCD_INV_AMND_CONF_IND_TRD_OTC_RPT_IND    4706   /*  4706 - INVALID COMBINATION OF AMND CONF IND AND TRD OTC RPT IND FIELDS */
#define ERCD_BUSY_TXN_REJECTED_FE                 4707   /*  4707 - BUSY: TXN REJECTED. TRY AGAIN */
#define ERCD_INSTRUMENT_FROM_DIFF_SET             4710   /*  4710 - INSTRUMENT IS FROM DIFFERENT SET */
#define ERCD_INV_STRK_EXE_PRC_ORDR_TYP            4711   /*  4711 - STRIKE EXE PRC IS NOT ALLOWED IN COMBINATION WITH THE GIVEN ORDER TYPE */
#define ERCD_STRK_EXE_PRC_HIGHER_LIM_PRC          4712   /*  4712 - STRIKE EXE PRC SHOULD BE HIGHER THAN LIMIT PRICE OF SELL ORDER */
#define ERCD_STRK_EXE_PRC_LOWER_LIM_PRC           4713   /*  4713 - STRIKE EXE PRC SHOULD BE LOWER THAN LIMIT PRICE OF BUY ORDER */
#define ERCD_INV_INS_GRP_MMP                      4714   /*  4714 - MMP SETTINGS NOT ALLOWED FOR GIVEN INS GRP */
#define ERCD_INV_CROSS_ID_COMB                    4715   /*  4715 - INVALID MATCH INST CROSS ID COMBINATION */
#define ERCD_INV_CROSS_ID_ORDER_TYPE              4716   /*  4716 - MATCH INST CROSS ID NOT ALLOWED FOR ORDR TYPE */
#define ERCD_INV_CROSS_ID_QUOTE_TYPE              4717   /*  4717 - MATCH INST CROSS ID NOT ALLOWED FOR QUOTE TYPE */
#define ERCD_INV_CROSS_ID_INSTR                   4718   /*  4718 - MATCH INST CROSS ID NOT ALLOWED FOR INSTR */
#define ERCD_INVAL_USER_ID                       10517   /* 10517 - AN INVALID USER ID WAS ENTERED */
#define ERCD_API_CALL_NOT_SUPPORTED              10602   /* 10602 - THIS API CALL IS NOT SUPPORTED ANYMORE */
#define ERCD_PASSWORD_EXPIRED                    10628   /* 10628 - PASSWORD EXPIRED */
#define ERCD_PASSWORD_EQUALS_PREVIOUS            10631   /* 10631 - NEW PASSWORD EQUALS PREVIOUS PASSWORD */
#define ERCD_RSRC_NOT_AVL                        10910   /* 10910 - RESOURCE NOT AVAILABLE DURING CURRENT TRADING SESSION */
#define ERCD_RESC_NOT_AVL_PS                     10912   /* 10912 - RESOURCE NOT AVAILABLE DURING CURRENT INSTRUMENT STATE */
#define ERCD_RESC_NOT_AVL_EM                     10914   /* 10914 - RESOURCE NOT AVAILABLE */
#define ERCD_NOT_ASS_MBR_MKTS                    11796   /* 11796 - USER NOT ASSIGNED TO ALL MEMBER MARKETS */
#define ERCD_INVALID_BUY_SEL_IND                 12120   /* 12120 - INVALID BUY/SELL INDICATOR WAS ENTERED */
#define ERCD_INVALID_PRC                         12160   /* 12160 - INVALID PRICE WAS ENTERED */
#define ERCD_NOT_REASONABLE_QTY                  12230   /* 12230 - ENTERED QUANTITY VIOLATES LIMIT */
#define ERCD_QTY_LESS_MIN_ORDR_SIZE              12231   /* 12231 - ENTERED QUANTITY IS LESS THAN MINIMUM ORDER SIZE */
#define ERCD_ORDR_NOT_FOUND                      12816   /* 12816 - ORDER REQUESTED NOT FOUND ON DATABASE */
#define ERCD_INV_FEE_AMNT_FMT                    12945   /* 12945 - INVALID FEE AMOUNT FORMAT */
#define ERCD_RECHECK_TXN_RESULT                  13003   /* 13003 - RESPONSE CAN'T BE DELIVERED, PLEASE RECHECK RESULT OF TRANSACTION */
#define ERCD_INVALID_TRD_MDL                     13025   /* 13025 - TRADING MODEL NOT VALID */
#define ERCD_WRONG_PREV_TICK_TABLE               13047   /* 13047 - THE VALUES FOR SIZE/VALUE MUST BE DESCENDING */
#define ERCD_INVALID_PW                          13058   /* 13058 - INVALID PASSWORD */
#define ERCD_DISP_DCML_NOT_EQ                    13068   /* 13068 - DISP DCML FOR ORIG AND TARGET CTRL SEGMENTS NOT EQUAL */
#define ERCD_NOT_EXEC_WITHIN_VAL                 13165   /* 13165 - ORDER NOT EXECUTABLE WITHIN VALIDITY */
#define ERCD_INV_ORDR_TYPE_SELECTED              13212   /* 13212 - INVALID ORDER TYPE SELECTED */
#define ERCD_BUSY_TXN_REJECTED                   13300   /* 13300 - BUSY: TXN REJECTED. TRY AGAIN */
#define ERCD_INV_MIN_ORDR_SIZ                    13301   /* 13301 - INVALID MINIMUM ORDER SIZE */
#define ERCD_INVAL_MAX_PRC_STEP                  13302   /* 13302 - INVALID MAXIMUM PRICE STEPS NUMBER */
#define ERCD_INVAL_BLK_BID_OPT_LIM               13303   /* 13303 - THE BLOCK BID OPTIMIZATION LIMIT IS LOWER THAN 1 OR GREATER THAN 32 */
#define ERCD_INVAL_SUMM_TIM_PARM                 13304   /* 13304 - AT LEAST ONE OF THE SUMMER TIME PARAMETERS IS INVALID */
#define ERCD_INCON_DLV_DAT_STS                   13305   /* 13305 - AT LEAST ONE DELIVERY DATE HAS AN INCONSISTENT STATUS */
#define ERCD_NOT_ALL_BIDS_DEL                    13306   /* 13306 - THE HOURLY AND BLOCK BIDS FOR SOME DELIVERY DATES WERE NOT DELETED */
#define ERCD_AUCT_COMMITTED                      13307   /* 13307 - AUCTION RESULTS ARE ALREADY COMMITTED */
#define ERCD_INVALID_DELIV_DATE                  13308   /* 13308 - AN INVALID DELIVERY DATE WAS ENTERED */
#define ERCD_INVALID_DELIV_HOUR                  13309   /* 13309 - AN INVALID DELIVERY HOUR WAS ENTERED */
#define ERCD_INVALID_TSO                         13310   /* 13310 - AN INVALID TSO AREA WAS ENTERED */
#define ERCD_AUCT_NOT_COMMITTED                  13311   /* 13311 - AUCTION RESULTS ARE NOT YET COMMITTED */
#define ERCD_AUCT_NOT_VALID                      13312   /* 13312 - THE CURRENT AUCTION RESULT IS NOT VALID */
#define ERCD_AUCT_DATA_CHANGED                   13313   /* 13313 - THE AUCTION RESULTS HAVE CHANGED SINCE THE LAST INQUIRY */
#define ERCD_NO_AUCT_RESULT                      13314   /* 13314 - NO AUCTION RESULTS HAVE BEEN CALCULATED */
#define ERCD_INVALID_MKT_AREA                    13315   /* 13315 - AN INVALID MARKET AREA HAS BEEN ENTERED */
#define ERCD_MAN_AUCT_POSTR_ERR                  13316   /* 13316 - POSTR CAN BE TRIGGERED ON SEGMENT LEVEL ONLY */
#define ERCD_INV_MAX_BLC_BID_QTY                 13317   /* 13317 - INVALID MAXIMUM BLOCK BID QUANTITY */
#define ERCD_INV_BLC_BID_OPTIM_MIN_PRC_DIFF      13319   /* 13319 - INVALID BLOCK BID OPTIMIZATION MINIMUM PRICE DIFFERENCE */
#define ERCD_STD_REP_NOT_AVAIL                   13320   /* 13320 - STANDARD DATA REPORT NOT AVAILABLE */
#define ERCD_AUCT_RSL_ARE_ALRDY_POSTED           13321   /* 13321 - AUCTION RESULTS ARE ALREADY POSTED */
#define ERCD_MAX_NUMB_OF_BLK_BIDS_EXCED          13322   /* 13322 - MAXIMUM NUMBER OF BLOCK BIDS EXCEEDED */
#define ERCD_TSO_INSTR_ASSING_INCONS             13323   /* 13323 - TSO INSTRUMENT ASSIGNMENT INCONSISTENT */
#define ERCD_TXN_REJ_RETR_TIMEOUT                13324   /* 13324 - RETRANSMISSION TIMEOUT; CHECK RESULT OF TRANSACTION */
#define ERCD_MAX_HBEAT_PER_SUB_EXCEEDED          13325   /* 13325 - MAXIMAL HEARTBEAT STARTS PER SUBGROUP LIMIT EXCEEDED */
#define ERCD_HBEAT_ALREADY_STOPPED               13326   /* 13326 - HEARTBEAT MONITORING ALREADY STOPPED */
#define ERCD_INVALID_HBEAT_STA_STO_FLAG          13327   /* 13327 - INVALID HEARTBEAT START/STOP INDICATOR */
#define ERCD_NOT_AUTHORIZED_MBRSUBACC            13328   /* 13328 - UNAUTHORIZED USE OF MEMBER/SUBGROUP/ACCOUNT/SETID */
#define ERCD_INVALID_RES_ACC_LEVEL               13329   /* 13329 - INVALID RESOURCE ACCESS LEVEL NUMBER - ENTER 0 OR 1 */
#define ERCD_INSTR_GRP_EXC_NOT_MATCH             13330   /* 13330 - INSTRUMENT EXCHANGE AND INSTRUMENT GROUP EXCHANGE DO NOT MATCH */
#define ERCD_MBR_EXC_INSTR_NOT_MATCH             13331   /* 13331 - MEMBER EXCHANGE AND INSTRUMENT GROUP EXCHANGE DO NOT MATCH */
#define ERCD_MXT_VAL_OVERFLOW                    13333   /* 13333 - MARKET VALUE EXCEEDS 999,999,999,999.99. PLEASE REDUCE ORDER QUANTITY */
#define ERCD_ORDR_ENT_SUSP_TRY_LATER             13334   /* 13334 - ENTRY OF NEW ORDERS CURRENTLY SUSPENDED. TRY AGAIN LATER */
#define ERCD_TOO_MANY_ORDR_MEMBR                 13335   /* 13335 - TOO MANY ORDERS FOR MEMBER. PLEASE REDUCE NUMBER OF BOOK ORDERS */
#define ERCD_TOO_MANY_ORDR_SUBGRP                13336   /* 13336 - TOO MANY ORDERS FOR SUBGROUP. PLEASE REDUCE NUMBER OF BOOK ORDERS */
#define ERCD_TOO_MANY_ORDR_TRDR                  13337   /* 13337 - TOO MANY ORDERS FOR TRADER. PLEASE REDUCE NUMBER OF BOOK ORDERS */
#define ERCD_INV_STREAM_GRP_ID_COD               13338   /* 13338 - INVALID STREAM GROUP ID CODE */
#define ERCD_INV_NEWS_DETL                       13339   /* 13339 - INVALID NEWS DETAIL */
#define ERCD_INV_QUANTITY                        13340   /* 13340 - INVALID QUANTITY */
#define ERCD_INCON_OTC_IND                       13341   /* 13341 - INCONSISTENT SETTLEMENT AND TRADE REPORT INDICATORS */
#define ERCD_INV_OTC_TRD_FLG                     13342   /* 13342 - INVALID OTC TRADE FLAG */
#define ERCD_INV_ISIN_LIST                       13343   /* 13343 - INVALID INSTRUMENT LIST */
#define ERCD_ONLY_SETL_AND_RPT                   13344   /* 13344 - THE OTC TRADE MUST BE ENTERED AS SETTLEMENT AND REPORTING */
#define ERCD_SETL_CONF_NOT_ALLOWED               13345   /* 13345 - CONFIRMATION OF A SETTLEMENT-ONLY OTC TRADE NOT ALLOWED */
#define ERCD_INVALID_TRANS_ID                    13346   /* 13346 - INVALID TRANSACTION ID */
#define ERCD_OUTSIDE_RPT_PERIOD                  13347   /* 13347 - CURRENT TIME IS OUTSIDE THE MIFID REPORTING PERIOD */
#define ERCD_UNAUTH_TRDRPT_CONF                  13348   /* 13348 - UNAUTHORIZED TRADE REPORT CONFIRMATION */
#define ERCD_NO_ALRT_TO_CONFIRM                  13349   /* 13349 - NO INVALID PRICE OR QUANTITY TO CONFIRM */
#define ERCD_TRDRPT_CONFIRMED                    13350   /* 13350 - TRADE REPORT HAS ALREADY BEEN CONFIRMED */
#define ERCD_INVALID_BEST_DEF_IND                13351   /* 13351 - INVALID DEFAULT BEST EXECUTOR INDICATOR */
#define ERCD_UNAUTH_TRD_RPT_RAL                  13352   /* 13352 - INSUFFICIENT PRIVILEGE - TRADE REPORT RAL */
#define ERCD_INV_AMND_CONF_IND                   13353   /* 13353 - INVALID USE OF AMENDMENT-CONFIRMATION INDICATOR */
#define ERCD_INV_TIME_ZONE_SHIFT                 13354   /* 13354 - INVALID TIME ZONE SHIFT */
#define ERCD_ACCT_MAND_FOR_CTRPRTY               13355   /* 13355 - PROPRIETARY OR AGENT ACCOUNT MANDATORY FOR COUNTERPARTY */
#define ERCD_TRDRPT_TIME_IN_FUTURE               13356   /* 13356 - TIME OF THE TRADE REPORT LIES IN THE FUTURE */
#define ERCD_INST_FROM_DIFF_SET                  13357   /* 13357 - INSTRUMENT IS FROM DIFFERENT SET */
#define ERCD_REQ_NOT_ALLOW_KNOCKOUT_SET          13358   /* 13358 - BUY ORDERS AND ASK SIDE QUOTES NOT ALLOWED AS KNOCKOUT FLAG IS ENABLED FOR THE INSTRUMENT */
#define ERCD_QTY_MOD_NOT_ALLOWED                 13359   /* 13359 - QUANTITY MODIFICATION NOT ALLOWED */
#define ERCD_INVAL_QUO_TYPE_FOR_STATE            13360   /* 13360 - THE REQUESTED QUOTE TYPE IS NOT ALLOWED FOR THE CURRENT INSTRUMENT STATE */
#define ERCD_SPEC_QUO_ALREADY_EXISTS             13361   /* 13361 - SPECIALIST QUOTE ALREADY EXISTS */
#define ERCD_ORDR_DEL_TRN_PENDING                13362   /* 13362 - ORDER DELETION TRANSACTION IS PENDING FOR THE REQUESTED ORDER */
#define ERCD_PEND_ORDR_TRAN_EXISTS               13363   /* 13363 - ORDER REQUEST PENDING FOR THE REQUEST ORDER NO */
#define ERCD_TRD_POSS_FOR_PWT_QUOTE              13364   /* 13364 - TRADES POSSIBLE FOR PRICE WITHOUT TURNOVER QUOTE */
#define ERCD_NOT_ALLOW_FOR_TRD_MDL               13365   /* 13365 - REQUEST NOT ALLOWED FOR THIS TRADING MODEL */
#define ERCD_NO_SPEC_ASS_FOR_INST                13366   /* 13366 - MEMBER HAS NO SPECIALIST ASSIGNMENT IN THIS INSTRUMENT */
#define ERCD_DEF_BEST_REL_MISSING                13367   /* 13367 - DEFAULT BEST EXECUTOR SERVICE REQUIRES ONE FP/BEST EXECUTOR RELATIONSHIP */
#define ERCD_INVALID_SET_ID                      13368   /* 13368 - INVALID SET ID */
#define ERCD_INVALID_ORD_DEL_IND                 13369   /* 13369 - INVALID ORDER DELETE INDICATOR */
#define ERCD_INV_LCK_STK_IND                     13370   /* 13370 - INVALID LOCKED STOCK INDICATOR */
#define ERCD_INV_SPEC_IND                        13371   /* 13371 - INVALID SPECIALIST INDICATOR */
#define ERCD_MEMB_NOT_SPEC                       13372   /* 13372 - GIVEN MEMBER IS NOT SPECIALIST */
#define ERCD_SPEC_USER_NOT_EXIST                 13373   /* 13373 - SPECIALIST MUST BE EXISTING MEMBER AND SUBGROUP */
#define ERCD_SPEC_MEMB_PEND_DEL                  13374   /* 13374 - SPECIALIST CANNOT BE A MEMBER PENDING DELETION */
#define ERCD_INV_SET_CHANGE                      13375   /* 13375 - INVALID ATTEMPT TO CHANGE THE SET */
#define ERCD_INV_KNOCK_OUT_IND                   13376   /* 13376 - INVALID KNOCK OUT INDICATOR */
#define ERCD_INV_ACTION_FOR_EXCH_STATE           13377   /* 13377 - INVALID ACTION FOR EXCHANGE STATE */
#define ERCD_NO_CHG_DURN_FOR_TRDMDL              13378   /* 13378 - NO CHANGE OF DURATIONS ALLOWED FOR TRADING MODEL */
#define ERCD_INSTR_NOT_MIFID_RELEVANT            13379   /* 13379 - INSTRUMENT NOT MIFID RELEVANT */
#define ERCD_INV_MID_PNT_IND                     13380   /* 13380 - INVALID MIDPOINT INDICATOR FOR THE REQUESTED INSTR */
#define ERCD_INV_MIN_MID_PNT_QTY                 13381   /* 13381 - INVALID MIDPOINT ORDER QUANTITY */
#define ERCD_MID_PNT_IND_NOT_ALLOWED             13382   /* 13382 - MIDPOINT INDICATOR NOT ALLOWED FOR THE REQUESTED INSTR */
#define ERCD_INV_ORDR_PERS_IND                   13385   /* 13385 - INVALID ORDER PERSISTENCY INDICATOR */
#define ERCD_INV_TOT_ORDR_QTY                    13386   /* 13386 - INVALID TOTAL ORDER QUANTITY */
#define ERCD_INV_TRD_MDL_HIDD_ORD                13388   /* 13388 - INVALID TRADING MODEL FOR HIDDEN ORDERS */
#define ERCD_ORD_VAL_LT_MIN_MP_VAL               13389   /* 13389 - ORDER VALUE IS LESS THAN MINIMUM MIDPOINT ORDER VALUE */
#define ERCD_INV_HIDD_ORD_IND                    13390   /* 13390 - INVALID HIDDEN ORDER INDICATOR */
#define ERCD_ORD_VAL_LT_MIN_HIDD_VAL             13391   /* 13391 - ORDER VALUE IS LESS THAN MINIMUM HIDDEN ORDER VALUE */
#define ERCD_INV_MIN_ACC_QTY                     13392   /* 13392 - INVALID MINIMUM ACCEPTABLE QUANTITY */
#define ERCD_INV_MIN_HIDD_ORDR_QTY               13393   /* 13393 - INVALID MINIMUM HIDDEN ORDER VALUE */
#define ERCD_MULT_CUR_NOT_SET_FOR_MEM            13394   /* 13394 - FOREIGN CURRENCY IS NOT ASSIGNED FOR MEMBER */
#define ERCD_ETS_OBO_DEL_NOT_ALLOW               13395   /* 13395 - ETS ON BEHALF DELETION NOT ALLOWED */
#define ERCD_INVLD_SETL_CTRY_COD                 13396   /* 13396 - INVALID SETTLEMENT COUNTRY CODE */
#define ERCD_SETL_INFO_DOES_NOT_EXIST            13397   /* 13397 - THE SETL INFO FOR MEMBER AND SETL COUNTRY DOES NOT EXIST */
#define ERCD_SETL_INFO_ALREADY_EXIST             13398   /* 13398 - THE SETL INFO FOR MEMBER AND SETL COUNTRY ALREADY EXISTS */
#define ERCD_CANNOT_DEL_THE_SETL_INFO            13399   /* 13399 - CANNOT DELETE THE SETL INFO FOR THE LAST SETL COUNTRY OF THE MEMBER */
#define ERCD_SETL_INFO_MUST_BE_PROVIDED          14000   /* 14000 - THE SETL INFORMATION FOR A NEW MEMBER MUST BE PROVIDED */
#define ERCD_INST_GROUPS_ARE_STILL_ASSIGNED      14001   /* 14001 - INSTR GROUPS BELONGING TO THE SETL COUNTRY ARE STILL ASSIGNED TO THE MEMB */
#define ERCD_REQ_PWT_QUOTE_NOT_FOUND             14002   /* 14002 - THE REQUESTED PWT QUOTE WAS NOT FOUND */
#define ERCD_REQ_PWT_QUOTE_ALREADY_CANCELED      14003   /* 14003 - THE REQUESTED PWT QUOTE HAS BEEN ALREADY CANCELED */
#define ERCD_REQ_PWT_QUOTE_ALREADY_UPDATED       14004   /* 14004 - THE REQUESTED PWT QUOTE HAS BEEN ALREADY UPDATED */
#define ERCD_INV_MKT_SEG_SUPL_FORMAT             14005   /* 14005 - INVALID VALUE IN FIELD MKT SEG SUPL */
#define ERCD_INV_ISSUE_DATE                      14006   /* 14006 - INVALID ISSUE DATE */
#define ERCD_INV_BOND_FLAT_IND                   14007   /* 14007 - INVALID BOND FLAT INDICATOR */
#define ERCD_INCOM_EXCH_CTRL_SEG_EXCH            14008   /* 14008 - INCOMPATIBLE EXCHANGE AND CONTROL SEGMENT EXCHANGE */
#define ERCD_EXCH_NOT_ASGN                       14009   /* 14009 - EXCHANGE NOT ASSIGNED */
#define ERCD_NO_EXCH_LEFT                        14010   /* 14010 - ONE EXCHANGE MUST BE ASSIGNED TO MEMBER */
#define ERCD_PRIM_EXCH_NOT_ASGN                  14011   /* 14011 - NEW PRIMARY EXCHANGE NOT ASSIGNED TO MEMBER */
#define ERCD_INCOM_CTRL_SEG_STATE                14012   /* 14012 - INCOMPATIBLE CONTROL SEGMENT STATE */
#define ERCD_INV_EXCH_SEG_COD                    14013   /* 14013 - INVALID EXCHANGE SEGMENT CODE */
#define ERCD_INV_STOP_REQ                        14014   /* 14014 - ENTERING MEMB CANNOT BE SAME AS MEMB TO BE STOPPED */
#define ERCD_INV_STOP_IND                        14015   /* 14015 - MEMBER ALREADY STOPPED OR RELEASED */
#define ERCD_MEMB_STOP_RESC_STOP                 14016   /* 14016 - MEMBER IS STOPPED */
#define ERCD_WRONG_CAL_TYP                       14017   /* 14017 - CALENDAR HAS WRONG TYPE */
#define ERCD_ENTRY_ALREADY_EXISTS                14018   /* 14018 - ENTRY ALREADY EXISTS */
#define ERCD_CAL_ALREADY_EXISTS                  14019   /* 14019 - CALENDAR ENTRY ALREADY EXISTS */
#define ERCD_NO_DEL_LAST_XCAL                    14020   /* 14020 - CANNOT DELETE LAST XCAL HOLIDAY */
#define ERCD_NO_DEL_LAST_CAL_SEG                 14021   /* 14021 - CANNOT DELETE LAST CAL ENTRY ASSIGNED TO A SEGMENT */
#define ERCD_NOT_TRAD_CAL                        14022   /* 14022 - ENTERED CALENDAR IS NOT A TRADING CALENDAR */
#define ERCD_NOT_STL_CAL                         14023   /* 14023 - ENTERED CALENDAR IS NOT A SETTLEMENT CALENDAR */
#define ERCD_CAL_NOT_EXIST                       14024   /* 14024 - CALENDAR DOES NOT EXIST */
#define ERCD_NO_CAL_ENTRY                        14025   /* 14025 - CALENDAR ENTRY DOES NOT EXIST */
#define ERCD_INV_STOP_MEMB                       14026   /* 14026 - MARKET SUPERVISION CANNOT BE STOPPED */
#define ERCD_MEMB_NOT_ACTIV                      14027   /* 14027 - MEMBER IS INACTIVE OR NOT ACTIVE SINCE LAST MONTH */
#define ERCD_INV_CM_OR_SI_MEMB                   14028   /* 14028 - ENTERING MEMBER IS NOT C.M AND S.I OF MEMBER TO BE STOPPED */
#define ERCD_CANNOT_DEL_HOL                      14029   /* 14029 - CANNOT DELETE, HOLIDAY STILL IN XCAL */
#define ERCD_EXCHSEG_STILL_SEG_ASSGN             14030   /* 14030 - CONTROL SEGMENTS ARE ASSIGNED TO THIS EXCHANGE SEGMENT */
#define ERCD_EXCH_SEG_NOT_EXISTS                 14031   /* 14031 - EXCHANGE SEGMENT NOT EXISTS */
#define ERCD_MEMB_STILL_CLG_MBR                  14032   /* 14032 - MEMBER STILL CLEARING MEMBER */
#define ERCD_INST_EXISTS_IN_OTH_MKT              14033   /* 14033 - INSTRUMENT ALREADY EXISTS IN OTHER MARKET */
#define ERCD_INV_BARRIER_PRC_RNG                 14034   /* 14034 - INVALID BARRIER PRICE RANGE */
#define ERCD_INV_BARRIER_MOVE                    14035   /* 14035 - INVALID BARRIER MOVEMENT */
#define ERCD_BARRIER_RNG_EXCEED                  14036   /* 14036 - BARRIER PRICE RANGE EXCEEDED */
#define ERCD_INV_SINGLE_SIDED_QUOTE              14037   /* 14037 - SINGLE SIDED QUOTE NOT CONFIGURED */
#define ERCD_MEMB_STOP_OTC                       14038   /* 14038 - APPROVAL DENIED, INITIATING OR APPROVING MEMBER IS STOPPED */
#define ERCD_INV_EXCH_SEG_STATE_ERR              14039   /* 14039 - INCOMPATIBLE EXCHANGE SEGMENT STATE */
#define ERCD_INV_SUBSCR_IND                      14040   /* 14040 - INVALID SUBSCRIPTION INDICATOR */
#define ERCD_INV_PERS_DEL_FLAG                   14041   /* 14041 - INVALID PERSISTENT ORDER DEL FLAG */
#define ERCD_EXCH_RAT_REJECT                     14042   /* 14042 - EXCHANGE RATE NOT APPLICABLE */
#define ERCD_OTC_TRD_ALR_TO_BE_DEL               14043   /* 14043 - OTC TRADE HAS ALREADY BEEN REQUESTED TO BE DELETED */
#define ERCD_INV_MAX_TRD_AMNT                    14045   /* 14045 - INVALID MAXIMUM TRADE AMOUNT */
#define ERCD_INV_ADD_COST_AMNT                   14046   /* 14046 - INVALID ADDITIONAL COST AMOUNT */
#define ERCD_INV_DEF_OTC_ACCT                    14047   /* 14047 - INVALID DEFAULT OTC ACCOUNT */
#define ERCD_SA_ONLY_FOR_TM08_INST               14053   /* 14053 - SPECIAL AUCTION ONLY FOR TM08 INSTRUMENTS */
#define ERCD_INVALID_TXT                         14054   /* 14054 - INVALID TEXT */
#define ERCD_SA_NOT_ALLOWED                      14055   /* 14055 - SPECIAL AUCTION NOT ALLOWED */
#define ERCD_INV_OTC_TRADE_DAT                   14056   /* 14056 - INVALID OTC TRADE DATE */
#define ERCD_INV_COMB_GRP_OTCAPP_SET             14057   /* 14057 - INVALID COMBINATION ALL INS GRP VS SPEC INS GRP */
#define ERCD_OTC_TRD_ALREADY_REV                 14058   /* 14058 - OTC TRADE HAS ALREADY BEEN REVERSED */
#define ERCD_ONLY_OTC_TRD_CAN_BE_REV             14059   /* 14059 - ONLY OTC TRADES CAN BE REVERSED */
#define ERCD_INV_NON_PERS_DEL_FLAG               14060   /* 14060 - INVALID VALUE NON PERS ORDER DEL FLAG */
#define ERCD_INV_OTC_OBO_TRD_DEL                 14062   /* 14062 - OTC OBO TRADE DELETION NOT ALLOWED */
#define ERCD_MID_ALRDY_FROZEN                    14067   /* 14067 - TRANSACTION REJECTED DUE TO MIDPOINT FREEZE */
#define ERCD_TXN_REJECT_MP_FREEZE                14068   /* 14068 - TXN REJECTED MIDPOINT FREEZE */
#define ERCD_INVALID_ONEXOFFOB                   14069   /* 14069 - INVALID VALUE ONEXCHOFFOB FLAG */
#define ERCD_MMP_LIM_EXCEEDED                    14070   /* 14070 - MARKET MAKER PROTECTION LIMIT EXCEEDED */
#define ERCD_INV_MMP_LIM_SETUP                   14071   /* 14071 - MARKET MAKER PROTECTION SETUP INVALID */
#define ERCD_BCAST_MBR_ISS_AUTH_FAIL             14072   /* 14072 - BCAST MEMBER ISSUER AUTHENTICATION FAILED */
#define ERCD_MMP_NO_TM02_INST_ASS                14073   /* 14073 - GROUP DOES NOT CONTAIN TM02 INSTRUMENT */
#define ERCD_TRD_RISK_LIMIT_EXCEED               14078   /* 14078 - TRADING RISK HALT LIMIT EXCEEDED */
#define ERCD_INV_TRD_RISK_LIMIT_SETUP            14079   /* 14079 - INVALID TRADING RISK LIMIT SETUP */
#define ERCD_MATCH_INST_CRS_ID_NOT_ALLWD_INSTR   14086   /* 14086 - MATCH INST CROSS ID NOT ALLOWED FOR INSTR */
#define ERCD_MATCH_INST_CRS_ID_NOT_ALLWD_MBR     14087   /* 14087 - MATCH INST CROSS ID NOT ALLOWED FOR MBR */
#define ERCD_INV_MATCH_INST_CRS_ID_COMB          14088   /* 14088 - INVALID MATCH INST CROSS ID COMBINATION */
#define ERCD_MATCH_INST_CRS_ID_NOT_ALLWD_ORDR_TYP 14089  /* 14089 - MATCH INST CROSS ID NOT ALLOWED FOR ORDR TYPE */
#define ERCD_MATCH_INST_CRS_ID_NOT_ALLWD_QUOTE_TYP 14090 /* 14090 - MATCH INST CROSS ID NOT ALLOWED FOR QUOTE TYPE */
#define ERCD_INV_QUOTE_ID                        14091   /* 14091 - INVALID QUOTEID */
#define ERCD_QUOTE_ID_ALRDY_USED                 14092   /* 14092 - QUOTEID ALREADY USED */
#define ERCD_QUOTE_ID_TIME_OUT                   14093   /* 14093 - QUOTEID TIMED OUT */
#define ERCD_ORDR_MODIF_NOT_ALLWD                14094   /* 14094 - ORDER MODIFICATION NOT ALLOWED */
#define ERCD_PARTIAL_MATCH_NOT_ALLWD             14095   /* 14095 - PARTIAL MATCH NOT ALLOWED */
#define ERCD_QUOTE_ID_DAILY_LIMIT_EXCD           14096   /* 14096 - QUOTEID DAILY LIMIT EXCEEDED */
#define ERCD_CHG_MATCH_INST_CRS_ID_NOT_ALLWD     14098   /* 14098 - NO CHANGE TO  MATCH INST CROSS ID ALLOWED */
#define ERCD_VDO_NOT_ALLWD                       14104   /* 14104 - VOLUME DISCOVERY ORDER NOT ALLOWED */
#define ERCD_INV_SECD_LIMIT_FOR_VDO              14105   /* 14105 - INVALID SECOND LIMIT FOR VOLUME DISCOVERY ORDER */
#define ERCD_SECD_LIMIT_FOR_VDO_TOO_LOW          14106   /* 14106 - SECOND LIMIT FOR VOLUME DISCOVERY ORDER TOO LOW */
#define ERCD_SECD_LIMIT_FOR_VDO_TOO_HIGH         14107   /* 14107 - SECOND LIMIT FOR VOLUME DISCOVERY ORDER TOO HIGH */
#define ERCD_HIDDEN_QTY_LOW_VDO_MEQ              14108   /* 14108 - HIDDEN QUANTITY LOWER THAN VOLUME DISCOVERY MEQ */
#define ERCD_INV_REJ_REASN_COD                   14109   /* 14109 - INVALID REJECTION REASON CODE */
#define ERCD_QUOTE_REQ_QUOTE_ID_NOT_ALLWD        14110   /* 14110 - QUOTE REQUEST WITH QUOTE ID IS NOT ALLOWED */
#define ERCD_DS_LM_SUBS_NOT_ALLWD                14111   /* 14111 - DS/LM QUOTE REQUEST EVENT SUBSCRIPTION NOT ALLOWED */
#define ERCD_SPEC_QR_REPLY_SUBS_NOT_ALLWD        14112   /* 14112 - SPECIALIST QUOTE REQUEST REPLY EVENT SUBSCRIPTION NOT ALLOWED */
#define ELB_MAILBOX_FULL                         19994   /* 19994 - BUSY: TXN REJECTED. TRY AGAIN */
#define ELB_XEUR_TRANS_COMPLETE                  19999   /* 19999 - CHECK RESULT OF REQ. TXN */
#define ERCD_INV_VALUE_MLI_ISIN_DATA_CTR         40000   /* 40000 - INVALID VALUE IN FIELD MLI ISIN DATA CTR */
#define ERCD_INV_VALUE_ACC_FEE                   40001   /* 40001 - INVALID VALUE IN FIELD ACC FEE */
#define ERCD_INV_VALUE_ACCT_TYP_COD_B            40002   /* 40002 - INVALID VALUE IN FIELD ACCT TYP COD B */
#define ERCD_INV_VALUE_ACCT_TYP_COD              40003   /* 40003 - INVALID VALUE IN FIELD ACCT TYP COD */
#define ERCD_INV_VALUE_ACCT_TYP_COD_F            40004   /* 40004 - INVALID VALUE IN FIELD ACCT TYP COD F */
#define ERCD_INV_VALUE_ACCT_TYP_COD_P            40005   /* 40005 - INVALID VALUE IN FIELD ACCT TYP COD P */
#define ERCD_INV_VALUE_ACCT_TYP_COD_S            40006   /* 40006 - INVALID VALUE IN FIELD ACCT TYP COD S */
#define ERCD_INV_VALUE_ACCT_TYP_NO_B             40007   /* 40007 - INVALID VALUE IN FIELD ACCT TYP NO B */
#define ERCD_INV_VALUE_ACCT_TYP_NO               40008   /* 40008 - INVALID VALUE IN FIELD ACCT TYP NO */
#define ERCD_INV_VALUE_ACCT_TYP_NO_F             40009   /* 40009 - INVALID VALUE IN FIELD ACCT TYP NO F */
#define ERCD_INV_VALUE_ACCT_TYP_NO_P             40010   /* 40010 - INVALID VALUE IN FIELD ACCT TYP NO P */
#define ERCD_INV_VALUE_ACCT_TYP_NO_S             40011   /* 40011 - INVALID VALUE IN FIELD ACCT TYP NO S */
#define ERCD_INV_VALUE_ACTN_COD                  40012   /* 40012 - INVALID VALUE IN FIELD ACTN COD */
#define ERCD_INV_VALUE_ADDR_CTRY_NAM             40013   /* 40013 - INVALID VALUE IN FIELD ADDR CTRY NAM */
#define ERCD_INV_VALUE_ADDR_CTY_NAM              40014   /* 40014 - INVALID VALUE IN FIELD ADDR CTY NAM */
#define ERCD_INV_VALUE_ADDR_DPT_NAM              40015   /* 40015 - INVALID VALUE IN FIELD ADDR DPT NAM */
#define ERCD_INV_VALUE_ADDR_STR_LO1_TXT          40016   /* 40016 - INVALID VALUE IN FIELD ADDR STR LO1 TXT */
#define ERCD_INV_VALUE_ADDR_STR_LO2_TXT          40017   /* 40017 - INVALID VALUE IN FIELD ADDR STR LO2 TXT */
#define ERCD_INV_VALUE_ADDR_ZIP_COD              40018   /* 40018 - INVALID VALUE IN FIELD ADDR ZIP COD */
#define ERCD_INV_VALUE_ADJU_MEM_INFO_TXT         40019   /* 40019 - INVALID VALUE IN FIELD ADJU MEM INFO TXT */
#define ERCD_INV_VALUE_AGT_IND                   40020   /* 40020 - INVALID VALUE IN FIELD AGT IND */
#define ERCD_INV_VALUE_APPLICATION_ID            40021   /* 40021 - INVALID VALUE IN FIELD APPLICATION ID */
#define ERCD_INV_VALUE_ASK_SIDE_DEL              40022   /* 40022 - INVALID VALUE IN FIELD ASK SIDE DEL */
#define ERCD_INV_VALUE_ASN_COD                   40023   /* 40023 - INVALID VALUE IN FIELD ASN COD */
#define ERCD_INV_VALUE_ASS_MEMB_BRN_ID_COD       40024   /* 40024 - INVALID VALUE IN FIELD ASS MEMB BRN ID COD */
#define ERCD_INV_VALUE_ASS_MEMB_IST_ID_COD       40025   /* 40025 - INVALID VALUE IN FIELD ASS MEMB IST ID COD */
#define ERCD_INV_VALUE_AUCT_LOT_IND              40026   /* 40026 - INVALID VALUE IN FIELD AUCT LOT IND */
#define ERCD_INV_VALUE_AUCT_PRC                  40027   /* 40027 - INVALID VALUE IN FIELD AUCT PRC */
#define ERCD_INV_VALUE_AUCT_QTY                  40028   /* 40028 - INVALID VALUE IN FIELD AUCT QTY */
#define ERCD_INV_VALUE_AUCT_STRT                 40029   /* 40029 - INVALID VALUE IN FIELD AUCT STRT */
#define ERCD_INV_VALUE_AUCT_TIM                  40030   /* 40030 - INVALID VALUE IN FIELD AUCT TIM */
#define ERCD_INV_VALUE_AUCT_TYPE                 40031   /* 40031 - INVALID VALUE IN FIELD AUCT TYPE */
#define ERCD_INV_VALUE_AUTO_STA_SWI              40032   /* 40032 - INVALID VALUE IN FIELD AUTO STA SWI */
#define ERCD_INV_VALUE_AVG_TRAD_MTCH_PRC         40033   /* 40033 - INVALID VALUE IN FIELD AVG TRAD MTCH PRC */
#define ERCD_INV_VALUE_BON_FST_CPN_DEV           40034   /* 40034 - INVALID VALUE IN FIELD BON FST CPN DEV */
#define ERCD_INV_VALUE_BCAST_TYPE                40035   /* 40035 - INVALID VALUE IN FIELD BCAST TYPE */
#define ERCD_INV_VALUE_BEST_BDRY_ASK             40036   /* 40036 - INVALID VALUE IN FIELD BEST BDRY ASK */
#define ERCD_INV_VALUE_BEST_BDRY_BID             40037   /* 40037 - INVALID VALUE IN FIELD BEST BDRY BID */
#define ERCD_INV_VALUE_BEST_BDRY                 40038   /* 40038 - INVALID VALUE IN FIELD BEST BDRY */
#define ERCD_INV_VALUE_BEST_EXR_BRN_ID_COD_B     40039   /* 40039 - INVALID VALUE IN FIELD BEST EXR BRN ID COD B */
#define ERCD_INV_VALUE_BEST_EXR_BRN_ID_COD       40040   /* 40040 - INVALID VALUE IN FIELD BEST EXR BRN ID COD */
#define ERCD_INV_VALUE_BEST_EXR_BRN_ID_COD_S     40041   /* 40041 - INVALID VALUE IN FIELD BEST EXR BRN ID COD S */
#define ERCD_INV_VALUE_BEST_EXR_IND              40042   /* 40042 - INVALID VALUE IN FIELD BEST EXR IND */
#define ERCD_INV_VALUE_BEST_EXR_IST_ID_COD_B     40043   /* 40043 - INVALID VALUE IN FIELD BEST EXR IST ID COD B */
#define ERCD_INV_VALUE_BEST_EXR_IST_ID_COD       40044   /* 40044 - INVALID VALUE IN FIELD BEST EXR IST ID COD */
#define ERCD_INV_VALUE_BEST_EXR_IST_ID_COD_S     40045   /* 40045 - INVALID VALUE IN FIELD BEST EXR IST ID COD S */
#define ERCD_INV_VALUE_BEST_RSRV_QTY_ASK         40046   /* 40046 - INVALID VALUE IN FIELD BEST RSRV QTY ASK */
#define ERCD_INV_VALUE_BEST_RSRV_QTY_BID         40047   /* 40047 - INVALID VALUE IN FIELD BEST RSRV QTY BID */
#define ERCD_INV_VALUE_BEST_RSRV_QTY             40048   /* 40048 - INVALID VALUE IN FIELD BEST RSRV QTY */
#define ERCD_INV_VALUE_BEST_TRD_IND              40049   /* 40049 - INVALID VALUE IN FIELD BEST TRD IND */
#define ERCD_INV_VALUE_BETR_ASS_IND              40050   /* 40050 - INVALID VALUE IN FIELD BETR ASS IND */
#define ERCD_INV_VALUE_BETR_IND                  40051   /* 40051 - INVALID VALUE IN FIELD BETR IND */
#define ERCD_INV_VALUE_BID_SIDE_DEL              40052   /* 40052 - INVALID VALUE IN FIELD BID SIDE DEL */
#define ERCD_INV_VALUE_BILL_EXCH                 40053   /* 40053 - INVALID VALUE IN FIELD BILL EXCH */
#define ERCD_INV_VALUE_BON_ACR_INT_CALC_MD       40054   /* 40054 - INVALID VALUE IN FIELD BON ACR INT CALC MD */
#define ERCD_INV_VALUE_BON_ACR_INT               40055   /* 40055 - INVALID VALUE IN FIELD BON ACR INT */
#define ERCD_INV_VALUE_BON_ACR_INT_DAY_A_YR      40056   /* 40056 - INVALID VALUE IN FIELD BON ACR INT DAY A YR */
#define ERCD_INV_VALUE_BON_ACR_INT_DAY           40057   /* 40057 - INVALID VALUE IN FIELD BON ACR INT DAY */
#define ERCD_INV_VALUE_BON_ACR_INT_UNT           40058   /* 40058 - INVALID VALUE IN FIELD BON ACR INT UNT */
#define ERCD_INV_VALUE_BON_CPN_DEVG_WSS          40059   /* 40059 - INVALID VALUE IN FIELD BON CPN DEVG WSS */
#define ERCD_INV_VALUE_BON_CPN_FREQ              40060   /* 40060 - INVALID VALUE IN FIELD BON CPN FREQ */
#define ERCD_INV_VALUE_BON_CPN_RAT               40061   /* 40061 - INVALID VALUE IN FIELD BON CPN RAT */
#define ERCD_INV_VALUE_BON_CPN_SEPA_MD           40062   /* 40062 - INVALID VALUE IN FIELD BON CPN SEPA MD */
#define ERCD_INV_VALUE_BON_FST_CPN_PMT_DAT       40063   /* 40063 - INVALID VALUE IN FIELD BON FST CPN PMT DAT */
#define ERCD_INV_VALUE_BON_INT_RAT_MAX           40064   /* 40064 - INVALID VALUE IN FIELD BON INT RAT MAX */
#define ERCD_INV_VALUE_BON_INT_RAT_MIN           40065   /* 40065 - INVALID VALUE IN FIELD BON INT RAT MIN */
#define ERCD_INV_VALUE_BON_LST_CPN_DEVG_IND      40066   /* 40066 - INVALID VALUE IN FIELD BON LST CPN DEVG IND */
#define ERCD_INV_VALUE_BON_LST_CPN_PMT_DAT       40067   /* 40067 - INVALID VALUE IN FIELD BON LST CPN PMT DAT */
#define ERCD_INV_VALUE_BON_MRTY_DAT              40068   /* 40068 - INVALID VALUE IN FIELD BON MRTY DAT */
#define ERCD_INV_VALUE_BON_NO_CPN_A_YR           40069   /* 40069 - INVALID VALUE IN FIELD BON NO CPN A YR */
#define ERCD_INV_VALUE_BON_NO_REM_CPN_PER        40070   /* 40070 - INVALID VALUE IN FIELD BON NO REM CPN PER */
#define ERCD_INV_VALUE_BON_NXT_ACR_INT_DAY_YR    40071   /* 40071 - INVALID VALUE IN FIELD BON NXT ACR INT DAY YR */
#define ERCD_INV_VALUE_BON_NXT_INT_RAT           40073   /* 40073 - INVALID VALUE IN FIELD BON NXT INT RAT */
#define ERCD_INV_VALUE_BON_NXT_NO_REM_CPN_PER    40074   /* 40074 - INVALID VALUE IN FIELD BON NXT NO REM CPN PER */
#define ERCD_INV_VALUE_BON_RDM_VAL               40075   /* 40075 - INVALID VALUE IN FIELD BON RDM VAL */
#define ERCD_INV_VALUE_BON_RGL_CPN               40076   /* 40076 - INVALID VALUE IN FIELD BON RGL CPN */
#define ERCD_INV_VALUE_BON_SCD_CPN_PMT_DAT       40077   /* 40077 - INVALID VALUE IN FIELD BON SCD CPN PMT DAT */
#define ERCD_INV_VALUE_BON_YLD_CALC_MD           40078   /* 40078 - INVALID VALUE IN FIELD BON YLD CALC MD */
#define ERCD_INV_VALUE_BON_YLD_F2                40079   /* 40079 - INVALID VALUE IN FIELD BON YLD F2 */
#define ERCD_INV_VALUE_BST_ASK_PRC               40080   /* 40080 - INVALID VALUE IN FIELD BST ASK PRC */
#define ERCD_INV_VALUE_BST_ASK_QTY               40081   /* 40081 - INVALID VALUE IN FIELD BST ASK QTY */
#define ERCD_INV_VALUE_BST_BID_PRC               40082   /* 40082 - INVALID VALUE IN FIELD BST BID PRC */
#define ERCD_INV_VALUE_BST_BID_QTY               40083   /* 40083 - INVALID VALUE IN FIELD BST BID QTY */
#define ERCD_INV_VALUE_BST_ORD_PRC_IND           40084   /* 40084 - INVALID VALUE IN FIELD BST ORD PRC IND */
#define ERCD_INV_VALUE_BTR_OBB_DURN              40085   /* 40085 - INVALID VALUE IN FIELD BTR OBB DURN */
#define ERCD_INV_VALUE_BUY_COD                   40086   /* 40086 - INVALID VALUE IN FIELD BUY COD */
#define ERCD_INV_VALUE_CLG_LOC                   40087   /* 40087 - INVALID VALUE IN FIELD CLG LOC */
#define ERCD_INV_VALUE_CLS_AUCT_DURN             40088   /* 40088 - INVALID VALUE IN FIELD CLS AUCT DURN */
#define ERCD_INV_VALUE_CLS_PRC                   40089   /* 40089 - INVALID VALUE IN FIELD CLS PRC */
#define ERCD_INV_VALUE_CLSD_BOOK_IND             40090   /* 40090 - INVALID VALUE IN FIELD CLSD BOOK IND */
#define ERCD_INV_VALUE_CMEX_IND                  40091   /* 40091 - INVALID VALUE IN FIELD CMEX IND */
#define ERCD_INV_VALUE_CMEX_TYP                  40092   /* 40092 - INVALID VALUE IN FIELD CMEX TYP */
#define ERCD_INV_VALUE_CNTC_UNT                  40093   /* 40093 - INVALID VALUE IN FIELD CNTC UNT */
#define ERCD_INV_VALUE_CON_DISP_DECIMAL          40094   /* 40094 - INVALID VALUE IN FIELD CON DISP DECIMAL */
#define ERCD_INV_VALUE_CROSS_TRD_PRC             40095   /* 40095 - INVALID VALUE IN FIELD CROSS TRD PRC */
#define ERCD_INV_VALUE_CROSS_TRD_QTY             40096   /* 40096 - INVALID VALUE IN FIELD CROSS TRD QTY */
#define ERCD_INV_VALUE_CROSS_TRD_TIM             40097   /* 40097 - INVALID VALUE IN FIELD CROSS TRD TIM */
#define ERCD_INV_VALUE_CTRL_SEG_COD              40098   /* 40098 - INVALID VALUE IN FIELD CTRL SEG COD */
#define ERCD_INV_VALUE_CTRL_SEG_COD_X            40099   /* 40099 - INVALID VALUE IN FIELD CTRL SEG COD X */
#define ERCD_INV_VALUE_CTRL_SEG_NAM              40100   /* 40100 - INVALID VALUE IN FIELD CTRL SEG NAM */
#define ERCD_INV_VALUE_CURR_CVS_FCTR             40101   /* 40101 - INVALID VALUE IN FIELD CURR CVS FCTR */
#define ERCD_INV_VALUE_CURR_DESC                 40102   /* 40102 - INVALID VALUE IN FIELD CURR DESC */
#define ERCD_INV_VALUE_CURR_EXCH_RAT             40103   /* 40103 - INVALID VALUE IN FIELD CURR EXCH RAT */
#define ERCD_INV_VALUE_CURR_TYP_COD              40104   /* 40104 - INVALID VALUE IN FIELD CURR TYP COD */
#define ERCD_INV_VALUE_DATA_LEN                  40105   /* 40105 - INVALID VALUE IN FIELD DATA LEN */
#define ERCD_INV_VALUE_DATE                      40106   /* 40106 - INVALID VALUE IN FIELD DATE */
#define ERCD_INV_VALUE_DATE_LST_UPD_DAT_B        40107   /* 40107 - INVALID VALUE IN FIELD DATE LST UPD DAT B */
#define ERCD_INV_VALUE_DATE_LST_UPD_DAT          40108   /* 40108 - INVALID VALUE IN FIELD DATE LST UPD DAT */
#define ERCD_INV_VALUE_DATE_LST_UPD_DAT_P        40109   /* 40109 - INVALID VALUE IN FIELD DATE LST UPD DAT P */
#define ERCD_INV_VALUE_DATE_LST_UPD_DAT_S        40110   /* 40110 - INVALID VALUE IN FIELD DATE LST UPD DAT S */
#define ERCD_INV_VALUE_DEF_STL_ID_ACT            40111   /* 40111 - INVALID VALUE IN FIELD DEF STL ID ACT */
#define ERCD_INV_VALUE_DEF_STL_ID_LOC            40112   /* 40112 - INVALID VALUE IN FIELD DEF STL ID LOC */
#define ERCD_INV_VALUE_DISPO                     40114   /* 40114 - INVALID VALUE IN FIELD DISPO */
#define ERCD_INV_VALUE_OTC_TRD_DAT               40115   /* 40115 - INVALID VALUE IN FIELD OTC TRD DAT */
#define ERCD_INV_VALUE_DLY_HGH_PRC               40116   /* 40116 - INVALID VALUE IN FIELD DLY HGH PRC */
#define ERCD_INV_VALUE_DLY_LOW_PRC               40117   /* 40117 - INVALID VALUE IN FIELD DLY LOW PRC */
#define ERCD_INV_VALUE_DNOM_CURR_COD             40118   /* 40118 - INVALID VALUE IN FIELD DNOM CURR COD */
#define ERCD_INV_VALUE_DOM_IND                   40119   /* 40119 - INVALID VALUE IN FIELD DOM IND */
#define ERCD_INV_VALUE_END_CONT_AU_DAY           40120   /* 40120 - INVALID VALUE IN FIELD END CONT AU DAY */
#define ERCD_INV_VALUE_EOD_AUCT_DURN             40121   /* 40121 - INVALID VALUE IN FIELD EOD AUCT DURN */
#define ERCD_INV_VALUE_EQY_NXT_DIV_DUE_DAT       40122   /* 40122 - INVALID VALUE IN FIELD EQY NXT DIV DUE DAT */
#define ERCD_INV_VALUE_EQY_NXT_DIV_ESTD_AMT      40123   /* 40123 - INVALID VALUE IN FIELD EQY NXT DIV ESTD AMT */
#define ERCD_INV_VALUE_EXC_CURR_TYP_COD          40124   /* 40124 - INVALID VALUE IN FIELD EXC CURR TYP COD */
#define ERCD_INV_VALUE_EXCH_CRT_PROC_DAT         40125   /* 40125 - INVALID VALUE IN FIELD EXCH CRT PROC DAT */
#define ERCD_INV_VALUE_EXCH_ID_COD               40126   /* 40126 - INVALID VALUE IN FIELD EXCH ID COD */
#define ERCD_INV_VALUE_TRD_CNCL_QTY_ASK          40127   /* 40127 - INVALID VALUE IN FIELD TRD CNCL QTY ASK */
#define ERCD_INV_VALUE_EXCH_NAME                 40128   /* 40128 - INVALID VALUE IN FIELD EXCH NAME */
#define ERCD_INV_VALUE_EXCH_SYS_STATE_COD        40129   /* 40129 - INVALID VALUE IN FIELD EXCH SYS STATE COD */
#define ERCD_INV_VALUE_EXCH_X_ID                 40130   /* 40130 - INVALID VALUE IN FIELD EXCH X ID */
#define ERCD_INV_VALUE_MID_PNT_ORDR_IND          40131   /* 40131 - INVALID VALUE IN FIELD MID PNT ORDR IND */
#define ERCD_INV_VALUE_EXCP_STATE_IND            40132   /* 40132 - INVALID VALUE IN FIELD EXCP STATE IND */
#define ERCD_INV_VALUE_MIN_MID_PNT_ORDR_VAL      40133   /* 40133 - INVALID VALUE IN FIELD MIN MID PNT ORDR VAL */
#define ERCD_INV_VALUE_BON_INT_DATA              40134   /* 40134 - INVALID VALUE IN FIELD BON INT DATA */
#define ERCD_INV_VALUE_EXTD_VOL_FCTR             40135   /* 40135 - INVALID VALUE IN FIELD EXTD VOL FCTR */
#define ERCD_INV_VALUE_EXTR_IND                  40136   /* 40136 - INVALID VALUE IN FIELD EXTR IND */
#define ERCD_INV_VALUE_FEE_AMT                   40137   /* 40137 - INVALID VALUE IN FIELD FEE AMT */
#define ERCD_INV_VALUE_FEE_AMT_FAC               40138   /* 40138 - INVALID VALUE IN FIELD FEE AMT FAC */
#define ERCD_INV_VALUE_FEE_AMT_FMT               40139   /* 40139 - INVALID VALUE IN FIELD FEE AMT FMT */
#define ERCD_INV_VALUE_FEE_CAP                   40140   /* 40140 - INVALID VALUE IN FIELD FEE CAP */
#define ERCD_INV_VALUE_FEE_CRT_PKG_TYP           40141   /* 40141 - INVALID VALUE IN FIELD FEE CRT PKG TYP */
#define ERCD_INV_VALUE_FEE_FLR                   40142   /* 40142 - INVALID VALUE IN FIELD FEE FLR */
#define ERCD_INV_VALUE_FEE_NXT_PKG_TYP           40143   /* 40143 - INVALID VALUE IN FIELD FEE NXT PKG TYP */
#define ERCD_INV_VALUE_FEE_PKG_FLG               40144   /* 40144 - INVALID VALUE IN FIELD FEE PKG FLG */
#define ERCD_INV_VALUE_FEE_PKG_FLG_F             40145   /* 40145 - INVALID VALUE IN FIELD FEE PKG FLG F */
#define ERCD_INV_VALUE_FEE_PKG_NAM_CT            40146   /* 40146 - INVALID VALUE IN FIELD FEE PKG NAM CT */
#define ERCD_INV_VALUE_FEE_PKG_NAM               40147   /* 40147 - INVALID VALUE IN FIELD FEE PKG NAM */
#define ERCD_INV_VALUE_FEE_PKG_TYP_CT            40149   /* 40149 - INVALID VALUE IN FIELD FEE PKG TYP CT */
#define ERCD_INV_VALUE_FEE_PKG_TYP               40150   /* 40150 - INVALID VALUE IN FIELD FEE PKG TYP */
#define ERCD_INV_VALUE_FEE_PKG_TYP_F             40151   /* 40151 - INVALID VALUE IN FIELD FEE PKG TYP F */
#define ERCD_INV_VALUE_FEES_ADJ_AMT              40152   /* 40152 - INVALID VALUE IN FIELD FEES ADJ AMT */
#define ERCD_INV_VALUE_FEES_CURR_TYP_COD         40153   /* 40153 - INVALID VALUE IN FIELD FEES CURR TYP COD */
#define ERCD_INV_VALUE_FEES_TYP_COD              40154   /* 40154 - INVALID VALUE IN FIELD FEES TYP COD */
#define ERCD_INV_VALUE_FEES_TYP_COD_F            40155   /* 40155 - INVALID VALUE IN FIELD FEES TYP COD F */
#define ERCD_INV_VALUE_FEES_TYP_IND              40156   /* 40156 - INVALID VALUE IN FIELD FEES TYP IND */
#define ERCD_INV_VALUE_LST_TRD_PRC_MPO           40157   /* 40157 - INVALID VALUE IN FIELD LST TRD PRC MPO */
#define ERCD_INV_VALUE_FILL_CURR1                40158   /* 40158 - INVALID VALUE IN FIELD FILL CURR1 */
#define ERCD_INV_VALUE_FILL_CURR2                40159   /* 40159 - INVALID VALUE IN FIELD FILL CURR2 */
#define ERCD_INV_VALUE_FILL_CURR3                40160   /* 40160 - INVALID VALUE IN FIELD FILL CURR3 */
#define ERCD_INV_VALUE_FILT_DAT_MAX              40161   /* 40161 - INVALID VALUE IN FIELD FILT DAT MAX */
#define ERCD_INV_VALUE_FILT_DAT_MIN              40162   /* 40162 - INVALID VALUE IN FIELD FILT DAT MIN */
#define ERCD_INV_VALUE_FILT_LIM_MAX              40163   /* 40163 - INVALID VALUE IN FIELD FILT LIM MAX */
#define ERCD_INV_VALUE_FILT_LIM_MIN              40164   /* 40164 - INVALID VALUE IN FIELD FILT LIM MIN */
#define ERCD_INV_VALUE_FILT_TIM_MAX              40165   /* 40165 - INVALID VALUE IN FIELD FILT TIM MAX */
#define ERCD_INV_VALUE_FILT_TIM_MIN              40166   /* 40166 - INVALID VALUE IN FIELD FILT TIM MIN */
#define ERCD_INV_VALUE_FIX_VOL_PRC_OVRD          40167   /* 40167 - INVALID VALUE IN FIELD FIX VOL PRC OVRD */
#define ERCD_INV_VALUE_FIX_VOL_PRC_RNG           40168   /* 40168 - INVALID VALUE IN FIELD FIX VOL PRC RNG */
#define ERCD_INV_VALUE_FLTG_VOL_PRC_RNG          40169   /* 40169 - INVALID VALUE IN FIELD FLTG VOL PRC RNG */
#define ERCD_INV_VALUE_FM_FIX_VOL_PRC_RGE        40170   /* 40170 - INVALID VALUE IN FIELD FM FIX VOL PRC RGE */
#define ERCD_INV_VALUE_FM_FLTG_VOL_PRC_RGE       40171   /* 40171 - INVALID VALUE IN FIELD FM FLTG VOL PRC RGE */
#define ERCD_INV_VALUE_FM_IND                    40172   /* 40172 - INVALID VALUE IN FIELD FM IND */
#define ERCD_INV_VALUE_FRST_TRD_DAT              40173   /* 40173 - INVALID VALUE IN FIELD FRST TRD DAT */
#define ERCD_INV_VALUE_INST_ONE_DAY_QTY_MPO      40175   /* 40175 - INVALID VALUE IN FIELD INST ONE DAY QTY MPO */
#define ERCD_INV_VALUE_LST_TRD_QTY_MPO           40176   /* 40176 - INVALID VALUE IN FIELD LST TRD QTY MPO */
#define ERCD_INV_VALUE_TOT_NO_TRD_MPO            40177   /* 40177 - INVALID VALUE IN FIELD TOT NO TRD MPO */
#define ERCD_INV_VALUE_TRD_TIM_MPO               40178   /* 40178 - INVALID VALUE IN FIELD TRD TIM MPO */
#define ERCD_INV_VALUE_BON_LST_CPN_DEV           40179   /* 40179 - INVALID VALUE IN FIELD BON LST CPN DEV */
#define ERCD_INV_VALUE_ICE_ORD_IND               40180   /* 40180 - INVALID VALUE IN FIELD ICE ORD IND */
#define ERCD_INV_VALUE_IDX_VAR_ID                40181   /* 40181 - INVALID VALUE IN FIELD IDX VAR ID */
#define ERCD_INV_VALUE_INDY_AUCT_DURN            40182   /* 40182 - INVALID VALUE IN FIELD INDY AUCT DURN */
#define ERCD_INV_VALUE_INQ_TRD_RAT               40183   /* 40183 - INVALID VALUE IN FIELD INQ TRD RAT */
#define ERCD_INV_VALUE_INS_ASN_NUM               40184   /* 40184 - INVALID VALUE IN FIELD INS ASN NUM */
#define ERCD_INV_VALUE_INS_TOT_NUM               40185   /* 40185 - INVALID VALUE IN FIELD INS TOT NUM */
#define ERCD_INV_VALUE_INST_ASS_COD              40186   /* 40186 - INVALID VALUE IN FIELD INST ASS COD */
#define ERCD_INV_VALUE_INST_GRP_COD              40187   /* 40187 - INVALID VALUE IN FIELD INST GRP COD */
#define ERCD_INV_VALUE_INST_GRP_COD_NEW          40188   /* 40188 - INVALID VALUE IN FIELD INST GRP COD NEW */
#define ERCD_INV_VALUE_INST_GRP_NAM              40189   /* 40189 - INVALID VALUE IN FIELD INST GRP NAM */
#define ERCD_INV_VALUE_INST_GRP_TYP              40190   /* 40190 - INVALID VALUE IN FIELD INST GRP TYP */
#define ERCD_INV_VALUE_INST_MNEM                 40191   /* 40191 - INVALID VALUE IN FIELD INST MNEM */
#define ERCD_INV_VALUE_INST_ONE_DAY_QTY_BEST     40192   /* 40192 - INVALID VALUE IN FIELD INST ONE DAY QTY BEST */
#define ERCD_INV_VALUE_INST_ONE_DAY_QTY          40193   /* 40193 - INVALID VALUE IN FIELD INST ONE DAY QTY */
#define ERCD_INV_VALUE_INST_SHT_NAM              40194   /* 40194 - INVALID VALUE IN FIELD INST SHT NAM */
#define ERCD_INV_VALUE_INST_SPEC_REP_IND         40195   /* 40195 - INVALID VALUE IN FIELD INST SPEC REP IND */
#define ERCD_INV_VALUE_INST_SUB_TYP_COD          40196   /* 40196 - INVALID VALUE IN FIELD INST SUB TYP COD */
#define ERCD_INV_VALUE_INST_TYP_COD              40197   /* 40197 - INVALID VALUE IN FIELD INST TYP COD */
#define ERCD_INV_VALUE_INST_TYP_COD_F            40198   /* 40198 - INVALID VALUE IN FIELD INST TYP COD F */
#define ERCD_INV_VALUE_IPO_ASK_LIM               40199   /* 40199 - INVALID VALUE IN FIELD IPO ASK LIM */
#define ERCD_INV_VALUE_IPO_BID_LIM               40200   /* 40200 - INVALID VALUE IN FIELD IPO BID LIM */
#define ERCD_INV_VALUE_ISIN_COD                  40202   /* 40202 - INVALID VALUE IN FIELD ISIN COD */
#define ERCD_INV_VALUE_ISIN_COD_F                40203   /* 40203 - INVALID VALUE IN FIELD ISIN COD F */
#define ERCD_INV_VALUE_ISIN_COD_P                40204   /* 40204 - INVALID VALUE IN FIELD ISIN COD P */
#define ERCD_INV_VALUE_ISIN_SEQ_NO               40206   /* 40206 - INVALID VALUE IN FIELD ISIN SEQ NO */
#define ERCD_INV_VALUE_ISSR_IND                  40207   /* 40207 - INVALID VALUE IN FIELD ISSR IND */
#define ERCD_INV_VALUE_ISSR_MEMB_ID              40208   /* 40208 - INVALID VALUE IN FIELD ISSR MEMB ID */
#define ERCD_INV_VALUE_ISSR_SUB_GRP              40209   /* 40209 - INVALID VALUE IN FIELD ISSR SUB GRP */
#define ERCD_INV_VALUE_KEY_DAT_CTRL_BLC          40210   /* 40210 - INVALID VALUE IN FIELD KEY DAT CTRL BLC */
#define ERCD_INV_VALUE_KIND_OF_DEPO_B            40211   /* 40211 - INVALID VALUE IN FIELD KIND OF DEPO B */
#define ERCD_INV_VALUE_KIND_OF_DEPO              40212   /* 40212 - INVALID VALUE IN FIELD KIND OF DEPO */
#define ERCD_INV_VALUE_KIND_OF_DEPO_S            40213   /* 40213 - INVALID VALUE IN FIELD KIND OF DEPO S */
#define ERCD_INV_VALUE_LIC_TYP                   40214   /* 40214 - INVALID VALUE IN FIELD LIC TYP */
#define ERCD_INV_VALUE_SMP_CNCL_ASK_IND          40215   /* 40215 - INVALID VALUE IN FIELD SMP CNCL ASK IND */
#define ERCD_INV_VALUE_LIQ_PROV_IND              40216   /* 40216 - INVALID VALUE IN FIELD LIQ PROV IND */
#define ERCD_INV_VALUE_LM_IND                    40217   /* 40217 - INVALID VALUE IN FIELD LM IND */
#define ERCD_INV_VALUE_LMT_ORD_IND               40218   /* 40218 - INVALID VALUE IN FIELD LMT ORD IND */
#define ERCD_INV_VALUE_LST_AUCT_PRC              40219   /* 40219 - INVALID VALUE IN FIELD LST AUCT PRC */
#define ERCD_INV_VALUE_LST_AUCT_QTY              40220   /* 40220 - INVALID VALUE IN FIELD LST AUCT QTY */
#define ERCD_INV_VALUE_LST_MOD_TIM               40221   /* 40221 - INVALID VALUE IN FIELD LST MOD TIM */
#define ERCD_INV_VALUE_LST_TRD_DAT               40222   /* 40222 - INVALID VALUE IN FIELD LST TRD DAT */
#define ERCD_INV_VALUE_LST_TRD_PRC               40223   /* 40223 - INVALID VALUE IN FIELD LST TRD PRC */
#define ERCD_INV_VALUE_LST_TRD_QTY               40224   /* 40224 - INVALID VALUE IN FIELD LST TRD QTY */
#define ERCD_INV_VALUE_MAX_DURN_RND_END          40225   /* 40225 - INVALID VALUE IN FIELD MAX DURN RND END */
#define ERCD_INV_VALUE_MAX_MRTY_DAT              40226   /* 40226 - INVALID VALUE IN FIELD MAX MRTY DAT */
#define ERCD_INV_VALUE_MAX_ORDR_VAL_BEST         40227   /* 40227 - INVALID VALUE IN FIELD MAX ORDR VAL BEST */
#define ERCD_INV_VALUE_MAX_ORDR_VAL              40228   /* 40228 - INVALID VALUE IN FIELD MAX ORDR VAL */
#define ERCD_INV_VALUE_MAX_SRP_QTY               40229   /* 40229 - INVALID VALUE IN FIELD MAX SRP QTY */
#define ERCD_INV_VALUE_MAX_SYS_USG               40230   /* 40230 - INVALID VALUE IN FIELD MAX SYS USG */
#define ERCD_INV_VALUE_MKT_SEG                   40231   /* 40231 - INVALID VALUE IN FIELD MKT SEG */
#define ERCD_INV_VALUE_MKT_SEG_SUPL              40232   /* 40232 - INVALID VALUE IN FIELD MKT SEG SUPL */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD_APP       40233   /* 40233 - INVALID VALUE IN FIELD MEMB BRN ID COD APP */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD_B         40234   /* 40234 - INVALID VALUE IN FIELD MEMB BRN ID COD B */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD_CTPY      40235   /* 40235 - INVALID VALUE IN FIELD MEMB BRN ID COD CTPY */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD           40236   /* 40236 - INVALID VALUE IN FIELD MEMB BRN ID COD */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD_F         40237   /* 40237 - INVALID VALUE IN FIELD MEMB BRN ID COD F */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD_S         40239   /* 40239 - INVALID VALUE IN FIELD MEMB BRN ID COD S */
#define ERCD_INV_VALUE_MEMB_CLG_ID_COD_B         40241   /* 40241 - INVALID VALUE IN FIELD MEMB CLG ID COD B */
#define ERCD_INV_VALUE_MEMB_CLG_ID_COD           40242   /* 40242 - INVALID VALUE IN FIELD MEMB CLG ID COD */
#define ERCD_INV_VALUE_MEMB_CLG_ID_COD_F         40243   /* 40243 - INVALID VALUE IN FIELD MEMB CLG ID COD F */
#define ERCD_INV_VALUE_SMP_CNCL_BID_IND          40244   /* 40244 - INVALID VALUE IN FIELD SMP CNCL BID IND */
#define ERCD_INV_VALUE_MEMB_CLG_ID_COD_S         40245   /* 40245 - INVALID VALUE IN FIELD MEMB CLG ID COD S */
#define ERCD_INV_VALUE_MEMB_CLG_STL_ID_ACT       40247   /* 40247 - INVALID VALUE IN FIELD MEMB CLG STL ID ACT */
#define ERCD_INV_VALUE_MEMB_CLG_STL_ID_ACT_F     40248   /* 40248 - INVALID VALUE IN FIELD MEMB CLG STL ID ACT F */
#define ERCD_INV_VALUE_MEMB_CLG_STL_ID_LOC       40249   /* 40249 - INVALID VALUE IN FIELD MEMB CLG STL ID LOC */
#define ERCD_INV_VALUE_MEMB_CLG_STL_ID_LOC_F     40250   /* 40250 - INVALID VALUE IN FIELD MEMB CLG STL ID LOC F */
#define ERCD_INV_VALUE_MEMB_CLG_TYP_COD          40251   /* 40251 - INVALID VALUE IN FIELD MEMB CLG TYP COD */
#define ERCD_INV_VALUE_MEMB_CP_CLG_STL_ID_ACT    40252   /* 40252 - INVALID VALUE IN FIELD MEMB CP CLG STL ID ACT */
#define ERCD_INV_VALUE_MEMB_CP_CLG_STL_ID_LOC    40253   /* 40253 - INVALID VALUE IN FIELD MEMB CP CLG STL ID LOC */
#define ERCD_INV_VALUE_MEMB_CTPY_CLG_ID_COD      40254   /* 40254 - INVALID VALUE IN FIELD MEMB CTPY CLG ID COD */
#define ERCD_INV_VALUE_MEMB_CTPY_ID_COD          40255   /* 40255 - INVALID VALUE IN FIELD MEMB CTPY ID COD */
#define ERCD_INV_VALUE_MEMB_CTPY_ID_COD_F        40256   /* 40256 - INVALID VALUE IN FIELD MEMB CTPY ID COD F */
#define ERCD_INV_VALUE_MEMB_CTPY_KV_NO           40257   /* 40257 - INVALID VALUE IN FIELD MEMB CTPY KV NO */
#define ERCD_INV_VALUE_MEMB_DWZ_ACT_NO           40258   /* 40258 - INVALID VALUE IN FIELD MEMB DWZ ACT NO */
#define ERCD_INV_VALUE_MEMB_DWZ_LOC_NO           40259   /* 40259 - INVALID VALUE IN FIELD MEMB DWZ LOC NO */
#define ERCD_INV_VALUE_MEMB_EXC_TYP_COD          40260   /* 40260 - INVALID VALUE IN FIELD MEMB EXC TYP COD */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD_APP       40261   /* 40261 - INVALID VALUE IN FIELD MEMB IST ID COD APP */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD_B         40262   /* 40262 - INVALID VALUE IN FIELD MEMB IST ID COD B */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD_CTPY      40263   /* 40263 - INVALID VALUE IN FIELD MEMB IST ID COD CTPY */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD           40264   /* 40264 - INVALID VALUE IN FIELD MEMB IST ID COD */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD_F         40265   /* 40265 - INVALID VALUE IN FIELD MEMB IST ID COD F */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD_S         40267   /* 40267 - INVALID VALUE IN FIELD MEMB IST ID COD S */
#define ERCD_INV_VALUE_TRD_CNCL_QTY_BID          40268   /* 40268 - INVALID VALUE IN FIELD TRD CNCL QTY BID */
#define ERCD_INV_VALUE_MEMB_KV_NO_B              40269   /* 40269 - INVALID VALUE IN FIELD MEMB KV NO B */
#define ERCD_INV_VALUE_MEMB_KV_NO                40270   /* 40270 - INVALID VALUE IN FIELD MEMB KV NO */
#define ERCD_INV_VALUE_MEMB_KV_NO_S              40271   /* 40271 - INVALID VALUE IN FIELD MEMB KV NO S */
#define ERCD_INV_VALUE_MEMB_LGL_NAM              40272   /* 40272 - INVALID VALUE IN FIELD MEMB LGL NAM */
#define ERCD_INV_VALUE_MEMB_NET_IND_A            40273   /* 40273 - INVALID VALUE IN FIELD MEMB NET IND A */
#define ERCD_INV_VALUE_MEMB_NET_IND_P            40274   /* 40274 - INVALID VALUE IN FIELD MEMB NET IND P */
#define ERCD_INV_VALUE_MEMB_OS_BRN_ID_COD_B      40275   /* 40275 - INVALID VALUE IN FIELD MEMB OS BRN ID COD B */
#define ERCD_INV_VALUE_MEMB_OS_BRN_ID_COD        40276   /* 40276 - INVALID VALUE IN FIELD MEMB OS BRN ID COD */
#define ERCD_INV_VALUE_MEMB_OS_BRN_ID_COD_S      40277   /* 40277 - INVALID VALUE IN FIELD MEMB OS BRN ID COD S */
#define ERCD_INV_VALUE_MEMB_OS_IST_ID_COD_B      40278   /* 40278 - INVALID VALUE IN FIELD MEMB OS IST ID COD B */
#define ERCD_INV_VALUE_MEMB_OS_IST_ID_COD        40279   /* 40279 - INVALID VALUE IN FIELD MEMB OS IST ID COD */
#define ERCD_INV_VALUE_MEMB_OS_IST_ID_COD_S      40280   /* 40280 - INVALID VALUE IN FIELD MEMB OS IST ID COD S */
#define ERCD_INV_VALUE_MEMB_PHN_NO               40281   /* 40281 - INVALID VALUE IN FIELD MEMB PHN NO */
#define ERCD_INV_VALUE_MEMB_PSN_FUL_NAM          40282   /* 40282 - INVALID VALUE IN FIELD MEMB PSN FUL NAM */
#define ERCD_INV_VALUE_MEMB_STS_COD              40283   /* 40283 - INVALID VALUE IN FIELD MEMB STS COD */
#define ERCD_INV_VALUE_MEMB_USR_BRN_ID_COD       40284   /* 40284 - INVALID VALUE IN FIELD MEMB USR BRN ID COD */
#define ERCD_INV_VALUE_MEMB_USR_IST_ID_COD       40285   /* 40285 - INVALID VALUE IN FIELD MEMB USR IST ID COD */
#define ERCD_INV_VALUE_MEMBER_ID                 40286   /* 40286 - INVALID VALUE IN FIELD MEMBER ID */
#define ERCD_INV_VALUE_MESG_SHT_TXT              40287   /* 40287 - INVALID VALUE IN FIELD MESG SHT TXT */
#define ERCD_INV_VALUE_MID_PT_VAL_DURN           40288   /* 40288 - INVALID VALUE IN FIELD MID PT VAL DURN */
#define ERCD_INV_VALUE_MIN_ICE_QTY               40289   /* 40289 - INVALID VALUE IN FIELD MIN ICE QTY */
#define ERCD_INV_VALUE_MIN_MRTY_DAT              40290   /* 40290 - INVALID VALUE IN FIELD MIN MRTY DAT */
#define ERCD_INV_VALUE_MIN_PEAK_QTY              40291   /* 40291 - INVALID VALUE IN FIELD MIN PEAK QTY */
#define ERCD_INV_VALUE_MIN_TRDB_UNT              40292   /* 40292 - INVALID VALUE IN FIELD MIN TRDB UNT */
#define ERCD_INV_VALUE_MKT_IMB_IND               40293   /* 40293 - INVALID VALUE IN FIELD MKT IMB IND */
#define ERCD_INV_VALUE_MKT_ORD_IND               40294   /* 40294 - INVALID VALUE IN FIELD MKT ORD IND */
#define ERCD_INV_VALUE_MKT_ORD_INTR_DURN         40295   /* 40295 - INVALID VALUE IN FIELD MKT ORD INTR DURN */
#define ERCD_INV_VALUE_MKT_ORD_INTR_IND          40296   /* 40296 - INVALID VALUE IN FIELD MKT ORD INTR IND */
#define ERCD_INV_VALUE_MKT_ORD_MTCH_RGE          40297   /* 40297 - INVALID VALUE IN FIELD MKT ORD MTCH RGE */
#define ERCD_INV_VALUE_MKT_ORD_MTCH_RGE_FMT      40298   /* 40298 - INVALID VALUE IN FIELD MKT ORD MTCH RGE FMT */
#define ERCD_INV_VALUE_MKT_VAL                   40299   /* 40299 - INVALID VALUE IN FIELD MKT VAL */
#define ERCD_INV_VALUE_MOI_IND                   40300   /* 40300 - INVALID VALUE IN FIELD MOI IND */
#define ERCD_INV_VALUE_MTCH_RNG_ASK              40301   /* 40301 - INVALID VALUE IN FIELD MTCH RNG ASK */
#define ERCD_INV_VALUE_MTCH_RNG_BID              40302   /* 40302 - INVALID VALUE IN FIELD MTCH RNG BID */
#define ERCD_INV_VALUE_MTCH_RNG_MAX_ENT_DURN     40303   /* 40303 - INVALID VALUE IN FIELD MTCH RNG MAX ENT DURN */
#define ERCD_INV_VALUE_MTL_ORD_IND               40304   /* 40304 - INVALID VALUE IN FIELD MTL ORD IND */
#define ERCD_INV_VALUE_NET_CHG                   40305   /* 40305 - INVALID VALUE IN FIELD NET CHG */
#define ERCD_INV_VALUE_NET_GRP_COD               40306   /* 40306 - INVALID VALUE IN FIELD NET GRP COD */
#define ERCD_INV_VALUE_NET_MKT_VAL               40307   /* 40307 - INVALID VALUE IN FIELD NET MKT VAL */
#define ERCD_INV_VALUE_NET_SFX_NO_B              40308   /* 40308 - INVALID VALUE IN FIELD NET SFX NO B */
#define ERCD_INV_VALUE_NET_SFX_NO_S              40309   /* 40309 - INVALID VALUE IN FIELD NET SFX NO S */
#define ERCD_INV_VALUE_NET_TRAD_QTY              40310   /* 40310 - INVALID VALUE IN FIELD NET TRAD QTY */
#define ERCD_INV_VALUE_NET_TYP_COD_B             40311   /* 40311 - INVALID VALUE IN FIELD NET TYP COD B */
#define ERCD_INV_VALUE_NET_TYP_COD               40312   /* 40312 - INVALID VALUE IN FIELD NET TYP COD */
#define ERCD_INV_VALUE_NET_TYP_COD_S             40313   /* 40313 - INVALID VALUE IN FIELD NET TYP COD S */
#define ERCD_INV_VALUE_NEW_PW                    40314   /* 40314 - INVALID VALUE IN FIELD NEW PW */
#define ERCD_INV_VALUE_NEWS_DAT                  40315   /* 40315 - INVALID VALUE IN FIELD NEWS DAT */
#define ERCD_INV_VALUE_NEWS_DTL                  40316   /* 40316 - INVALID VALUE IN FIELD NEWS DTL */
#define ERCD_INV_VALUE_NEWS_PRIO                 40317   /* 40317 - INVALID VALUE IN FIELD NEWS PRIO */
#define ERCD_INV_VALUE_NEWS_TIM                  40318   /* 40318 - INVALID VALUE IN FIELD NEWS TIM */
#define ERCD_INV_VALUE_NMSG_LINE_NO              40319   /* 40319 - INVALID VALUE IN FIELD NMSG LINE NO */
#define ERCD_INV_VALUE_NO_TOT_TRD_QTY            40320   /* 40320 - INVALID VALUE IN FIELD NO TOT TRD QTY */
#define ERCD_INV_VALUE_NUM_MESSAGES              40321   /* 40321 - INVALID VALUE IN FIELD NUM MESSAGES */
#define ERCD_INV_VALUE_NUM_ORDR_ASK              40322   /* 40322 - INVALID VALUE IN FIELD NUM ORDR ASK */
#define ERCD_INV_VALUE_NUM_ORDR_BID              40323   /* 40323 - INVALID VALUE IN FIELD NUM ORDR BID */
#define ERCD_INV_VALUE_OLD_PW                    40324   /* 40324 - INVALID VALUE IN FIELD OLD PW */
#define ERCD_INV_VALUE_OPN_AUCT_DURN             40325   /* 40325 - INVALID VALUE IN FIELD OPN AUCT DURN */
#define ERCD_INV_VALUE_OPN_PRC                   40326   /* 40326 - INVALID VALUE IN FIELD OPN PRC */
#define ERCD_INV_VALUE_ORD_QUO_CONF              40327   /* 40327 - INVALID VALUE IN FIELD ORD QUO CONF */
#define ERCD_INV_VALUE_ORDR_BK_QTY               40328   /* 40328 - INVALID VALUE IN FIELD ORDR BK QTY */
#define ERCD_INV_VALUE_ORDR_BUY_COD              40329   /* 40329 - INVALID VALUE IN FIELD ORDR BUY COD */
#define ERCD_INV_VALUE_ORDR_CNCL_QTY             40331   /* 40331 - INVALID VALUE IN FIELD ORDR CNCL QTY */
#define ERCD_INV_VALUE_ORDR_COMPL_COD_B          40332   /* 40332 - INVALID VALUE IN FIELD ORDR COMPL COD B */
#define ERCD_INV_VALUE_ORDR_COMPL_COD            40333   /* 40333 - INVALID VALUE IN FIELD ORDR COMPL COD */
#define ERCD_INV_VALUE_ORDR_COMPL_COD_S          40334   /* 40334 - INVALID VALUE IN FIELD ORDR COMPL COD S */
#define ERCD_INV_VALUE_ORDR_EXE_PRC              40335   /* 40335 - INVALID VALUE IN FIELD ORDR EXE PRC */
#define ERCD_INV_VALUE_ORDR_EXE_QTY              40336   /* 40336 - INVALID VALUE IN FIELD ORDR EXE QTY */
#define ERCD_INV_VALUE_ORDR_EXP_DAT              40337   /* 40337 - INVALID VALUE IN FIELD ORDR EXP DAT */
#define ERCD_INV_VALUE_ORDR_NO_B                 40338   /* 40338 - INVALID VALUE IN FIELD ORDR NO B */
#define ERCD_INV_VALUE_ORDR_NO_BUY               40339   /* 40339 - INVALID VALUE IN FIELD ORDR NO BUY */
#define ERCD_INV_VALUE_ORDR_NO                   40340   /* 40340 - INVALID VALUE IN FIELD ORDR NO */
#define ERCD_INV_VALUE_ORDR_NO_S                 40341   /* 40341 - INVALID VALUE IN FIELD ORDR NO S */
#define ERCD_INV_VALUE_ORDR_NO_SEL               40342   /* 40342 - INVALID VALUE IN FIELD ORDR NO SEL */
#define ERCD_INV_VALUE_ORDR_NUM_BUY_NEW          40343   /* 40343 - INVALID VALUE IN FIELD ORDR NUM BUY NEW */
#define ERCD_INV_VALUE_ORDR_NUM_BUY_OLD          40344   /* 40344 - INVALID VALUE IN FIELD ORDR NUM BUY OLD */
#define ERCD_INV_VALUE_ORDR_NUM_NEW              40345   /* 40345 - INVALID VALUE IN FIELD ORDR NUM NEW */
#define ERCD_INV_VALUE_ORDR_NUM_OLD              40346   /* 40346 - INVALID VALUE IN FIELD ORDR NUM OLD */
#define ERCD_INV_VALUE_ORDR_NUM_SEL_NEW          40347   /* 40347 - INVALID VALUE IN FIELD ORDR NUM SEL NEW */
#define ERCD_INV_VALUE_ORDR_NUM_SEL_OLD          40348   /* 40348 - INVALID VALUE IN FIELD ORDR NUM SEL OLD */
#define ERCD_INV_VALUE_ORDR_PRT_FIL_COD          40349   /* 40349 - INVALID VALUE IN FIELD ORDR PRT FIL COD */
#define ERCD_INV_VALUE_ORDR_QTY                  40350   /* 40350 - INVALID VALUE IN FIELD ORDR QTY */
#define ERCD_INV_VALUE_ORDR_RES_COD              40351   /* 40351 - INVALID VALUE IN FIELD ORDR RES COD */
#define ERCD_INV_VALUE_ORDR_STOP_LIM             40352   /* 40352 - INVALID VALUE IN FIELD ORDR STOP LIM */
#define ERCD_INV_VALUE_ORDR_TYP_COD              40353   /* 40353 - INVALID VALUE IN FIELD ORDR TYP COD */
#define ERCD_INV_VALUE_OTC_APP_FLG               40354   /* 40354 - INVALID VALUE IN FIELD OTC APP FLG */
#define ERCD_INV_VALUE_OTC_TRD_TIM               40355   /* 40355 - INVALID VALUE IN FIELD OTC TRD TIM */
#define ERCD_INV_VALUE_PART_NO1                  40356   /* 40356 - INVALID VALUE IN FIELD PART NO1 */
#define ERCD_INV_VALUE_PART_NO_APP               40357   /* 40357 - INVALID VALUE IN FIELD PART NO APP */
#define ERCD_INV_VALUE_PART_NO_CTPY              40358   /* 40358 - INVALID VALUE IN FIELD PART NO CTPY */
#define ERCD_INV_VALUE_PART_NO                   40359   /* 40359 - INVALID VALUE IN FIELD PART NO */
#define ERCD_INV_VALUE_PART_NO_F                 40360   /* 40360 - INVALID VALUE IN FIELD PART NO F */
#define ERCD_INV_VALUE_PART_NO_TEXT_B            40361   /* 40361 - INVALID VALUE IN FIELD PART NO TEXT B */
#define ERCD_INV_VALUE_PART_NO_TEXT              40362   /* 40362 - INVALID VALUE IN FIELD PART NO TEXT */
#define ERCD_INV_VALUE_PART_NO_TEXT_S            40363   /* 40363 - INVALID VALUE IN FIELD PART NO TEXT S */
#define ERCD_INV_VALUE_PART_OS_NO_TXT_B          40364   /* 40364 - INVALID VALUE IN FIELD PART OS NO TXT B */
#define ERCD_INV_VALUE_PART_OS_NO_TXT            40365   /* 40365 - INVALID VALUE IN FIELD PART OS NO TXT */
#define ERCD_INV_VALUE_PART_OS_NO_TXT_S          40366   /* 40366 - INVALID VALUE IN FIELD PART OS NO TXT S */
#define ERCD_INV_VALUE_PART_OS_SUB_GRP_COD_B     40367   /* 40367 - INVALID VALUE IN FIELD PART OS SUB GRP COD B */
#define ERCD_INV_VALUE_PART_OS_SUB_GRP_COD       40368   /* 40368 - INVALID VALUE IN FIELD PART OS SUB GRP COD */
#define ERCD_INV_VALUE_PART_OS_SUB_GRP_COD_S     40369   /* 40369 - INVALID VALUE IN FIELD PART OS SUB GRP COD S */
#define ERCD_INV_VALUE_PART_PWD                  40370   /* 40370 - INVALID VALUE IN FIELD PART PWD */
#define ERCD_INV_VALUE_PART_SUB_GRP_COD1         40371   /* 40371 - INVALID VALUE IN FIELD PART SUB GRP COD1 */
#define ERCD_INV_VALUE_PART_SUB_GRP_COD_APP      40372   /* 40372 - INVALID VALUE IN FIELD PART SUB GRP COD APP */
#define ERCD_INV_VALUE_PART_SUB_GRP_COD_CTPY     40373   /* 40373 - INVALID VALUE IN FIELD PART SUB GRP COD CTPY */
#define ERCD_INV_VALUE_PART_SUB_GRP_COD          40374   /* 40374 - INVALID VALUE IN FIELD PART SUB GRP COD */
#define ERCD_INV_VALUE_PART_SUB_GRP_COD_F        40375   /* 40375 - INVALID VALUE IN FIELD PART SUB GRP COD F */
#define ERCD_INV_VALUE_PART_SUB_GRP_ID_COD_B     40376   /* 40376 - INVALID VALUE IN FIELD PART SUB GRP ID COD B */
#define ERCD_INV_VALUE_PART_SUB_GRP_ID_COD       40377   /* 40377 - INVALID VALUE IN FIELD PART SUB GRP ID COD */
#define ERCD_INV_VALUE_PART_SUB_GRP_ID_COD_S     40378   /* 40378 - INVALID VALUE IN FIELD PART SUB GRP ID COD S */
#define ERCD_INV_VALUE_PASSWORD                  40379   /* 40379 - INVALID VALUE IN FIELD PASSWORD */
#define ERCD_INV_VALUE_PEAK_SIZE_QTY             40380   /* 40380 - INVALID VALUE IN FIELD PEAK SIZE QTY */
#define ERCD_INV_VALUE_POST_TRD_ATY              40381   /* 40381 - INVALID VALUE IN FIELD POST TRD ATY */
#define ERCD_INV_VALUE_PRC_CURR_COD_B            40382   /* 40382 - INVALID VALUE IN FIELD PRC CURR COD B */
#define ERCD_INV_VALUE_PRC_CURR_COD              40383   /* 40383 - INVALID VALUE IN FIELD PRC CURR COD */
#define ERCD_INV_VALUE_PRC_CURR_COD_S            40384   /* 40384 - INVALID VALUE IN FIELD PRC CURR COD S */
#define ERCD_INV_VALUE_PRC_RSBL_CHK_FLG          40385   /* 40385 - INVALID VALUE IN FIELD PRC RSBL CHK FLG */
#define ERCD_INV_VALUE_PRCS_PROD_STATE           40386   /* 40386 - INVALID VALUE IN FIELD PRCS PROD STATE */
#define ERCD_INV_VALUE_PRCS_STS_VAL_COD          40387   /* 40387 - INVALID VALUE IN FIELD PRCS STS VAL COD */
#define ERCD_INV_VALUE_PRCS_TRN_COD              40388   /* 40388 - INVALID VALUE IN FIELD PRCS TRN COD */
#define ERCD_INV_VALUE_PRE_TRD_STRT              40389   /* 40389 - INVALID VALUE IN FIELD PRE TRD STRT */
#define ERCD_INV_VALUE_PRICE                     40390   /* 40390 - INVALID VALUE IN FIELD PRICE */
#define ERCD_INV_VALUE_PROP_IND                  40391   /* 40391 - INVALID VALUE IN FIELD PROP IND */
#define ERCD_INV_VALUE_PST_TRD_END               40392   /* 40392 - INVALID VALUE IN FIELD PST TRD END */
#define ERCD_INV_VALUE_QR_QTY                    40393   /* 40393 - INVALID VALUE IN FIELD QR QTY */
#define ERCD_INV_VALUE_QR_TIM                    40394   /* 40394 - INVALID VALUE IN FIELD QR TIM */
#define ERCD_INV_VALUE_QR_TIM_MIN                40395   /* 40395 - INVALID VALUE IN FIELD QR TIM MIN */
#define ERCD_INV_VALUE_QUANTITY                  40396   /* 40396 - INVALID VALUE IN FIELD QUANTITY */
#define ERCD_INV_VALUE_QUO_BOOK_IND              40397   /* 40397 - INVALID VALUE IN FIELD QUO BOOK IND */
#define ERCD_INV_VALUE_QUO_EXE_PRC_BUY           40398   /* 40398 - INVALID VALUE IN FIELD QUO EXE PRC BUY */
#define ERCD_INV_VALUE_QUO_EXE_PRC_SEL           40399   /* 40399 - INVALID VALUE IN FIELD QUO EXE PRC SEL */
#define ERCD_INV_VALUE_QUO_QTY_BUY               40400   /* 40400 - INVALID VALUE IN FIELD QUO QTY BUY */
#define ERCD_INV_VALUE_QUO_QTY_SEL               40401   /* 40401 - INVALID VALUE IN FIELD QUO QTY SEL */
#define ERCD_INV_VALUE_QUO_TIM_MAX               40402   /* 40402 - INVALID VALUE IN FIELD QUO TIM MAX */
#define ERCD_INV_VALUE_QUO_TIM_MIN               40403   /* 40403 - INVALID VALUE IN FIELD QUO TIM MIN */
#define ERCD_INV_VALUE_QUO_TRAN_TIM_BUY          40404   /* 40404 - INVALID VALUE IN FIELD QUO TRAN TIM BUY */
#define ERCD_INV_VALUE_QUO_TRAN_TIM_SEL          40405   /* 40405 - INVALID VALUE IN FIELD QUO TRAN TIM SEL */
#define ERCD_INV_VALUE_QUOT_TYP_IND              40406   /* 40406 - INVALID VALUE IN FIELD QUOT TYP IND */
#define ERCD_INV_VALUE_RAW_ACT_COD               40407   /* 40407 - INVALID VALUE IN FIELD RAW ACT COD */
#define ERCD_INV_VALUE_RAWD_MBR_CRT_SLT_COD      40408   /* 40408 - INVALID VALUE IN FIELD RAWD MBR CRT SLT COD */
#define ERCD_INV_VALUE_RE_TRANS_DATA             40409   /* 40409 - INVALID VALUE IN FIELD RE TRANS DATA */
#define ERCD_INV_VALUE_REM_PEAK_QTY              40410   /* 40410 - INVALID VALUE IN FIELD REM PEAK QTY */
#define ERCD_INV_VALUE_REPO_INT_AMNT             40411   /* 40411 - INVALID VALUE IN FIELD REPO INT AMNT */
#define ERCD_INV_VALUE_REPO_INT_RAT              40412   /* 40412 - INVALID VALUE IN FIELD REPO INT RAT */
#define ERCD_INV_VALUE_REPO_TYP                  40413   /* 40413 - INVALID VALUE IN FIELD REPO TYP */
#define ERCD_INV_VALUE_REPT_CTL_COD              40414   /* 40414 - INVALID VALUE IN FIELD REPT CTL COD */
#define ERCD_INV_VALUE_REPT_HIS_DAT              40415   /* 40415 - INVALID VALUE IN FIELD REPT HIS DAT */
#define ERCD_INV_VALUE_REPT_ID_COD               40416   /* 40416 - INVALID VALUE IN FIELD REPT ID COD */
#define ERCD_INV_VALUE_REPT_ID_COD_KEY           40417   /* 40417 - INVALID VALUE IN FIELD REPT ID COD KEY */
#define ERCD_INV_VALUE_REPT_MBR_CRT_SLT_COD      40418   /* 40418 - INVALID VALUE IN FIELD REPT MBR CRT SLT COD */
#define ERCD_INV_VALUE_REPT_MNLN_COD             40419   /* 40419 - INVALID VALUE IN FIELD REPT MNLN COD */
#define ERCD_INV_VALUE_REPT_NAM                  40420   /* 40420 - INVALID VALUE IN FIELD REPT NAM */
#define ERCD_INV_VALUE_REPT_PRNT_FRQ_COD         40421   /* 40421 - INVALID VALUE IN FIELD REPT PRNT FRQ COD */
#define ERCD_INV_VALUE_REQ_DATA_TXT              40422   /* 40422 - INVALID VALUE IN FIELD REQ DATA TXT */
#define ERCD_INV_VALUE_RESC_ACC_LVL_NO           40423   /* 40423 - INVALID VALUE IN FIELD RESC ACC LVL NO */
#define ERCD_INV_VALUE_RESERVED_1                40424   /* 40424 - INVALID VALUE IN FIELD RESERVED_1 */
#define ERCD_INV_VALUE_RESERVED_2                40425   /* 40425 - INVALID VALUE IN FIELD RESERVED_2 */
#define ERCD_INV_VALUE_RESERVED_3                40426   /* 40426 - INVALID VALUE IN FIELD RESERVED_3 */
#define ERCD_INV_VALUE_RESUBMIT_NO               40427   /* 40427 - INVALID VALUE IN FIELD RESUBMIT NO */
#define ERCD_INV_VALUE_ROND_LOT_QTY              40428   /* 40428 - INVALID VALUE IN FIELD ROND LOT QTY */
#define ERCD_INV_VALUE_SECU_OFFICIAL_IND         40429   /* 40429 - INVALID VALUE IN FIELD SECU OFFICIAL IND */
#define ERCD_INV_VALUE_SEG_OR_INST_FLG           40430   /* 40430 - INVALID VALUE IN FIELD SEG OR INST FLG */
#define ERCD_INV_VALUE_SERI_LST_PD_PRC           40431   /* 40431 - INVALID VALUE IN FIELD SERI LST PD PRC */
#define ERCD_INV_VALUE_SETL_MD                   40433   /* 40433 - INVALID VALUE IN FIELD SETL MD */
#define ERCD_INV_VALUE_SETL_PERIOD_FLG           40434   /* 40434 - INVALID VALUE IN FIELD SETL PERIOD FLG */
#define ERCD_INV_VALUE_SETL_TYP_COD              40435   /* 40435 - INVALID VALUE IN FIELD SETL TYP COD */
#define ERCD_INV_VALUE_SNR_IND                   40437   /* 40437 - INVALID VALUE IN FIELD SNR IND */
#define ERCD_INV_VALUE_SPRD_FACT                 40438   /* 40438 - INVALID VALUE IN FIELD SPRD FACT */
#define ERCD_INV_VALUE_SPRD_FACT_LM              40439   /* 40439 - INVALID VALUE IN FIELD SPRD FACT LM */
#define ERCD_INV_VALUE_SPRD_MIN_QTY              40440   /* 40440 - INVALID VALUE IN FIELD SPRD MIN QTY */
#define ERCD_INV_VALUE_SPRD_MIN_QTY_LM           40441   /* 40441 - INVALID VALUE IN FIELD SPRD MIN QTY LM */
#define ERCD_INV_VALUE_SPRD_TYP_COD              40442   /* 40442 - INVALID VALUE IN FIELD SPRD TYP COD */
#define ERCD_INV_VALUE_SPRD_TYP_COD_LM           40443   /* 40443 - INVALID VALUE IN FIELD SPRD TYP COD LM */
#define ERCD_INV_VALUE_SRP_BID_ASK_IND           40444   /* 40444 - INVALID VALUE IN FIELD SRP BID ASK IND */
#define ERCD_INV_VALUE_SRP_QTY                   40445   /* 40445 - INVALID VALUE IN FIELD SRP QTY */
#define ERCD_INV_VALUE_START_STM_SEQ_NO          40446   /* 40446 - INVALID VALUE IN FIELD START STM SEQ NO */
#define ERCD_INV_VALUE_STL_AMNT_B                40447   /* 40447 - INVALID VALUE IN FIELD STL AMNT B */
#define ERCD_INV_VALUE_STL_AMNT                  40448   /* 40448 - INVALID VALUE IN FIELD STL AMNT */
#define ERCD_INV_VALUE_STL_AMNT_PURCH            40449   /* 40449 - INVALID VALUE IN FIELD STL AMNT PURCH */
#define ERCD_INV_VALUE_STL_AMNT_REPURCH          40450   /* 40450 - INVALID VALUE IN FIELD STL AMNT REPURCH */
#define ERCD_INV_VALUE_STL_AMNT_S                40451   /* 40451 - INVALID VALUE IN FIELD STL AMNT S */
#define ERCD_INV_VALUE_STL_CURR_COD_B            40452   /* 40452 - INVALID VALUE IN FIELD STL CURR COD B */
#define ERCD_INV_VALUE_STL_CURR_COD              40453   /* 40453 - INVALID VALUE IN FIELD STL CURR COD */
#define ERCD_INV_VALUE_STL_CURR_COD_S            40454   /* 40454 - INVALID VALUE IN FIELD STL CURR COD S */
#define ERCD_INV_VALUE_STL_CURR_EXC_RAT_B        40455   /* 40455 - INVALID VALUE IN FIELD STL CURR EXC RAT B */
#define ERCD_INV_VALUE_STL_CURR_EXC_RAT          40456   /* 40456 - INVALID VALUE IN FIELD STL CURR EXC RAT */
#define ERCD_INV_VALUE_STL_CURR_EXC_RAT_S        40457   /* 40457 - INVALID VALUE IN FIELD STL CURR EXC RAT S */
#define ERCD_INV_VALUE_STL_DAT_PURCH             40458   /* 40458 - INVALID VALUE IN FIELD STL DAT PURCH */
#define ERCD_INV_VALUE_STL_DAT_REPURCH           40459   /* 40459 - INVALID VALUE IN FIELD STL DAT REPURCH */
#define ERCD_INV_VALUE_STL_DATE_B                40460   /* 40460 - INVALID VALUE IN FIELD STL DATE B */
#define ERCD_INV_VALUE_STL_DATE                  40461   /* 40461 - INVALID VALUE IN FIELD STL DATE */
#define ERCD_INV_VALUE_STL_DATE_S                40462   /* 40462 - INVALID VALUE IN FIELD STL DATE S */
#define ERCD_INV_VALUE_STL_ID_ACT_B              40463   /* 40463 - INVALID VALUE IN FIELD STL ID ACT B */
#define ERCD_INV_VALUE_STL_ID_ACT                40464   /* 40464 - INVALID VALUE IN FIELD STL ID ACT */
#define ERCD_INV_VALUE_STL_ID_ACT_S              40465   /* 40465 - INVALID VALUE IN FIELD STL ID ACT S */
#define ERCD_INV_VALUE_STL_ID_LOC_B              40466   /* 40466 - INVALID VALUE IN FIELD STL ID LOC B */
#define ERCD_INV_VALUE_STL_ID_LOC                40467   /* 40467 - INVALID VALUE IN FIELD STL ID LOC */
#define ERCD_INV_VALUE_STL_ID_LOC_S              40468   /* 40468 - INVALID VALUE IN FIELD STL ID LOC S */
#define ERCD_INV_VALUE_STM_SEQ_NO                40470   /* 40470 - INVALID VALUE IN FIELD STM SEQ NO */
#define ERCD_INV_VALUE_STOP_STM_SEQ_NO           40471   /* 40471 - INVALID VALUE IN FIELD STOP STM SEQ NO */
#define ERCD_INV_VALUE_STRT_CONT_AU_DAY          40472   /* 40472 - INVALID VALUE IN FIELD STRT CONT AU DAY */
#define ERCD_INV_VALUE_SUS_IND                   40473   /* 40473 - INVALID VALUE IN FIELD SUS IND */
#define ERCD_INV_VALUE_TABL_EFF_DAT              40474   /* 40474 - INVALID VALUE IN FIELD TABL EFF DAT */
#define ERCD_INV_VALUE_TABL_LST_UPD_DAT          40475   /* 40475 - INVALID VALUE IN FIELD TABL LST UPD DAT */
#define ERCD_INV_VALUE_TEMP_CTRL_FILE_FLG        40476   /* 40476 - INVALID VALUE IN FIELD TEMP CTRL FILE FLG */
#define ERCD_INV_VALUE_TEXT_B                    40477   /* 40477 - INVALID VALUE IN FIELD TEXT B */
#define ERCD_INV_VALUE_TEXT                      40478   /* 40478 - INVALID VALUE IN FIELD TEXT */
#define ERCD_INV_VALUE_TEXT_F                    40479   /* 40479 - INVALID VALUE IN FIELD TEXT F */
#define ERCD_INV_VALUE_TEXT_S                    40480   /* 40480 - INVALID VALUE IN FIELD TEXT S */
#define ERCD_INV_VALUE_TIC_SIZE                  40481   /* 40481 - INVALID VALUE IN FIELD TIC SIZE */
#define ERCD_INV_VALUE_TIC_VAL                   40482   /* 40482 - INVALID VALUE IN FIELD TIC VAL */
#define ERCD_INV_VALUE_TIME                      40483   /* 40483 - INVALID VALUE IN FIELD TIME */
#define ERCD_INV_VALUE_TIMESTAMP                 40484   /* 40484 - INVALID VALUE IN FIELD TIMESTAMP */
#define ERCD_INV_VALUE_TOT_NO_TRD_BEST           40485   /* 40485 - INVALID VALUE IN FIELD TOT NO TRD BEST */
#define ERCD_INV_VALUE_TRAD_BUY_SEL_COD          40486   /* 40486 - INVALID VALUE IN FIELD TRAD BUY SEL COD */
#define ERCD_INV_VALUE_TRAD_MTCH_PRC             40489   /* 40489 - INVALID VALUE IN FIELD TRAD MTCH PRC */
#define ERCD_INV_VALUE_TRAD_MTCH_QTY             40490   /* 40490 - INVALID VALUE IN FIELD TRAD MTCH QTY */
#define ERCD_INV_VALUE_TRAN_DAT_BUY              40491   /* 40491 - INVALID VALUE IN FIELD TRAN DAT BUY */
#define ERCD_INV_VALUE_TRAN_DAT                  40492   /* 40492 - INVALID VALUE IN FIELD TRAN DAT */
#define ERCD_INV_VALUE_TRAN_DAT_F                40493   /* 40493 - INVALID VALUE IN FIELD TRAN DAT F */
#define ERCD_INV_VALUE_TRAN_DAT_SEL              40494   /* 40494 - INVALID VALUE IN FIELD TRAN DAT SEL */
#define ERCD_INV_VALUE_TRAN_FEE_A                40495   /* 40495 - INVALID VALUE IN FIELD TRAN FEE A */
#define ERCD_INV_VALUE_TRAN_FEE_B                40496   /* 40496 - INVALID VALUE IN FIELD TRAN FEE B */
#define ERCD_INV_VALUE_TRAN_FEE_P                40497   /* 40497 - INVALID VALUE IN FIELD TRAN FEE P */
#define ERCD_INV_VALUE_TRAN_FEE_Q                40498   /* 40498 - INVALID VALUE IN FIELD TRAN FEE Q */
#define ERCD_INV_VALUE_TRAN_ID_NO_BUY            40499   /* 40499 - INVALID VALUE IN FIELD TRAN ID NO BUY */
#define ERCD_INV_VALUE_TRAN_ID_NO                40500   /* 40500 - INVALID VALUE IN FIELD TRAN ID NO */
#define ERCD_INV_VALUE_TRAN_ID_NO_F              40501   /* 40501 - INVALID VALUE IN FIELD TRAN ID NO F */
#define ERCD_INV_VALUE_TRAN_ID_NO_P              40502   /* 40502 - INVALID VALUE IN FIELD TRAN ID NO P */
#define ERCD_INV_VALUE_TRAN_ID_NO_SELL           40503   /* 40503 - INVALID VALUE IN FIELD TRAN ID NO SELL */
#define ERCD_INV_VALUE_TRAN_ID_SFX_NO_B          40504   /* 40504 - INVALID VALUE IN FIELD TRAN ID SFX NO B */
#define ERCD_INV_VALUE_TRAN_ID_SFX_NO            40505   /* 40505 - INVALID VALUE IN FIELD TRAN ID SFX NO */
#define ERCD_INV_VALUE_TRAN_ID_SFX_NO_F          40506   /* 40506 - INVALID VALUE IN FIELD TRAN ID SFX NO F */
#define ERCD_INV_VALUE_TRAN_ID_SFX_NO_P          40507   /* 40507 - INVALID VALUE IN FIELD TRAN ID SFX NO P */
#define ERCD_INV_VALUE_TRAN_ID_SFX_NO_S          40508   /* 40508 - INVALID VALUE IN FIELD TRAN ID SFX NO S */
#define ERCD_INV_VALUE_TRAN_TIM_BEG_F            40509   /* 40509 - INVALID VALUE IN FIELD TRAN TIM BEG F */
#define ERCD_INV_VALUE_TRAN_TIM_BUY              40510   /* 40510 - INVALID VALUE IN FIELD TRAN TIM BUY */
#define ERCD_INV_VALUE_TRAN_TIM                  40511   /* 40511 - INVALID VALUE IN FIELD TRAN TIM */
#define ERCD_INV_VALUE_TRAN_TIM_END_F            40512   /* 40512 - INVALID VALUE IN FIELD TRAN TIM END F */
#define ERCD_INV_VALUE_TRAN_TIM_SEL              40513   /* 40513 - INVALID VALUE IN FIELD TRAN TIM SEL */
#define ERCD_INV_VALUE_TRAN_TYP_COD              40514   /* 40514 - INVALID VALUE IN FIELD TRAN TYP COD */
#define ERCD_INV_VALUE_TRAN_TYP_COD_F            40515   /* 40515 - INVALID VALUE IN FIELD TRAN TYP COD F */
#define ERCD_INV_VALUE_TRD_BK_QTY_ASK            40516   /* 40516 - INVALID VALUE IN FIELD TRD BK QTY ASK */
#define ERCD_INV_VALUE_TRD_BK_QTY_BID            40517   /* 40517 - INVALID VALUE IN FIELD TRD BK QTY BID */
#define ERCD_INV_VALUE_TRD_EXC_QTY_ASK           40518   /* 40518 - INVALID VALUE IN FIELD TRD EXC QTY ASK */
#define ERCD_INV_VALUE_TRD_EXC_QTY_BID           40519   /* 40519 - INVALID VALUE IN FIELD TRD EXC QTY BID */
#define ERCD_INV_VALUE_TRD_LNK                   40520   /* 40520 - INVALID VALUE IN FIELD TRD LNK */
#define ERCD_INV_VALUE_TRD_MDL_TYP_COD           40521   /* 40521 - INVALID VALUE IN FIELD TRD MDL TYP COD */
#define ERCD_INV_VALUE_TRD_PRC_BEST              40522   /* 40522 - INVALID VALUE IN FIELD TRD PRC BEST */
#define ERCD_INV_VALUE_TRD_QTY_BEST              40523   /* 40523 - INVALID VALUE IN FIELD TRD QTY BEST */
#define ERCD_INV_VALUE_TRD_QTY                   40524   /* 40524 - INVALID VALUE IN FIELD TRD QTY */
#define ERCD_INV_VALUE_TRD_RES_TYP_COD           40525   /* 40525 - INVALID VALUE IN FIELD TRD RES TYP COD */
#define ERCD_INV_VALUE_TRD_REV_IND_F             40526   /* 40526 - INVALID VALUE IN FIELD TRD REV IND F */
#define ERCD_INV_VALUE_TRD_REV_IND_FILT          40527   /* 40527 - INVALID VALUE IN FIELD TRD REV IND FILT */
#define ERCD_INV_VALUE_TRD_SCH_DEF_FLG           40528   /* 40528 - INVALID VALUE IN FIELD TRD SCH DEF FLG */
#define ERCD_INV_VALUE_TRD_TIM_BEST              40529   /* 40529 - INVALID VALUE IN FIELD TRD TIM BEST */
#define ERCD_INV_VALUE_TRD_TIM                   40530   /* 40530 - INVALID VALUE IN FIELD TRD TIM */
#define ERCD_INV_VALUE_TRD_TYP                   40531   /* 40531 - INVALID VALUE IN FIELD TRD TYP */
#define ERCD_INV_VALUE_TRD_TYP_F                 40532   /* 40532 - INVALID VALUE IN FIELD TRD TYP F */
#define ERCD_INV_VALUE_TRDR_NAM                  40533   /* 40533 - INVALID VALUE IN FIELD TRDR NAM */
#define ERCD_INV_VALUE_TRDR_STS_COD              40534   /* 40534 - INVALID VALUE IN FIELD TRDR STS COD */
#define ERCD_INV_VALUE_TRN_TYP_ID                40535   /* 40535 - INVALID VALUE IN FIELD TRN TYP ID */
#define ERCD_INV_VALUE_TXN_COD                   40536   /* 40536 - INVALID VALUE IN FIELD TXN COD */
#define ERCD_INV_VALUE_UNT_OF_QOTN               40537   /* 40537 - INVALID VALUE IN FIELD UNT OF QOTN */
#define ERCD_INV_VALUE_USER_CLASS_IND            40538   /* 40538 - INVALID VALUE IN FIELD USER CLASS IND */
#define ERCD_INV_VALUE_USER_ORD_NUM_B            40539   /* 40539 - INVALID VALUE IN FIELD USER ORD NUM B */
#define ERCD_INV_VALUE_USER_ORD_NUM              40540   /* 40540 - INVALID VALUE IN FIELD USER ORD NUM */
#define ERCD_INV_VALUE_USER_ORD_NUM_F            40541   /* 40541 - INVALID VALUE IN FIELD USER ORD NUM F */
#define ERCD_INV_VALUE_USER_ORD_NUM_S            40542   /* 40542 - INVALID VALUE IN FIELD USER ORD NUM S */
#define ERCD_INV_VALUE_VAL_PRC                   40543   /* 40543 - INVALID VALUE IN FIELD VAL PRC */
#define ERCD_INV_VALUE_VI_DURN                   40544   /* 40544 - INVALID VALUE IN FIELD VI DURN */
#define ERCD_INV_VALUE_VOL_IND                   40545   /* 40545 - INVALID VALUE IN FIELD VOL IND */
#define ERCD_INV_VALUE_VOL_PRC_RNG_FMT           40546   /* 40546 - INVALID VALUE IN FIELD VOL PRC RNG FMT */
#define ERCD_INV_VALUE_VOLUME                    40547   /* 40547 - INVALID VALUE IN FIELD VOLUME */
#define ERCD_INV_VALUE_WAR_CAT                   40548   /* 40548 - INVALID VALUE IN FIELD WAR CAT */
#define ERCD_INV_VALUE_WAR_STR_PRC               40549   /* 40549 - INVALID VALUE IN FIELD WAR STR PRC */
#define ERCD_INV_VALUE_WAR_TYP                   40552   /* 40552 - INVALID VALUE IN FIELD WAR TYP */
#define ERCD_INV_VALUE_WAR_UND                   40553   /* 40553 - INVALID VALUE IN FIELD WAR UND */
#define ERCD_INV_VALUE_WHL_MKT_OBB_DURN          40554   /* 40554 - INVALID VALUE IN FIELD WHL MKT OBB DURN */
#define ERCD_INV_VALUE_WKN_NO                    40555   /* 40555 - INVALID VALUE IN FIELD WKN NO */
#define ERCD_INV_VALUE_XETRA_ISIN_SUBJECT        40556   /* 40556 - INVALID VALUE IN FIELD XETRA ISIN SUBJECT */
#define ERCD_INV_VALUE_XETRA_ISSR_MNEM           40557   /* 40557 - INVALID VALUE IN FIELD XETRA ISSR MNEM */
#define ERCD_INV_VALUE_MLI_ORDR_DATA_CTR         40574   /* 40574 - INVALID VALUE IN FIELD MLI ORDR DATA CTR */
#define ERCD_INV_VALUE_MEMB_CCP_CLG_ID_COD       40575   /* 40575 - INVALID VALUE IN FIELD MEMB CCP CLG ID COD */
#define ERCD_INV_VALUE_MEMB_CCP_CLG_ID_COD_B     40576   /* 40576 - INVALID VALUE IN FIELD MEMB CCP CLG ID COD B */
#define ERCD_INV_VALUE_MEMB_CCP_CLG_ID_COD_S     40577   /* 40577 - INVALID VALUE IN FIELD MEMB CCP CLG ID COD S */
#define ERCD_INV_VALUE_MEMB_CCP_FLG              40578   /* 40578 - INVALID VALUE IN FIELD MEMB CCP FLG */
#define ERCD_INV_VALUE_MEMB_CLG_FLG              40579   /* 40579 - INVALID VALUE IN FIELD MEMB CLG FLG */
#define ERCD_INV_VALUE_MEMB_TRD_FLG              40580   /* 40580 - INVALID VALUE IN FIELD MEMB TRD FLG */
#define ERCD_INV_VALUE_BON_YLD_TRD_IND           40581   /* 40581 - INVALID VALUE IN FIELD BON YLD TRD IND */
#define ERCD_INV_VALUE_BON_YLD_TRD_YLD_CLC_MD    40582   /* 40582 - INVALID VALUE IN FIELD BON YLD TRD YLD CLC MD */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD_OBO_MS    40583   /* 40583 - INVALID VALUE IN FIELD MEMB IST ID COD OBO MS */
#define ERCD_INV_VALUE_MLI_REC_CTR               40585   /* 40585 - INVALID VALUE IN FIELD MLI REC CTR */
#define ERCD_INV_VALUE_ENGY_BID_PRC              40588   /* 40588 - INVALID VALUE IN FIELD ENGY BID PRC */
#define ERCD_INV_VALUE_ENGY_BID_QTY              40589   /* 40589 - INVALID VALUE IN FIELD ENGY BID QTY */
#define ERCD_INV_VALUE_ORDR_STS_COD              40590   /* 40590 - INVALID VALUE IN FIELD ORDR STS COD */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD_OBO_MS    40591   /* 40591 - INVALID VALUE IN FIELD MEMB BRN ID COD OBO MS */
#define ERCD_INV_VALUE_ENGY_BID_TYP_COD          40597   /* 40597 - INVALID VALUE IN FIELD ENGY BID TYP COD */
#define ERCD_INV_VALUE_HOME_MKT                  40598   /* 40598 - INVALID VALUE IN FIELD HOME MKT */
#define ERCD_INV_VALUE_ENGY_AUCT_ACTN_COD        40599   /* 40599 - INVALID VALUE IN FIELD ENGY AUCT ACTN COD */
#define ERCD_INV_VALUE_ENGY_AUCT_STS_COD         40600   /* 40600 - INVALID VALUE IN FIELD ENGY AUCT STS COD */
#define ERCD_INV_VALUE_AUCT_VOL                  40601   /* 40601 - INVALID VALUE IN FIELD AUCT VOL */
#define ERCD_INV_VALUE_AUCT_SRP_VOL              40602   /* 40602 - INVALID VALUE IN FIELD AUCT SRP VOL */
#define ERCD_INV_VALUE_ENGY_HRLY_BID_VOL         40603   /* 40603 - INVALID VALUE IN FIELD ENGY HRLY BID VOL */
#define ERCD_INV_VALUE_ENGY_BLC_BID_VOL          40604   /* 40604 - INVALID VALUE IN FIELD ENGY BLC BID VOL */
#define ERCD_INV_VALUE_CURR_MAX_BLC_BID_NUM      40605   /* 40605 - INVALID VALUE IN FIELD CURR MAX BLC BID NUM */
#define ERCD_INV_VALUE_CURR_MAX_BLC_BID_QTY      40606   /* 40606 - INVALID VALUE IN FIELD CURR MAX BLC BID QTY */
#define ERCD_INV_VALUE_CURR_MAX_PRC_STEP_NUM     40607   /* 40607 - INVALID VALUE IN FIELD CURR MAX PRC STEP NUM */
#define ERCD_INV_VALUE_TRAD_MTCH_PRC_FROM_F      40633   /* 40633 - INVALID VALUE IN FIELD TRAD MTCH PRC FROM F */
#define ERCD_INV_VALUE_TRAD_MTCH_PRC_TO_F        40634   /* 40634 - INVALID VALUE IN FIELD TRAD MTCH PRC TO F */
#define ERCD_INV_VALUE_MIN_ORDR_SIZ              40635   /* 40635 - INVALID VALUE IN FIELD MIN ORDR SIZ */
#define ERCD_INV_VALUE_OTC_PRC_RNG               40647   /* 40647 - INVALID VALUE IN FIELD OTC PRC RNG */
#define ERCD_INV_VALUE_QUO_DEL_IND               40648   /* 40648 - INVALID VALUE IN FIELD QUO DEL IND */
#define ERCD_INV_VALUE_HRT_BEAT_INTVL_SEC        40649   /* 40649 - INVALID VALUE IN FIELD HRT BEAT INTVL SEC */
#define ERCD_INV_VALUE_STM_GRP_COD               40653   /* 40653 - INVALID VALUE IN FIELD STM GRP COD */
#define ERCD_INV_VALUE_ORDR_BK_MKT_DPTH          40654   /* 40654 - INVALID VALUE IN FIELD ORDR BK MKT DPTH */
#define ERCD_INV_VALUE_BIC_ENT_NO                40656   /* 40656 - INVALID VALUE IN FIELD BIC ENT NO */
#define ERCD_INV_VALUE_BLK_TRD_DELY_IND          40657   /* 40657 - INVALID VALUE IN FIELD BLK TRD DELY IND */
#define ERCD_INV_VALUE_EXEC_VENU_ID              40658   /* 40658 - INVALID VALUE IN FIELD EXEC VENU ID */
#define ERCD_INV_VALUE_OTC_TRD_FLG1              40659   /* 40659 - INVALID VALUE IN FIELD OTC TRD FLG1 */
#define ERCD_INV_VALUE_OTC_TRD_FLG2              40660   /* 40660 - INVALID VALUE IN FIELD OTC TRD FLG2 */
#define ERCD_INV_VALUE_OTC_TRD_FLG3              40661   /* 40661 - INVALID VALUE IN FIELD OTC TRD FLG3 */
#define ERCD_INV_VALUE_PRC_ALRT_COD              40662   /* 40662 - INVALID VALUE IN FIELD PRC ALRT COD */
#define ERCD_INV_VALUE_PRC_ALT_MKT_IND           40663   /* 40663 - INVALID VALUE IN FIELD PRC ALT MKT IND */
#define ERCD_INV_VALUE_PRC_NEGO_IND              40664   /* 40664 - INVALID VALUE IN FIELD PRC NEGO IND */
#define ERCD_INV_VALUE_QTY_ALRT_COD              40666   /* 40666 - INVALID VALUE IN FIELD QTY ALRT COD */
#define ERCD_INV_VALUE_TRD_PTFLO_IND             40668   /* 40668 - INVALID VALUE IN FIELD TRD PTFLO IND */
#define ERCD_INV_VALUE_UTC_TIM_DIFF              40670   /* 40670 - INVALID VALUE IN FIELD UTC TIM DIFF */
#define ERCD_INV_VALUE_DEF_BEST_RTNG_IND         40672   /* 40672 - INVALID VALUE IN FIELD DEF BEST RTNG IND */
#define ERCD_INV_VALUE_AMND_CONF_IND             40673   /* 40673 - INVALID VALUE IN FIELD AMND CONF IND */
#define ERCD_INV_VALUE_BOOK_IND                  40674   /* 40674 - INVALID VALUE IN FIELD BOOK IND */
#define ERCD_INV_VALUE_TRD_OTC_RPT_IND           40675   /* 40675 - INVALID VALUE IN FIELD TRD OTC RPT IND */
#define ERCD_INV_VALUE_TRD_OTC_SETL_IND          40676   /* 40676 - INVALID VALUE IN FIELD TRD OTC SETL IND */
#define ERCD_INV_VALUE_TRD_RPT_STS               40677   /* 40677 - INVALID VALUE IN FIELD TRD RPT STS */
#define ERCD_INV_VALUE_RTN_COD                   40678   /* 40678 - INVALID VALUE IN FIELD RTN COD */
#define ERCD_INV_VALUE_FILT_LCK_STK_IND          40691   /* 40691 - INVALID VALUE IN FIELD FILT LCK STK IND */
#define ERCD_INV_VALUE_INSTR_SET_ID              40692   /* 40692 - INVALID VALUE IN FIELD INSTR SET ID */
#define ERCD_INV_VALUE_MKT_RST_IND               40693   /* 40693 - INVALID VALUE IN FIELD MKT RST IND */
#define ERCD_INV_VALUE_POT_EXEC_QTY              40694   /* 40694 - INVALID VALUE IN FIELD POT EXEC QTY */
#define ERCD_INV_VALUE_KNOCK_OUT_IND             40695   /* 40695 - INVALID VALUE IN FIELD KNOCK OUT IND */
#define ERCD_INV_VALUE_DEL_ORD_FLG               40696   /* 40696 - INVALID VALUE IN FIELD DEL ORD FLG */
#define ERCD_INV_VALUE_MLI_REC_CTR_X             40697   /* 40697 - INVALID VALUE IN FIELD MLI REC CTR X */
#define ERCD_INV_VALUE_FILT_SPEC_IND             40698   /* 40698 - INVALID VALUE IN FIELD FILT SPEC IND */
#define ERCD_INV_VALUE_MEMB_BRN_ID_COD_OBO       40699   /* 40699 - INVALID VALUE IN FIELD MEMB BRN ID COD OBO */
#define ERCD_INV_VALUE_MEMB_IST_ID_COD_OBO       40700   /* 40700 - INVALID VALUE IN FIELD MEMB IST ID COD OBO */
#define ERCD_INV_VALUE_SPEC_MEMB_ID              40702   /* 40702 - INVALID VALUE IN FIELD SPEC MEMB ID */
#define ERCD_INV_VALUE_SPEC_SUB_GRP              40703   /* 40703 - INVALID VALUE IN FIELD SPEC SUB GRP */
#define ERCD_INV_VALUE_WAR_SEG                   40704   /* 40704 - INVALID VALUE IN FIELD WAR SEG */
#define ERCD_INV_VALUE_STAT_CHG_TYP              40705   /* 40705 - INVALID VALUE IN FIELD STAT CHG TYP */
#define ERCD_INV_VALUE_EXCH_CTRL_SEG_FLG         40707   /* 40707 - INVALID VALUE IN FIELD EXCH CTRL SEG FLG */
#define ERCD_INV_VALUE_MAS_QUO_STS               40708   /* 40708 - INVALID VALUE IN FIELD MAS QUO STS */
#define ERCD_INV_VALUE_LNK_ORDR_NO               40709   /* 40709 - INVALID VALUE IN FIELD LNK ORDR NO */
#define ERCD_INV_VALUE_STAT_CHG_CLAS             40710   /* 40710 - INVALID VALUE IN FIELD STAT CHG CLAS */
#define ERCD_INV_VALUE_MEMB_OWN_ID_COD           40711   /* 40711 - INVALID VALUE IN FIELD MEMB OWN ID COD */
#define ERCD_INV_VALUE_PART_NO_TEXT_OWN          40712   /* 40712 - INVALID VALUE IN FIELD PART NO TEXT OWN */
#define ERCD_INV_VALUE_PART_SUB_GRP_COD_OWN      40713   /* 40713 - INVALID VALUE IN FIELD PART SUB GRP COD OWN */
#define ERCD_INV_VALUE_SPEC_PART_NO_TEXT         40714   /* 40714 - INVALID VALUE IN FIELD SPEC PART NO TEXT */
#define ERCD_INV_VALUE_PART_SUB_GRP_COD_OBO_MS   40715   /* 40715 - INVALID VALUE IN FIELD PART SUB GRP COD OBO MS */
#define ERCD_INV_VALUE_DEL_NON_PERS_ORDR_IND     40719   /* 40719 - INVALID VALUE IN FIELD DEL NON PERS ORDR IND */
#define ERCD_INV_VALUE_DEL_PERS_ORDR_IND         40720   /* 40720 - INVALID VALUE IN FIELD DEL PERS ORDR IND */
#define ERCD_INV_VALUE_DEL_QUO_IND               40721   /* 40721 - INVALID VALUE IN FIELD DEL QUO IND */
#define ERCD_INV_VALUE_CLI_ORDR_ID               40733   /* 40733 - INVALID VALUE IN FIELD CLI ORDR ID */
#define ERCD_INV_VALUE_ORDR_PERS_IND             40735   /* 40735 - INVALID VALUE IN FIELD ORDR PERS IND */
#define ERCD_INV_VALUE_ORDR_CRE_DAT              40737   /* 40737 - INVALID VALUE IN FIELD ORDR CRE DAT */
#define ERCD_INV_VALUE_ORDR_CRE_TIM              40738   /* 40738 - INVALID VALUE IN FIELD ORDR CRE TIM */
#define ERCD_INV_VALUE_ORDR_TOT_EXE_QTY          40746   /* 40746 - INVALID VALUE IN FIELD ORDR TOT EXE QTY */
#define ERCD_INV_VALUE_LST_EVNT_TRN_IND          40756   /* 40756 - INVALID VALUE IN FIELD LST EVNT TRN IND */
#define ERCD_INV_VALUE_ETS_SES_ID                40764   /* 40764 - INVALID VALUE IN FIELD ETS SES ID */
#define ERCD_INV_VALUE_ORDR_VOL_DISC_PRC         40766   /* 40766 - INVALID VALUE IN FIELD ORDR VOL DISC PRC */
#define ERCD_INV_VALUE_HIDD_ORDR_IND             40771   /* 40771 - INVALID VALUE IN FIELD HIDD ORDR IND */
#define ERCD_INV_VALUE_MIN_HIDD_ORDR_VAL         40772   /* 40772 - INVALID VALUE IN FIELD MIN HIDD ORDR VAL */
#define ERCD_INV_VALUE_MIN_ACC_QTY               40773   /* 40773 - INVALID VALUE IN FIELD MIN ACC QTY */
#define ERCD_INV_VALUE_PRCS_SYS_TRN_COD          40774   /* 40774 - INVALID VALUE IN FIELD PRCS SYS TRN COD */
#define ERCD_INV_VALUE_ORDR_PRIO_TIM             40775   /* 40775 - INVALID VALUE IN FIELD ORDR PRIO TIM */
#define ERCD_INV_VALUE_ORDR_PRIO_DAT             40776   /* 40776 - INVALID VALUE IN FIELD ORDR PRIO DAT */
#define ERCD_INV_VALUE_MTCH_RNG_BID_QTY          40777   /* 40777 - INVALID VALUE IN FIELD MTCH RNG BID QTY */
#define ERCD_INV_VALUE_MTCH_RNG_ASK_QTY          40778   /* 40778 - INVALID VALUE IN FIELD MTCH RNG ASK QTY */
#define ERCD_INV_VALUE_MSG_ID_NO                 40779   /* 40779 - INVALID VALUE IN FIELD MSG ID NO */
#define ERCD_INV_VALUE_SKIP_EXPD_INST_IND        40782   /* 40782 - INVALID VALUE IN FIELD SKIP EXPD INST IND */
#define ERCD_INV_VALUE_STL_CTRY                  40783   /* 40783 - INVALID VALUE IN FIELD STL CTRY */
#define ERCD_INV_VALUE_QUO_EXE_PRC               40784   /* 40784 - INVALID VALUE IN FIELD QUO EXE PRC */
#define ERCD_INV_VALUE_NEW_QUO_EXE_PRC           40785   /* 40785 - INVALID VALUE IN FIELD NEW QUO EXE PRC */
#define ERCD_INV_VALUE_DISS_VALU_PRC_IND         40786   /* 40786 - INVALID VALUE IN FIELD DISS VALU PRC IND */
#define ERCD_INV_VALUE_ISIX_COD                  40787   /* 40787 - INVALID VALUE IN FIELD ISIX COD */
#define ERCD_INV_VALUE_BON_INT_PMT_DAT_TYP       40795   /* 40795 - INVALID VALUE IN FIELD BON INT PMT DAT TYP */
#define ERCD_INV_VALUE_BON_CPN_PER_DAT_FROM      40796   /* 40796 - INVALID VALUE IN FIELD BON CPN PER DAT FROM */
#define ERCD_INV_VALUE_BON_CPN_PER_DAT_TO        40797   /* 40797 - INVALID VALUE IN FIELD BON CPN PER DAT TO */
#define ERCD_INV_VALUE_BON_VAR_INT_RAT           40798   /* 40798 - INVALID VALUE IN FIELD BON VAR INT RAT */
#define ERCD_INV_VALUE_BON_VAR_INT_RAT_DAT       40799   /* 40799 - INVALID VALUE IN FIELD BON VAR INT RAT DAT */
#define ERCD_INV_VALUE_BON_POOL_FCT              40800   /* 40800 - INVALID VALUE IN FIELD BON POOL FCT */
#define ERCD_INV_VALUE_BON_POOL_FCT_DAT_FROM     40801   /* 40801 - INVALID VALUE IN FIELD BON POOL FCT DAT FROM */
#define ERCD_INV_VALUE_BON_POOL_FCT_DAT_TO       40802   /* 40802 - INVALID VALUE IN FIELD BON POOL FCT DAT TO */
#define ERCD_INV_VALUE_BON_INT_RAT_VAL_DAT       40803   /* 40803 - INVALID VALUE IN FIELD BON INT RAT VAL DAT */
#define ERCD_INV_VALUE_BON_VAR_CPN_PER_FLG       40804   /* 40804 - INVALID VALUE IN FIELD BON VAR CPN PER FLG */
#define ERCD_INV_VALUE_BON_VAR_CPN_FLG           40805   /* 40805 - INVALID VALUE IN FIELD BON VAR CPN FLG */
#define ERCD_INV_VALUE_BON_POOL_FCT_FLG          40806   /* 40806 - INVALID VALUE IN FIELD BON POOL FCT FLG */
#define ERCD_INV_VALUE_CURR_ACC_LVL_NO           40807   /* 40807 - INVALID VALUE IN FIELD CURR ACC LVL NO */
#define ERCD_INV_VALUE_BON_FLAT_IND              40808   /* 40808 - INVALID VALUE IN FIELD BON FLAT IND */
#define ERCD_INV_VALUE_ISSUE_DAT                 40809   /* 40809 - INVALID VALUE IN FIELD ISSUE DAT */
#define ERCD_INV_VALUE_EXT_REF_EXCH_ID_COD       40810   /* 40810 - INVALID VALUE IN FIELD EXT REF EXCH ID COD */
#define ERCD_INV_VALUE_PRC_BARR_IND              40811   /* 40811 - INVALID VALUE IN FIELD PRC BARR IND */
#define ERCD_INV_VALUE_PRC_BARR_RNG              40812   /* 40812 - INVALID VALUE IN FIELD PRC BARR RNG */
#define ERCD_INV_VALUE_PRC_MOV_BARR              40813   /* 40813 - INVALID VALUE IN FIELD PRC MOV BARR */
#define ERCD_INV_VALUE_EXCH_MIC_ID               40814   /* 40814 - INVALID VALUE IN FIELD EXCH MIC ID */
#define ERCD_INV_VALUE_CR_QTY                    40816   /* 40816 - INVALID VALUE IN FIELD CR QTY */
#define ERCD_INV_VALUE_PRIM_EXCH_MIC_ID          40817   /* 40817 - INVALID VALUE IN FIELD PRIM EXCH MIC ID */
#define ERCD_INV_VALUE_PRIM_EXCH_X_ID            40818   /* 40818 - INVALID VALUE IN FIELD PRIM EXCH X ID */
#define ERCD_INV_VALUE_EXCH_ACC_LVL_NO           40819   /* 40819 - INVALID VALUE IN FIELD EXCH ACC LVL NO */
#define ERCD_INV_VALUE_EXCH_SEG_COD              40822   /* 40822 - INVALID VALUE IN FIELD EXCH SEG COD */
#define ERCD_INV_VALUE_ORDR_STRK_EXEC_PRC        40824   /* 40824 - INVALID VALUE IN FIELD ORDR STRK EXEC PRC */
#define ERCD_INV_VALUE_MEMB_STOP_RLSE_IND        40825   /* 40825 - INVALID VALUE IN FIELD MEMB STOP RLSE IND */
#define ERCD_INV_VALUE_CAL_NAM                   40834   /* 40834 - INVALID VALUE IN FIELD CAL NAM */
#define ERCD_INV_VALUE_HOL_DAT                   40835   /* 40835 - INVALID VALUE IN FIELD HOL DAT */
#define ERCD_INV_VALUE_HOL_DAT_NAM               40836   /* 40836 - INVALID VALUE IN FIELD HOL DAT NAM */
#define ERCD_INV_VALUE_MSG_TXT                   40845   /* 40845 - INVALID VALUE IN FIELD MSG TXT */
#define ERCD_INV_VALUE_CAL_TYP                   40846   /* 40846 - INVALID VALUE IN FIELD CAL TYP */
#define ERCD_INV_VALUE_CR_TIM                    40847   /* 40847 - INVALID VALUE IN FIELD CR TIM */
#define ERCD_INV_VALUE_TRAD_CAL_NAM              40852   /* 40852 - INVALID VALUE IN FIELD TRAD CAL NAM */
#define ERCD_INV_VALUE_STL_CAL_NAM               40853   /* 40853 - INVALID VALUE IN FIELD STL CAL NAM */
#define ERCD_INV_VALUE_REF_MKT                   40855   /* 40855 - INVALID VALUE IN FIELD REF MKT */
#define ERCD_INV_VALUE_ENAB_EXT_MKT_REF_MIDP     40856   /* 40856 - INVALID VALUE IN FIELD ENAB EXT MKT REF MIDP */
#define ERCD_INV_VALUE_ENAB_EXT_MKT_REF_VOLA     40857   /* 40857 - INVALID VALUE IN FIELD ENAB EXT MKT REF VOLA */
#define ERCD_INV_VALUE_CM_STOP_AUTH_IND          40860   /* 40860 - INVALID VALUE IN FIELD CM STOP AUTH IND */
#define ERCD_INV_VALUE_IN_SUBSCR_IND             40861   /* 40861 - INVALID VALUE IN FIELD IN SUBSCR IND */
#define ERCD_INV_VALUE_RPT_MIC                   40862   /* 40862 - INVALID VALUE IN FIELD RPT MIC */
#define ERCD_INV_VALUE_AUTO_REV_FLG              40863   /* 40863 - INVALID VALUE IN FIELD AUTO REV FLG */
#define ERCD_INV_VALUE_MAX_TRD_AMNT              40864   /* 40864 - INVALID VALUE IN FIELD MAX TRD AMNT */
#define ERCD_INV_VALUE_MEMB_APP_ID_COD           40865   /* 40865 - INVALID VALUE IN FIELD MEMB APP ID COD */
#define ERCD_INV_VALUE_DEF_OTC_ACCT              40866   /* 40866 - INVALID VALUE IN FIELD DEF OTC ACCT */
#define ERCD_INV_VALUE_MEMB_OTC_CTPY_COD         40867   /* 40867 - INVALID VALUE IN FIELD MEMB OTC CTPY COD */
#define ERCD_INV_VALUE_DISS_Q_R_OWNER            40868   /* 40868 - INVALID VALUE IN FIELD DISS Q R OWNER */
#define ERCD_INV_VALUE_SPEC_AUCT_IND             40869   /* 40869 - INVALID VALUE IN FIELD SPEC AUCT IND */
#define ERCD_INV_VALUE_TOP_VOL_THRES             40870   /* 40870 - INVALID VALUE IN FIELD TOP VOL THRES */
#define ERCD_INV_VALUE_BIL_AGG_IND               40871   /* 40871 - INVALID VALUE IN FIELD BIL AGG IND */
#define ERCD_INV_VALUE_ADD_COST                  40872   /* 40872 - INVALID VALUE IN FIELD ADD COST */
#define ERCD_INV_VALUE_MEMB_BIL_AGG_IND_P        40873   /* 40873 - INVALID VALUE IN FIELD MEMB BIL AGG IND P */
#define ERCD_INV_VALUE_SINGLE_AUCT_IND           40876   /* 40876 - INVALID VALUE IN FIELD SINGLE AUCT IND */
#define ERCD_INV_VALUE_MEMB_BIL_AGG_IND_A        40877   /* 40877 - INVALID VALUE IN FIELD MEMB BIL AGG IND A */
#define ERCD_INV_VALUE_NO_CCP_IND                40878   /* 40878 - INVALID VALUE IN FIELD NO CCP IND */
#define ERCD_INV_VALUE_SUBMITTER_ID_COD          40879   /* 40879 - INVALID VALUE IN FIELD SUBMITTER ID COD */
#define ERCD_INV_VALUE_PRC_TYP                   40882   /* 40882 - INVALID VALUE IN FIELD PRC TYP */
#define ERCD_INV_VALUE_ON_EX_OFF_O_B_FLAG        40883   /* 40883 - INVALID VALUE IN FIELD ON EX OFF O B FLAG */
#define ERCD_INV_VALUE_CAL_LNG_NAM               40884   /* 40884 - INVALID VALUE IN FIELD CAL LNG NAM */
#define ERCD_INV_VALUE_COMPLIANCE_ID             40885   /* 40885 - INVALID VALUE IN FIELD COMPLIANCE ID */
#define ERCD_INV_VALUE_MKT_MKR_PROT_FLG          40886   /* 40886 - INVALID VALUE IN FIELD MKT MKR PROT FLG */
#define ERCD_INV_VALUE_VOL_LIM                   40887   /* 40887 - INVALID VALUE IN FIELD VOL LIM */
#define ERCD_INV_VALUE_DELTA_VOL_LIM             40888   /* 40888 - INVALID VALUE IN FIELD DELTA VOL LIM */
#define ERCD_INV_VALUE_QTY_LIM                   40889   /* 40889 - INVALID VALUE IN FIELD QTY LIM */
#define ERCD_INV_VALUE_DELTA_QTY_LIM             40890   /* 40890 - INVALID VALUE IN FIELD DELTA QTY LIM */
#define ERCD_INV_VALUE_PRCT_VOL_LIM              40891   /* 40891 - INVALID VALUE IN FIELD PRCT VOL LIM */
#define ERCD_INV_VALUE_PRCT_QTY_LIM              40892   /* 40892 - INVALID VALUE IN FIELD PRCT QTY LIM */
#define ERCD_INV_VALUE_TIM_INTVL_SEC             40894   /* 40894 - INVALID VALUE IN FIELD TIM INTVL SEC */
#define ERCD_INV_VALUE_NO_EXEC_LIM               40895   /* 40895 - INVALID VALUE IN FIELD NO EXEC LIM */
#define ERCD_INV_VALUE_MA_TRD_IND                40906   /* 40906 - INVALID VALUE IN FIELD MA TRD IND */
#define ERCD_INV_VALUE_LI_TRD_IND                40907   /* 40907 - INVALID VALUE IN FIELD LI TRD IND */
#define ERCD_INV_VALUE_MA_DURN                   40908   /* 40908 - INVALID VALUE IN FIELD MA DURN */
#define ERCD_INV_VALUE_LI_DURN                   40909   /* 40909 - INVALID VALUE IN FIELD LI DURN */
#define ERCD_INV_VALUE_MA_RND_END                40910   /* 40910 - INVALID VALUE IN FIELD MA RND END */
#define ERCD_INV_VALUE_LI_RND_END                40911   /* 40911 - INVALID VALUE IN FIELD LI RND END */
#define ERCD_INV_VALUE_TRD_RSK_LIM_ACT_FLG       40912   /* 40912 - INVALID VALUE IN FIELD TRD RSK LIM ACT FLG */
#define ERCD_INV_VALUE_CALC_METHOD               40913   /* 40913 - INVALID VALUE IN FIELD CALC METHOD */
#define ERCD_INV_VALUE_WARN_LIM                  40914   /* 40914 - INVALID VALUE IN FIELD WARN LIM */
#define ERCD_INV_VALUE_HALT_LIM                  40915   /* 40915 - INVALID VALUE IN FIELD HALT LIM */
#define ERCD_INV_VALUE_CURR_VOL                  40916   /* 40916 - INVALID VALUE IN FIELD CURR VOL */
#define ERCD_INV_VALUE_FIX_CL_ORD_ID             40917   /* 40917 - INVALID VALUE IN FIELD FIX CL ORD ID */
#define ERCD_INV_VALUE_TOP_PLUS_VOL_THRES        40921   /* 40921 - INVALID VALUE IN FIELD TOP PLUS VOL THRES */
#define ERCD_INV_VALUE_STL_INT_IND               40922   /* 40922 - INVALID VALUE IN FIELD STL INT IND */
#define ERCD_INV_VALUE_MATCH_INST_CROSS_ID       40923   /* 40923 - INVALID VALUE IN FIELD MATCH INST CROSS ID */
#define ERCD_INV_VALUE_MATCH_INST_CROSS_ID_IND   40924   /* 40924 - INVALID VALUE IN FIELD MATCH INST CROSS ID IND */
#define ERCD_INV_VALUE_MATCH_INST_CROSS_ID_FLG   40925   /* 40925 - INVALID VALUE IN FIELD MATCH INST CROSS ID FLG */
#define ERCD_INV_VALUE_QUOTE_ID                  40926   /* 40926 - INVALID VALUE IN FIELD QUOTE ID */
#define ERCD_INV_VALUE_VDO_MIN_EXEC_QTY          40927   /* 40927 - INVALID VALUE IN FIELD VDO MIN EXEC QTY */
#define ERCD_INV_VALUE_QUO_REQ_REJ_REASON_COD    40928   /* 40928 - INVALID VALUE IN FIELD QUO REQ REJ REASON COD */
#define ERCD_INV_VALUE_DEF_STL_INT_IND           40930   /* 40930 - INVALID VALUE IN FIELD DEF STL INT IND */
#define ERCD_INV_FORMAT_MLI_ISIN_DATA_CTR        45000   /* 45000 - INVALID FORMAT IN FIELD MLI ISIN DATA CTR */
#define ERCD_INV_FORMAT_ACC_FEE                  45001   /* 45001 - INVALID FORMAT IN FIELD ACC FEE */
#define ERCD_INV_FORMAT_ACCT_TYP_COD_B           45002   /* 45002 - INVALID FORMAT IN FIELD ACCT TYP COD B */
#define ERCD_INV_FORMAT_ACCT_TYP_COD             45003   /* 45003 - INVALID FORMAT IN FIELD ACCT TYP COD */
#define ERCD_INV_FORMAT_ACCT_TYP_COD_F           45004   /* 45004 - INVALID FORMAT IN FIELD ACCT TYP COD F */
#define ERCD_INV_FORMAT_ACCT_TYP_COD_P           45005   /* 45005 - INVALID FORMAT IN FIELD ACCT TYP COD P */
#define ERCD_INV_FORMAT_ACCT_TYP_COD_S           45006   /* 45006 - INVALID FORMAT IN FIELD ACCT TYP COD S */
#define ERCD_INV_FORMAT_ACCT_TYP_NO_B            45007   /* 45007 - INVALID FORMAT IN FIELD ACCT TYP NO B */
#define ERCD_INV_FORMAT_ACCT_TYP_NO              45008   /* 45008 - INVALID FORMAT IN FIELD ACCT TYP NO */
#define ERCD_INV_FORMAT_ACCT_TYP_NO_F            45009   /* 45009 - INVALID FORMAT IN FIELD ACCT TYP NO F */
#define ERCD_INV_FORMAT_ACCT_TYP_NO_P            45010   /* 45010 - INVALID FORMAT IN FIELD ACCT TYP NO P */
#define ERCD_INV_FORMAT_ACCT_TYP_NO_S            45011   /* 45011 - INVALID FORMAT IN FIELD ACCT TYP NO S */
#define ERCD_INV_FORMAT_ACTN_COD                 45012   /* 45012 - INVALID FORMAT IN FIELD ACTN COD */
#define ERCD_INV_FORMAT_ADDR_CTRY_NAM            45013   /* 45013 - INVALID FORMAT IN FIELD ADDR CTRY NAM */
#define ERCD_INV_FORMAT_ADDR_CTY_NAM             45014   /* 45014 - INVALID FORMAT IN FIELD ADDR CTY NAM */
#define ERCD_INV_FORMAT_ADDR_DPT_NAM             45015   /* 45015 - INVALID FORMAT IN FIELD ADDR DPT NAM */
#define ERCD_INV_FORMAT_ADDR_STR_LO1_TXT         45016   /* 45016 - INVALID FORMAT IN FIELD ADDR STR LO1 TXT */
#define ERCD_INV_FORMAT_ADDR_STR_LO2_TXT         45017   /* 45017 - INVALID FORMAT IN FIELD ADDR STR LO2 TXT */
#define ERCD_INV_FORMAT_ADDR_ZIP_COD             45018   /* 45018 - INVALID FORMAT IN FIELD ADDR ZIP COD */
#define ERCD_INV_FORMAT_ADJU_MEM_INFO_TXT        45019   /* 45019 - INVALID FORMAT IN FIELD ADJU MEM INFO TXT */
#define ERCD_INV_FORMAT_AGT_IND                  45020   /* 45020 - INVALID FORMAT IN FIELD AGT IND */
#define ERCD_INV_FORMAT_APPLICATION_ID           45021   /* 45021 - INVALID FORMAT IN FIELD APPLICATION ID */
#define ERCD_INV_FORMAT_ASK_SIDE_DEL             45022   /* 45022 - INVALID FORMAT IN FIELD ASK SIDE DEL */
#define ERCD_INV_FORMAT_ASN_COD                  45023   /* 45023 - INVALID FORMAT IN FIELD ASN COD */
#define ERCD_INV_FORMAT_ASS_MEMB_BRN_ID_COD      45024   /* 45024 - INVALID FORMAT IN FIELD ASS MEMB BRN ID COD */
#define ERCD_INV_FORMAT_ASS_MEMB_IST_ID_COD      45025   /* 45025 - INVALID FORMAT IN FIELD ASS MEMB IST ID COD */
#define ERCD_INV_FORMAT_AUCT_LOT_IND             45026   /* 45026 - INVALID FORMAT IN FIELD AUCT LOT IND */
#define ERCD_INV_FORMAT_AUCT_PRC                 45027   /* 45027 - INVALID FORMAT IN FIELD AUCT PRC */
#define ERCD_INV_FORMAT_AUCT_QTY                 45028   /* 45028 - INVALID FORMAT IN FIELD AUCT QTY */
#define ERCD_INV_FORMAT_AUCT_STRT                45029   /* 45029 - INVALID FORMAT IN FIELD AUCT STRT */
#define ERCD_INV_FORMAT_AUCT_TIM                 45030   /* 45030 - INVALID FORMAT IN FIELD AUCT TIM */
#define ERCD_INV_FORMAT_AUCT_TYPE                45031   /* 45031 - INVALID FORMAT IN FIELD AUCT TYPE */
#define ERCD_INV_FORMAT_AUTO_STA_SWI             45032   /* 45032 - INVALID FORMAT IN FIELD AUTO STA SWI */
#define ERCD_INV_FORMAT_AVG_TRAD_MTCH_PRC        45033   /* 45033 - INVALID FORMAT IN FIELD AVG TRAD MTCH PRC */
#define ERCD_INV_FORMAT_BON_FST_CPN_DEV          45034   /* 45034 - INVALID FORMAT IN FIELD BON FST CPN DEV */
#define ERCD_INV_FORMAT_BCAST_TYPE               45035   /* 45035 - INVALID FORMAT IN FIELD BCAST TYPE */
#define ERCD_INV_FORMAT_BEST_BDRY_ASK            45036   /* 45036 - INVALID FORMAT IN FIELD BEST BDRY ASK */
#define ERCD_INV_FORMAT_BEST_BDRY_BID            45037   /* 45037 - INVALID FORMAT IN FIELD BEST BDRY BID */
#define ERCD_INV_FORMAT_BEST_BDRY                45038   /* 45038 - INVALID FORMAT IN FIELD BEST BDRY */
#define ERCD_INV_FORMAT_BEST_EXR_BRN_ID_COD_B    45039   /* 45039 - INVALID FORMAT IN FIELD BEST EXR BRN ID COD B */
#define ERCD_INV_FORMAT_BEST_EXR_BRN_ID_COD      45040   /* 45040 - INVALID FORMAT IN FIELD BEST EXR BRN ID COD */
#define ERCD_INV_FORMAT_BEST_EXR_BRN_ID_COD_S    45041   /* 45041 - INVALID FORMAT IN FIELD BEST EXR BRN ID COD S */
#define ERCD_INV_FORMAT_BEST_EXR_IND             45042   /* 45042 - INVALID FORMAT IN FIELD BEST EXR IND */
#define ERCD_INV_FORMAT_BEST_EXR_IST_ID_COD_B    45043   /* 45043 - INVALID FORMAT IN FIELD BEST EXR IST ID COD B */
#define ERCD_INV_FORMAT_BEST_EXR_IST_ID_COD      45044   /* 45044 - INVALID FORMAT IN FIELD BEST EXR IST ID COD */
#define ERCD_INV_FORMAT_BEST_EXR_IST_ID_COD_S    45045   /* 45045 - INVALID FORMAT IN FIELD BEST EXR IST ID COD S */
#define ERCD_INV_FORMAT_BEST_RSRV_QTY_ASK        45046   /* 45046 - INVALID FORMAT IN FIELD BEST RSRV QTY ASK */
#define ERCD_INV_FORMAT_BEST_RSRV_QTY_BID        45047   /* 45047 - INVALID FORMAT IN FIELD BEST RSRV QTY BID */
#define ERCD_INV_FORMAT_BEST_RSRV_QTY            45048   /* 45048 - INVALID FORMAT IN FIELD BEST RSRV QTY */
#define ERCD_INV_FORMAT_BEST_TRD_IND             45049   /* 45049 - INVALID FORMAT IN FIELD BEST TRD IND */
#define ERCD_INV_FORMAT_BETR_ASS_IND             45050   /* 45050 - INVALID FORMAT IN FIELD BETR ASS IND */
#define ERCD_INV_FORMAT_BETR_IND                 45051   /* 45051 - INVALID FORMAT IN FIELD BETR IND */
#define ERCD_INV_FORMAT_BID_SIDE_DEL             45052   /* 45052 - INVALID FORMAT IN FIELD BID SIDE DEL */
#define ERCD_INV_FORMAT_BILL_EXCH                45053   /* 45053 - INVALID FORMAT IN FIELD BILL EXCH */
#define ERCD_INV_FORMAT_BON_ACR_INT_CALC_MD      45054   /* 45054 - INVALID FORMAT IN FIELD BON ACR INT CALC MD */
#define ERCD_INV_FORMAT_BON_ACR_INT              45055   /* 45055 - INVALID FORMAT IN FIELD BON ACR INT */
#define ERCD_INV_FORMAT_BON_ACR_INT_DAY_A_YR     45056   /* 45056 - INVALID FORMAT IN FIELD BON ACR INT DAY A YR */
#define ERCD_INV_FORMAT_BON_ACR_INT_DAY          45057   /* 45057 - INVALID FORMAT IN FIELD BON ACR INT DAY */
#define ERCD_INV_FORMAT_BON_ACR_INT_UNT          45058   /* 45058 - INVALID FORMAT IN FIELD BON ACR INT UNT */
#define ERCD_INV_FORMAT_BON_CPN_DEVG_WSS         45059   /* 45059 - INVALID FORMAT IN FIELD BON CPN DEVG WSS */
#define ERCD_INV_FORMAT_BON_CPN_FREQ             45060   /* 45060 - INVALID FORMAT IN FIELD BON CPN FREQ */
#define ERCD_INV_FORMAT_BON_CPN_RAT              45061   /* 45061 - INVALID FORMAT IN FIELD BON CPN RAT */
#define ERCD_INV_FORMAT_BON_CPN_SEPA_MD          45062   /* 45062 - INVALID FORMAT IN FIELD BON CPN SEPA MD */
#define ERCD_INV_FORMAT_BON_FST_CPN_PMT_DAT      45063   /* 45063 - INVALID FORMAT IN FIELD BON FST CPN PMT DAT */
#define ERCD_INV_FORMAT_BON_INT_RAT_MAX          45064   /* 45064 - INVALID FORMAT IN FIELD BON INT RAT MAX */
#define ERCD_INV_FORMAT_BON_INT_RAT_MIN          45065   /* 45065 - INVALID FORMAT IN FIELD BON INT RAT MIN */
#define ERCD_INV_FORMAT_BON_LST_CPN_DEVG_IND     45066   /* 45066 - INVALID FORMAT IN FIELD BON LST CPN DEVG IND */
#define ERCD_INV_FORMAT_BON_LST_CPN_PMT_DAT      45067   /* 45067 - INVALID FORMAT IN FIELD BON LST CPN PMT DAT */
#define ERCD_INV_FORMAT_BON_MRTY_DAT             45068   /* 45068 - INVALID FORMAT IN FIELD BON MRTY DAT */
#define ERCD_INV_FORMAT_BON_NO_CPN_A_YR          45069   /* 45069 - INVALID FORMAT IN FIELD BON NO CPN A YR */
#define ERCD_INV_FORMAT_BON_NO_REM_CPN_PER       45070   /* 45070 - INVALID FORMAT IN FIELD BON NO REM CPN PER */
#define ERCD_INV_FORMAT_BON_NXT_ACR_INT_DAY_YR   45071   /* 45071 - INVALID FORMAT IN FIELD BON NXT ACR INT DAY YR */
#define ERCD_INV_FORMAT_BON_NXT_INT_RAT          45073   /* 45073 - INVALID FORMAT IN FIELD BON NXT INT RAT */
#define ERCD_INV_FORMAT_BON_NXT_NO_REM_CPN_PER   45074   /* 45074 - INVALID FORMAT IN FIELD BON NXT NO REM CPN PER */
#define ERCD_INV_FORMAT_BON_RDM_VAL              45075   /* 45075 - INVALID FORMAT IN FIELD BON RDM VAL */
#define ERCD_INV_FORMAT_BON_RGL_CPN              45076   /* 45076 - INVALID FORMAT IN FIELD BON RGL CPN */
#define ERCD_INV_FORMAT_BON_SCD_CPN_PMT_DAT      45077   /* 45077 - INVALID FORMAT IN FIELD BON SCD CPN PMT DAT */
#define ERCD_INV_FORMAT_BON_YLD_CALC_MD          45078   /* 45078 - INVALID FORMAT IN FIELD BON YLD CALC MD */
#define ERCD_INV_FORMAT_BON_YLD_F2               45079   /* 45079 - INVALID FORMAT IN FIELD BON YLD F2 */
#define ERCD_INV_FORMAT_BST_ASK_PRC              45080   /* 45080 - INVALID FORMAT IN FIELD BST ASK PRC */
#define ERCD_INV_FORMAT_BST_ASK_QTY              45081   /* 45081 - INVALID FORMAT IN FIELD BST ASK QTY */
#define ERCD_INV_FORMAT_BST_BID_PRC              45082   /* 45082 - INVALID FORMAT IN FIELD BST BID PRC */
#define ERCD_INV_FORMAT_BST_BID_QTY              45083   /* 45083 - INVALID FORMAT IN FIELD BST BID QTY */
#define ERCD_INV_FORMAT_BST_ORD_PRC_IND          45084   /* 45084 - INVALID FORMAT IN FIELD BST ORD PRC IND */
#define ERCD_INV_FORMAT_BTR_OBB_DURN             45085   /* 45085 - INVALID FORMAT IN FIELD BTR OBB DURN */
#define ERCD_INV_FORMAT_BUY_COD                  45086   /* 45086 - INVALID FORMAT IN FIELD BUY COD */
#define ERCD_INV_FORMAT_CLG_LOC                  45087   /* 45087 - INVALID FORMAT IN FIELD CLG LOC */
#define ERCD_INV_FORMAT_CLS_AUCT_DURN            45088   /* 45088 - INVALID FORMAT IN FIELD CLS AUCT DURN */
#define ERCD_INV_FORMAT_CLS_PRC                  45089   /* 45089 - INVALID FORMAT IN FIELD CLS PRC */
#define ERCD_INV_FORMAT_CLSD_BOOK_IND            45090   /* 45090 - INVALID FORMAT IN FIELD CLSD BOOK IND */
#define ERCD_INV_FORMAT_CMEX_IND                 45091   /* 45091 - INVALID FORMAT IN FIELD CMEX IND */
#define ERCD_INV_FORMAT_CMEX_TYP                 45092   /* 45092 - INVALID FORMAT IN FIELD CMEX TYP */
#define ERCD_INV_FORMAT_CNTC_UNT                 45093   /* 45093 - INVALID FORMAT IN FIELD CNTC UNT */
#define ERCD_INV_FORMAT_CON_DISP_DECIMAL         45094   /* 45094 - INVALID FORMAT IN FIELD CON DISP DECIMAL */
#define ERCD_INV_FORMAT_CROSS_TRD_PRC            45095   /* 45095 - INVALID FORMAT IN FIELD CROSS TRD PRC */
#define ERCD_INV_FORMAT_CROSS_TRD_QTY            45096   /* 45096 - INVALID FORMAT IN FIELD CROSS TRD QTY */
#define ERCD_INV_FORMAT_CROSS_TRD_TIM            45097   /* 45097 - INVALID FORMAT IN FIELD CROSS TRD TIM */
#define ERCD_INV_FORMAT_CTRL_SEG_COD             45098   /* 45098 - INVALID FORMAT IN FIELD CTRL SEG COD */
#define ERCD_INV_FORMAT_CTRL_SEG_COD_X           45099   /* 45099 - INVALID FORMAT IN FIELD CTRL SEG COD X */
#define ERCD_INV_FORMAT_CTRL_SEG_NAM             45100   /* 45100 - INVALID FORMAT IN FIELD CTRL SEG NAM */
#define ERCD_INV_FORMAT_CURR_CVS_FCTR            45101   /* 45101 - INVALID FORMAT IN FIELD CURR CVS FCTR */
#define ERCD_INV_FORMAT_CURR_DESC                45102   /* 45102 - INVALID FORMAT IN FIELD CURR DESC */
#define ERCD_INV_FORMAT_CURR_EXCH_RAT            45103   /* 45103 - INVALID FORMAT IN FIELD CURR EXCH RAT */
#define ERCD_INV_FORMAT_CURR_TYP_COD             45104   /* 45104 - INVALID FORMAT IN FIELD CURR TYP COD */
#define ERCD_INV_FORMAT_DATA_LEN                 45105   /* 45105 - INVALID FORMAT IN FIELD DATA LEN */
#define ERCD_INV_FORMAT_DATE                     45106   /* 45106 - INVALID FORMAT IN FIELD DATE */
#define ERCD_INV_FORMAT_DATE_LST_UPD_DAT_B       45107   /* 45107 - INVALID FORMAT IN FIELD DATE LST UPD DAT B */
#define ERCD_INV_FORMAT_DATE_LST_UPD_DAT         45108   /* 45108 - INVALID FORMAT IN FIELD DATE LST UPD DAT */
#define ERCD_INV_FORMAT_DATE_LST_UPD_DAT_P       45109   /* 45109 - INVALID FORMAT IN FIELD DATE LST UPD DAT P */
#define ERCD_INV_FORMAT_DATE_LST_UPD_DAT_S       45110   /* 45110 - INVALID FORMAT IN FIELD DATE LST UPD DAT S */
#define ERCD_INV_FORMAT_DEF_STL_ID_ACT           45111   /* 45111 - INVALID FORMAT IN FIELD DEF STL ID ACT */
#define ERCD_INV_FORMAT_DEF_STL_ID_LOC           45112   /* 45112 - INVALID FORMAT IN FIELD DEF STL ID LOC */
#define ERCD_INV_FORMAT_DISPO                    45114   /* 45114 - INVALID FORMAT IN FIELD DISPO */
#define ERCD_INV_FORMAT_OTC_TRD_DAT              45115   /* 45115 - INVALID FORMAT IN FIELD OTC TRD DAT */
#define ERCD_INV_FORMAT_DLY_HGH_PRC              45116   /* 45116 - INVALID FORMAT IN FIELD DLY HGH PRC */
#define ERCD_INV_FORMAT_DLY_LOW_PRC              45117   /* 45117 - INVALID FORMAT IN FIELD DLY LOW PRC */
#define ERCD_INV_FORMAT_DNOM_CURR_COD            45118   /* 45118 - INVALID FORMAT IN FIELD DNOM CURR COD */
#define ERCD_INV_FORMAT_DOM_IND                  45119   /* 45119 - INVALID FORMAT IN FIELD DOM IND */
#define ERCD_INV_FORMAT_END_CONT_AU_DAY          45120   /* 45120 - INVALID FORMAT IN FIELD END CONT AU DAY */
#define ERCD_INV_FORMAT_EOD_AUCT_DURN            45121   /* 45121 - INVALID FORMAT IN FIELD EOD AUCT DURN */
#define ERCD_INV_FORMAT_EQY_NXT_DIV_DUE_DAT      45122   /* 45122 - INVALID FORMAT IN FIELD EQY NXT DIV DUE DAT */
#define ERCD_INV_FORMAT_EQY_NXT_DIV_ESTD_AMT     45123   /* 45123 - INVALID FORMAT IN FIELD EQY NXT DIV ESTD AMT */
#define ERCD_INV_FORMAT_EXC_CURR_TYP_COD         45124   /* 45124 - INVALID FORMAT IN FIELD EXC CURR TYP COD */
#define ERCD_INV_FORMAT_EXCH_CRT_PROC_DAT        45125   /* 45125 - INVALID FORMAT IN FIELD EXCH CRT PROC DAT */
#define ERCD_INV_FORMAT_EXCH_ID_COD              45126   /* 45126 - INVALID FORMAT IN FIELD EXCH ID COD */
#define ERCD_INV_FORMAT_TRD_CNCL_QTY_ASK         45127   /* 45127 - INVALID FORMAT IN FIELD TRD CNCL QTY ASK */
#define ERCD_INV_FORMAT_EXCH_NAME                45128   /* 45128 - INVALID FORMAT IN FIELD EXCH NAME */
#define ERCD_INV_FORMAT_EXCH_SYS_STATE_COD       45129   /* 45129 - INVALID FORMAT IN FIELD EXCH SYS STATE COD */
#define ERCD_INV_FORMAT_EXCH_X_ID                45130   /* 45130 - INVALID FORMAT IN FIELD EXCH X ID */
#define ERCD_INV_FORMAT_MID_PNT_ORDR_IND         45131   /* 45131 - INVALID FORMAT IN FIELD MID PNT ORDR IND */
#define ERCD_INV_FORMAT_EXCP_STATE_IND           45132   /* 45132 - INVALID FORMAT IN FIELD EXCP STATE IND */
#define ERCD_INV_FORMAT_MIN_MID_PNT_ORDR_VAL     45133   /* 45133 - INVALID FORMAT IN FIELD MIN MID PNT ORDR VAL */
#define ERCD_INV_FORMAT_BON_INT_DATA             45134   /* 45134 - INVALID FORMAT IN FIELD BON INT DATA */
#define ERCD_INV_FORMAT_EXTD_VOL_FCTR            45135   /* 45135 - INVALID FORMAT IN FIELD EXTD VOL FCTR */
#define ERCD_INV_FORMAT_EXTR_IND                 45136   /* 45136 - INVALID FORMAT IN FIELD EXTR IND */
#define ERCD_INV_FORMAT_FEE_AMT                  45137   /* 45137 - INVALID FORMAT IN FIELD FEE AMT */
#define ERCD_INV_FORMAT_FEE_AMT_FAC              45138   /* 45138 - INVALID FORMAT IN FIELD FEE AMT FAC */
#define ERCD_INV_FORMAT_FEE_AMT_FMT              45139   /* 45139 - INVALID FORMAT IN FIELD FEE AMT FMT */
#define ERCD_INV_FORMAT_FEE_CAP                  45140   /* 45140 - INVALID FORMAT IN FIELD FEE CAP */
#define ERCD_INV_FORMAT_FEE_CRT_PKG_TYP          45141   /* 45141 - INVALID FORMAT IN FIELD FEE CRT PKG TYP */
#define ERCD_INV_FORMAT_FEE_FLR                  45142   /* 45142 - INVALID FORMAT IN FIELD FEE FLR */
#define ERCD_INV_FORMAT_FEE_NXT_PKG_TYP          45143   /* 45143 - INVALID FORMAT IN FIELD FEE NXT PKG TYP */
#define ERCD_INV_FORMAT_FEE_PKG_FLG              45144   /* 45144 - INVALID FORMAT IN FIELD FEE PKG FLG */
#define ERCD_INV_FORMAT_FEE_PKG_FLG_F            45145   /* 45145 - INVALID FORMAT IN FIELD FEE PKG FLG F */
#define ERCD_INV_FORMAT_FEE_PKG_NAM_CT           45146   /* 45146 - INVALID FORMAT IN FIELD FEE PKG NAM CT */
#define ERCD_INV_FORMAT_FEE_PKG_NAM              45147   /* 45147 - INVALID FORMAT IN FIELD FEE PKG NAM */
#define ERCD_INV_FORMAT_FEE_PKG_TYP_CT           45149   /* 45149 - INVALID FORMAT IN FIELD FEE PKG TYP CT */
#define ERCD_INV_FORMAT_FEE_PKG_TYP              45150   /* 45150 - INVALID FORMAT IN FIELD FEE PKG TYP */
#define ERCD_INV_FORMAT_FEE_PKG_TYP_F            45151   /* 45151 - INVALID FORMAT IN FIELD FEE PKG TYP F */
#define ERCD_INV_FORMAT_FEES_ADJ_AMT             45152   /* 45152 - INVALID FORMAT IN FIELD FEES ADJ AMT */
#define ERCD_INV_FORMAT_FEES_CURR_TYP_COD        45153   /* 45153 - INVALID FORMAT IN FIELD FEES CURR TYP COD */
#define ERCD_INV_FORMAT_FEES_TYP_COD             45154   /* 45154 - INVALID FORMAT IN FIELD FEES TYP COD */
#define ERCD_INV_FORMAT_FEES_TYP_COD_F           45155   /* 45155 - INVALID FORMAT IN FIELD FEES TYP COD F */
#define ERCD_INV_FORMAT_FEES_TYP_IND             45156   /* 45156 - INVALID FORMAT IN FIELD FEES TYP IND */
#define ERCD_INV_FORMAT_LST_TRD_PRC_MPO          45157   /* 45157 - INVALID FORMAT IN FIELD LST TRD PRC MPO */
#define ERCD_INV_FORMAT_FILL_CURR1               45158   /* 45158 - INVALID FORMAT IN FIELD FILL CURR1 */
#define ERCD_INV_FORMAT_FILL_CURR2               45159   /* 45159 - INVALID FORMAT IN FIELD FILL CURR2 */
#define ERCD_INV_FORMAT_FILL_CURR3               45160   /* 45160 - INVALID FORMAT IN FIELD FILL CURR3 */
#define ERCD_INV_FORMAT_FILT_DAT_MAX             45161   /* 45161 - INVALID FORMAT IN FIELD FILT DAT MAX */
#define ERCD_INV_FORMAT_FILT_DAT_MIN             45162   /* 45162 - INVALID FORMAT IN FIELD FILT DAT MIN */
#define ERCD_INV_FORMAT_FILT_LIM_MAX             45163   /* 45163 - INVALID FORMAT IN FIELD FILT LIM MAX */
#define ERCD_INV_FORMAT_FILT_LIM_MIN             45164   /* 45164 - INVALID FORMAT IN FIELD FILT LIM MIN */
#define ERCD_INV_FORMAT_FILT_TIM_MAX             45165   /* 45165 - INVALID FORMAT IN FIELD FILT TIM MAX */
#define ERCD_INV_FORMAT_FILT_TIM_MIN             45166   /* 45166 - INVALID FORMAT IN FIELD FILT TIM MIN */
#define ERCD_INV_FORMAT_FIX_VOL_PRC_OVRD         45167   /* 45167 - INVALID FORMAT IN FIELD FIX VOL PRC OVRD */
#define ERCD_INV_FORMAT_FIX_VOL_PRC_RNG          45168   /* 45168 - INVALID FORMAT IN FIELD FIX VOL PRC RNG */
#define ERCD_INV_FORMAT_FLTG_VOL_PRC_RNG         45169   /* 45169 - INVALID FORMAT IN FIELD FLTG VOL PRC RNG */
#define ERCD_INV_FORMAT_FM_FIX_VOL_PRC_RGE       45170   /* 45170 - INVALID FORMAT IN FIELD FM FIX VOL PRC RGE */
#define ERCD_INV_FORMAT_FM_FLTG_VOL_PRC_RGE      45171   /* 45171 - INVALID FORMAT IN FIELD FM FLTG VOL PRC RGE */
#define ERCD_INV_FORMAT_FM_IND                   45172   /* 45172 - INVALID FORMAT IN FIELD FM IND */
#define ERCD_INV_FORMAT_FRST_TRD_DAT             45173   /* 45173 - INVALID FORMAT IN FIELD FRST TRD DAT */
#define ERCD_INV_FORMAT_INST_ONE_DAY_QTY_MPO     45175   /* 45175 - INVALID FORMAT IN FIELD INST ONE DAY QTY MPO */
#define ERCD_INV_FORMAT_LST_TRD_QTY_MPO          45176   /* 45176 - INVALID FORMAT IN FIELD LST TRD QTY MPO */
#define ERCD_INV_FORMAT_TOT_NO_TRD_MPO           45177   /* 45177 - INVALID FORMAT IN FIELD TOT NO TRD MPO */
#define ERCD_INV_FORMAT_TRD_TIM_MPO              45178   /* 45178 - INVALID FORMAT IN FIELD TRD TIM MPO */
#define ERCD_INV_FORMAT_BON_LST_CPN_DEV          45179   /* 45179 - INVALID FORMAT IN FIELD BON LST CPN DEV */
#define ERCD_INV_FORMAT_ICE_ORD_IND              45180   /* 45180 - INVALID FORMAT IN FIELD ICE ORD IND */
#define ERCD_INV_FORMAT_IDX_VAR_ID               45181   /* 45181 - INVALID FORMAT IN FIELD IDX VAR ID */
#define ERCD_INV_FORMAT_INDY_AUCT_DURN           45182   /* 45182 - INVALID FORMAT IN FIELD INDY AUCT DURN */
#define ERCD_INV_FORMAT_INQ_TRD_RAT              45183   /* 45183 - INVALID FORMAT IN FIELD INQ TRD RAT */
#define ERCD_INV_FORMAT_INS_ASN_NUM              45184   /* 45184 - INVALID FORMAT IN FIELD INS ASN NUM */
#define ERCD_INV_FORMAT_INS_TOT_NUM              45185   /* 45185 - INVALID FORMAT IN FIELD INS TOT NUM */
#define ERCD_INV_FORMAT_INST_ASS_COD             45186   /* 45186 - INVALID FORMAT IN FIELD INST ASS COD */
#define ERCD_INV_FORMAT_INST_GRP_COD             45187   /* 45187 - INVALID FORMAT IN FIELD INST GRP COD */
#define ERCD_INV_FORMAT_INST_GRP_COD_NEW         45188   /* 45188 - INVALID FORMAT IN FIELD INST GRP COD NEW */
#define ERCD_INV_FORMAT_INST_GRP_NAM             45189   /* 45189 - INVALID FORMAT IN FIELD INST GRP NAM */
#define ERCD_INV_FORMAT_INST_GRP_TYP             45190   /* 45190 - INVALID FORMAT IN FIELD INST GRP TYP */
#define ERCD_INV_FORMAT_INST_MNEM                45191   /* 45191 - INVALID FORMAT IN FIELD INST MNEM */
#define ERCD_INV_FORMAT_INST_ONE_DAY_QTY_BEST    45192   /* 45192 - INVALID FORMAT IN FIELD INST ONE DAY QTY BEST */
#define ERCD_INV_FORMAT_INST_ONE_DAY_QTY         45193   /* 45193 - INVALID FORMAT IN FIELD INST ONE DAY QTY */
#define ERCD_INV_FORMAT_INST_SHT_NAM             45194   /* 45194 - INVALID FORMAT IN FIELD INST SHT NAM */
#define ERCD_INV_FORMAT_INST_SPEC_REP_IND        45195   /* 45195 - INVALID FORMAT IN FIELD INST SPEC REP IND */
#define ERCD_INV_FORMAT_INST_SUB_TYP_COD         45196   /* 45196 - INVALID FORMAT IN FIELD INST SUB TYP COD */
#define ERCD_INV_FORMAT_INST_TYP_COD             45197   /* 45197 - INVALID FORMAT IN FIELD INST TYP COD */
#define ERCD_INV_FORMAT_INST_TYP_COD_F           45198   /* 45198 - INVALID FORMAT IN FIELD INST TYP COD F */
#define ERCD_INV_FORMAT_IPO_ASK_LIM              45199   /* 45199 - INVALID FORMAT IN FIELD IPO ASK LIM */
#define ERCD_INV_FORMAT_IPO_BID_LIM              45200   /* 45200 - INVALID FORMAT IN FIELD IPO BID LIM */
#define ERCD_INV_FORMAT_ISIN_COD                 45202   /* 45202 - INVALID FORMAT IN FIELD ISIN COD */
#define ERCD_INV_FORMAT_ISIN_COD_F               45203   /* 45203 - INVALID FORMAT IN FIELD ISIN COD F */
#define ERCD_INV_FORMAT_ISIN_COD_P               45204   /* 45204 - INVALID FORMAT IN FIELD ISIN COD P */
#define ERCD_INV_FORMAT_ISIN_SEQ_NO              45206   /* 45206 - INVALID FORMAT IN FIELD ISIN SEQ NO */
#define ERCD_INV_FORMAT_ISSR_IND                 45207   /* 45207 - INVALID FORMAT IN FIELD ISSR IND */
#define ERCD_INV_FORMAT_ISSR_MEMB_ID             45208   /* 45208 - INVALID FORMAT IN FIELD ISSR MEMB ID */
#define ERCD_INV_FORMAT_ISSR_SUB_GRP             45209   /* 45209 - INVALID FORMAT IN FIELD ISSR SUB GRP */
#define ERCD_INV_FORMAT_KEY_DAT_CTRL_BLC         45210   /* 45210 - INVALID FORMAT IN FIELD KEY DAT CTRL BLC */
#define ERCD_INV_FORMAT_KIND_OF_DEPO_B           45211   /* 45211 - INVALID FORMAT IN FIELD KIND OF DEPO B */
#define ERCD_INV_FORMAT_KIND_OF_DEPO             45212   /* 45212 - INVALID FORMAT IN FIELD KIND OF DEPO */
#define ERCD_INV_FORMAT_KIND_OF_DEPO_S           45213   /* 45213 - INVALID FORMAT IN FIELD KIND OF DEPO S */
#define ERCD_INV_FORMAT_LIC_TYP                  45214   /* 45214 - INVALID FORMAT IN FIELD LIC TYP */
#define ERCD_INV_FORMAT_SMP_CNCL_ASK_IND         45215   /* 45215 - INVALID FORMAT IN FIELD SMP CNCL ASK IND */
#define ERCD_INV_FORMAT_LIQ_PROV_IND             45216   /* 45216 - INVALID FORMAT IN FIELD LIQ PROV IND */
#define ERCD_INV_FORMAT_LM_IND                   45217   /* 45217 - INVALID FORMAT IN FIELD LM IND */
#define ERCD_INV_FORMAT_LMT_ORD_IND              45218   /* 45218 - INVALID FORMAT IN FIELD LMT ORD IND */
#define ERCD_INV_FORMAT_LST_AUCT_PRC             45219   /* 45219 - INVALID FORMAT IN FIELD LST AUCT PRC */
#define ERCD_INV_FORMAT_LST_AUCT_QTY             45220   /* 45220 - INVALID FORMAT IN FIELD LST AUCT QTY */
#define ERCD_INV_FORMAT_LST_MOD_TIM              45221   /* 45221 - INVALID FORMAT IN FIELD LST MOD TIM */
#define ERCD_INV_FORMAT_LST_TRD_DAT              45222   /* 45222 - INVALID FORMAT IN FIELD LST TRD DAT */
#define ERCD_INV_FORMAT_LST_TRD_PRC              45223   /* 45223 - INVALID FORMAT IN FIELD LST TRD PRC */
#define ERCD_INV_FORMAT_LST_TRD_QTY              45224   /* 45224 - INVALID FORMAT IN FIELD LST TRD QTY */
#define ERCD_INV_FORMAT_MAX_DURN_RND_END         45225   /* 45225 - INVALID FORMAT IN FIELD MAX DURN RND END */
#define ERCD_INV_FORMAT_MAX_MRTY_DAT             45226   /* 45226 - INVALID FORMAT IN FIELD MAX MRTY DAT */
#define ERCD_INV_FORMAT_MAX_ORDR_VAL_BEST        45227   /* 45227 - INVALID FORMAT IN FIELD MAX ORDR VAL BEST */
#define ERCD_INV_FORMAT_MAX_ORDR_VAL             45228   /* 45228 - INVALID FORMAT IN FIELD MAX ORDR VAL */
#define ERCD_INV_FORMAT_MAX_SRP_QTY              45229   /* 45229 - INVALID FORMAT IN FIELD MAX SRP QTY */
#define ERCD_INV_FORMAT_MAX_SYS_USG              45230   /* 45230 - INVALID FORMAT IN FIELD MAX SYS USG */
#define ERCD_INV_FORMAT_MKT_SEG                  45231   /* 45231 - INVALID FORMAT IN FIELD MKT SEG */
#define ERCD_INV_FORMAT_MKT_SEG_SUPL             45232   /* 45232 - INVALID FORMAT IN FIELD MKT SEG SUPL */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD_APP      45233   /* 45233 - INVALID FORMAT IN FIELD MEMB BRN ID COD APP */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD_B        45234   /* 45234 - INVALID FORMAT IN FIELD MEMB BRN ID COD B */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD_CTPY     45235   /* 45235 - INVALID FORMAT IN FIELD MEMB BRN ID COD CTPY */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD          45236   /* 45236 - INVALID FORMAT IN FIELD MEMB BRN ID COD */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD_F        45237   /* 45237 - INVALID FORMAT IN FIELD MEMB BRN ID COD F */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD_S        45239   /* 45239 - INVALID FORMAT IN FIELD MEMB BRN ID COD S */
#define ERCD_INV_FORMAT_MEMB_CLG_ID_COD_B        45241   /* 45241 - INVALID FORMAT IN FIELD MEMB CLG ID COD B */
#define ERCD_INV_FORMAT_MEMB_CLG_ID_COD          45242   /* 45242 - INVALID FORMAT IN FIELD MEMB CLG ID COD */
#define ERCD_INV_FORMAT_MEMB_CLG_ID_COD_F        45243   /* 45243 - INVALID FORMAT IN FIELD MEMB CLG ID COD F */
#define ERCD_INV_FORMAT_SMP_CNCL_BID_IND         45244   /* 45244 - INVALID FORMAT IN FIELD SMP CNCL BID IND */
#define ERCD_INV_FORMAT_MEMB_CLG_ID_COD_S        45245   /* 45245 - INVALID FORMAT IN FIELD MEMB CLG ID COD S */
#define ERCD_INV_FORMAT_MEMB_CLG_STL_ID_ACT      45247   /* 45247 - INVALID FORMAT IN FIELD MEMB CLG STL ID ACT */
#define ERCD_INV_FORMAT_MEMB_CLG_STL_ID_ACT_F    45248   /* 45248 - INVALID FORMAT IN FIELD MEMB CLG STL ID ACT F */
#define ERCD_INV_FORMAT_MEMB_CLG_STL_ID_LOC      45249   /* 45249 - INVALID FORMAT IN FIELD MEMB CLG STL ID LOC */
#define ERCD_INV_FORMAT_MEMB_CLG_STL_ID_LOC_F    45250   /* 45250 - INVALID FORMAT IN FIELD MEMB CLG STL ID LOC F */
#define ERCD_INV_FORMAT_MEMB_CLG_TYP_COD         45251   /* 45251 - INVALID FORMAT IN FIELD MEMB CLG TYP COD */
#define ERCD_INV_FORMAT_MEMB_CP_CLG_STL_ID_ACT   45252   /* 45252 - INVALID FORMAT IN FIELD MEMB CP CLG STL ID ACT */
#define ERCD_INV_FORMAT_MEMB_CP_CLG_STL_ID_LOC   45253   /* 45253 - INVALID FORMAT IN FIELD MEMB CP CLG STL ID LOC */
#define ERCD_INV_FORMAT_MEMB_CTPY_CLG_ID_COD     45254   /* 45254 - INVALID FORMAT IN FIELD MEMB CTPY CLG ID COD */
#define ERCD_INV_FORMAT_MEMB_CTPY_ID_COD         45255   /* 45255 - INVALID FORMAT IN FIELD MEMB CTPY ID COD */
#define ERCD_INV_FORMAT_MEMB_CTPY_ID_COD_F       45256   /* 45256 - INVALID FORMAT IN FIELD MEMB CTPY ID COD F */
#define ERCD_INV_FORMAT_MEMB_CTPY_KV_NO          45257   /* 45257 - INVALID FORMAT IN FIELD MEMB CTPY KV NO */
#define ERCD_INV_FORMAT_MEMB_DWZ_ACT_NO          45258   /* 45258 - INVALID FORMAT IN FIELD MEMB DWZ ACT NO */
#define ERCD_INV_FORMAT_MEMB_DWZ_LOC_NO          45259   /* 45259 - INVALID FORMAT IN FIELD MEMB DWZ LOC NO */
#define ERCD_INV_FORMAT_MEMB_EXC_TYP_COD         45260   /* 45260 - INVALID FORMAT IN FIELD MEMB EXC TYP COD */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD_APP      45261   /* 45261 - INVALID FORMAT IN FIELD MEMB IST ID COD APP */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD_B        45262   /* 45262 - INVALID FORMAT IN FIELD MEMB IST ID COD B */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD_CTPY     45263   /* 45263 - INVALID FORMAT IN FIELD MEMB IST ID COD CTPY */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD          45264   /* 45264 - INVALID FORMAT IN FIELD MEMB IST ID COD */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD_F        45265   /* 45265 - INVALID FORMAT IN FIELD MEMB IST ID COD F */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD_S        45267   /* 45267 - INVALID FORMAT IN FIELD MEMB IST ID COD S */
#define ERCD_INV_FORMAT_TRD_CNCL_QTY_BID         45268   /* 45268 - INVALID FORMAT IN FIELD TRD CNCL QTY BID */
#define ERCD_INV_FORMAT_MEMB_KV_NO_B             45269   /* 45269 - INVALID FORMAT IN FIELD MEMB KV NO B */
#define ERCD_INV_FORMAT_MEMB_KV_NO               45270   /* 45270 - INVALID FORMAT IN FIELD MEMB KV NO */
#define ERCD_INV_FORMAT_MEMB_KV_NO_S             45271   /* 45271 - INVALID FORMAT IN FIELD MEMB KV NO S */
#define ERCD_INV_FORMAT_MEMB_LGL_NAM             45272   /* 45272 - INVALID FORMAT IN FIELD MEMB LGL NAM */
#define ERCD_INV_FORMAT_MEMB_NET_IND_A           45273   /* 45273 - INVALID FORMAT IN FIELD MEMB NET IND A */
#define ERCD_INV_FORMAT_MEMB_NET_IND_P           45274   /* 45274 - INVALID FORMAT IN FIELD MEMB NET IND P */
#define ERCD_INV_FORMAT_MEMB_OS_BRN_ID_COD_B     45275   /* 45275 - INVALID FORMAT IN FIELD MEMB OS BRN ID COD B */
#define ERCD_INV_FORMAT_MEMB_OS_BRN_ID_COD       45276   /* 45276 - INVALID FORMAT IN FIELD MEMB OS BRN ID COD */
#define ERCD_INV_FORMAT_MEMB_OS_BRN_ID_COD_S     45277   /* 45277 - INVALID FORMAT IN FIELD MEMB OS BRN ID COD S */
#define ERCD_INV_FORMAT_MEMB_OS_IST_ID_COD_B     45278   /* 45278 - INVALID FORMAT IN FIELD MEMB OS IST ID COD B */
#define ERCD_INV_FORMAT_MEMB_OS_IST_ID_COD       45279   /* 45279 - INVALID FORMAT IN FIELD MEMB OS IST ID COD */
#define ERCD_INV_FORMAT_MEMB_OS_IST_ID_COD_S     45280   /* 45280 - INVALID FORMAT IN FIELD MEMB OS IST ID COD S */
#define ERCD_INV_FORMAT_MEMB_PHN_NO              45281   /* 45281 - INVALID FORMAT IN FIELD MEMB PHN NO */
#define ERCD_INV_FORMAT_MEMB_PSN_FUL_NAM         45282   /* 45282 - INVALID FORMAT IN FIELD MEMB PSN FUL NAM */
#define ERCD_INV_FORMAT_MEMB_STS_COD             45283   /* 45283 - INVALID FORMAT IN FIELD MEMB STS COD */
#define ERCD_INV_FORMAT_MEMB_USR_BRN_ID_COD      45284   /* 45284 - INVALID FORMAT IN FIELD MEMB USR BRN ID COD */
#define ERCD_INV_FORMAT_MEMB_USR_IST_ID_COD      45285   /* 45285 - INVALID FORMAT IN FIELD MEMB USR IST ID COD */
#define ERCD_INV_FORMAT_MEMBER_ID                45286   /* 45286 - INVALID FORMAT IN FIELD MEMBER ID */
#define ERCD_INV_FORMAT_MESG_SHT_TXT             45287   /* 45287 - INVALID FORMAT IN FIELD MESG SHT TXT */
#define ERCD_INV_FORMAT_MID_PT_VAL_DURN          45288   /* 45288 - INVALID FORMAT IN FIELD MID PT VAL DURN */
#define ERCD_INV_FORMAT_MIN_ICE_QTY              45289   /* 45289 - INVALID FORMAT IN FIELD MIN ICE QTY */
#define ERCD_INV_FORMAT_MIN_MRTY_DAT             45290   /* 45290 - INVALID FORMAT IN FIELD MIN MRTY DAT */
#define ERCD_INV_FORMAT_MIN_PEAK_QTY             45291   /* 45291 - INVALID FORMAT IN FIELD MIN PEAK QTY */
#define ERCD_INV_FORMAT_MIN_TRDB_UNT             45292   /* 45292 - INVALID FORMAT IN FIELD MIN TRDB UNT */
#define ERCD_INV_FORMAT_MKT_IMB_IND              45293   /* 45293 - INVALID FORMAT IN FIELD MKT IMB IND */
#define ERCD_INV_FORMAT_MKT_ORD_IND              45294   /* 45294 - INVALID FORMAT IN FIELD MKT ORD IND */
#define ERCD_INV_FORMAT_MKT_ORD_INTR_DURN        45295   /* 45295 - INVALID FORMAT IN FIELD MKT ORD INTR DURN */
#define ERCD_INV_FORMAT_MKT_ORD_INTR_IND         45296   /* 45296 - INVALID FORMAT IN FIELD MKT ORD INTR IND */
#define ERCD_INV_FORMAT_MKT_ORD_MTCH_RGE         45297   /* 45297 - INVALID FORMAT IN FIELD MKT ORD MTCH RGE */
#define ERCD_INV_FORMAT_MKT_ORD_MTCH_RGE_FMT     45298   /* 45298 - INVALID FORMAT IN FIELD MKT ORD MTCH RGE FMT */
#define ERCD_INV_FORMAT_MKT_VAL                  45299   /* 45299 - INVALID FORMAT IN FIELD MKT VAL */
#define ERCD_INV_FORMAT_MOI_IND                  45300   /* 45300 - INVALID FORMAT IN FIELD MOI IND */
#define ERCD_INV_FORMAT_MTCH_RNG_ASK             45301   /* 45301 - INVALID FORMAT IN FIELD MTCH RNG ASK */
#define ERCD_INV_FORMAT_MTCH_RNG_BID             45302   /* 45302 - INVALID FORMAT IN FIELD MTCH RNG BID */
#define ERCD_INV_FORMAT_MTCH_RNG_MAX_ENT_DURN    45303   /* 45303 - INVALID FORMAT IN FIELD MTCH RNG MAX ENT DURN */
#define ERCD_INV_FORMAT_MTL_ORD_IND              45304   /* 45304 - INVALID FORMAT IN FIELD MTL ORD IND */
#define ERCD_INV_FORMAT_NET_CHG                  45305   /* 45305 - INVALID FORMAT IN FIELD NET CHG */
#define ERCD_INV_FORMAT_NET_GRP_COD              45306   /* 45306 - INVALID FORMAT IN FIELD NET GRP COD */
#define ERCD_INV_FORMAT_NET_MKT_VAL              45307   /* 45307 - INVALID FORMAT IN FIELD NET MKT VAL */
#define ERCD_INV_FORMAT_NET_SFX_NO_B             45308   /* 45308 - INVALID FORMAT IN FIELD NET SFX NO B */
#define ERCD_INV_FORMAT_NET_SFX_NO_S             45309   /* 45309 - INVALID FORMAT IN FIELD NET SFX NO S */
#define ERCD_INV_FORMAT_NET_TRAD_QTY             45310   /* 45310 - INVALID FORMAT IN FIELD NET TRAD QTY */
#define ERCD_INV_FORMAT_NET_TYP_COD_B            45311   /* 45311 - INVALID FORMAT IN FIELD NET TYP COD B */
#define ERCD_INV_FORMAT_NET_TYP_COD              45312   /* 45312 - INVALID FORMAT IN FIELD NET TYP COD */
#define ERCD_INV_FORMAT_NET_TYP_COD_S            45313   /* 45313 - INVALID FORMAT IN FIELD NET TYP COD S */
#define ERCD_INV_FORMAT_NEW_PW                   45314   /* 45314 - INVALID FORMAT IN FIELD NEW PW */
#define ERCD_INV_FORMAT_NEWS_DAT                 45315   /* 45315 - INVALID FORMAT IN FIELD NEWS DAT */
#define ERCD_INV_FORMAT_NEWS_DTL                 45316   /* 45316 - INVALID FORMAT IN FIELD NEWS DTL */
#define ERCD_INV_FORMAT_NEWS_PRIO                45317   /* 45317 - INVALID FORMAT IN FIELD NEWS PRIO */
#define ERCD_INV_FORMAT_NEWS_TIM                 45318   /* 45318 - INVALID FORMAT IN FIELD NEWS TIM */
#define ERCD_INV_FORMAT_NMSG_LINE_NO             45319   /* 45319 - INVALID FORMAT IN FIELD NMSG LINE NO */
#define ERCD_INV_FORMAT_NO_TOT_TRD_QTY           45320   /* 45320 - INVALID FORMAT IN FIELD NO TOT TRD QTY */
#define ERCD_INV_FORMAT_NUM_MESSAGES             45321   /* 45321 - INVALID FORMAT IN FIELD NUM MESSAGES */
#define ERCD_INV_FORMAT_NUM_ORDR_ASK             45322   /* 45322 - INVALID FORMAT IN FIELD NUM ORDR ASK */
#define ERCD_INV_FORMAT_NUM_ORDR_BID             45323   /* 45323 - INVALID FORMAT IN FIELD NUM ORDR BID */
#define ERCD_INV_FORMAT_OLD_PW                   45324   /* 45324 - INVALID FORMAT IN FIELD OLD PW */
#define ERCD_INV_FORMAT_OPN_AUCT_DURN            45325   /* 45325 - INVALID FORMAT IN FIELD OPN AUCT DURN */
#define ERCD_INV_FORMAT_OPN_PRC                  45326   /* 45326 - INVALID FORMAT IN FIELD OPN PRC */
#define ERCD_INV_FORMAT_ORD_QUO_CONF             45327   /* 45327 - INVALID FORMAT IN FIELD ORD QUO CONF */
#define ERCD_INV_FORMAT_ORDR_BK_QTY              45328   /* 45328 - INVALID FORMAT IN FIELD ORDR BK QTY */
#define ERCD_INV_FORMAT_ORDR_BUY_COD             45329   /* 45329 - INVALID FORMAT IN FIELD ORDR BUY COD */
#define ERCD_INV_FORMAT_ORDR_CNCL_QTY            45331   /* 45331 - INVALID FORMAT IN FIELD ORDR CNCL QTY */
#define ERCD_INV_FORMAT_ORDR_COMPL_COD_B         45332   /* 45332 - INVALID FORMAT IN FIELD ORDR COMPL COD B */
#define ERCD_INV_FORMAT_ORDR_COMPL_COD           45333   /* 45333 - INVALID FORMAT IN FIELD ORDR COMPL COD */
#define ERCD_INV_FORMAT_ORDR_COMPL_COD_S         45334   /* 45334 - INVALID FORMAT IN FIELD ORDR COMPL COD S */
#define ERCD_INV_FORMAT_ORDR_EXE_PRC             45335   /* 45335 - INVALID FORMAT IN FIELD ORDR EXE PRC */
#define ERCD_INV_FORMAT_ORDR_EXE_QTY             45336   /* 45336 - INVALID FORMAT IN FIELD ORDR EXE QTY */
#define ERCD_INV_FORMAT_ORDR_EXP_DAT             45337   /* 45337 - INVALID FORMAT IN FIELD ORDR EXP DAT */
#define ERCD_INV_FORMAT_ORDR_NO_B                45338   /* 45338 - INVALID FORMAT IN FIELD ORDR NO B */
#define ERCD_INV_FORMAT_ORDR_NO_BUY              45339   /* 45339 - INVALID FORMAT IN FIELD ORDR NO BUY */
#define ERCD_INV_FORMAT_ORDR_NO                  45340   /* 45340 - INVALID FORMAT IN FIELD ORDR NO */
#define ERCD_INV_FORMAT_ORDR_NO_S                45341   /* 45341 - INVALID FORMAT IN FIELD ORDR NO S */
#define ERCD_INV_FORMAT_ORDR_NO_SEL              45342   /* 45342 - INVALID FORMAT IN FIELD ORDR NO SEL */
#define ERCD_INV_FORMAT_ORDR_NUM_BUY_NEW         45343   /* 45343 - INVALID FORMAT IN FIELD ORDR NUM BUY NEW */
#define ERCD_INV_FORMAT_ORDR_NUM_BUY_OLD         45344   /* 45344 - INVALID FORMAT IN FIELD ORDR NUM BUY OLD */
#define ERCD_INV_FORMAT_ORDR_NUM_NEW             45345   /* 45345 - INVALID FORMAT IN FIELD ORDR NUM NEW */
#define ERCD_INV_FORMAT_ORDR_NUM_OLD             45346   /* 45346 - INVALID FORMAT IN FIELD ORDR NUM OLD */
#define ERCD_INV_FORMAT_ORDR_NUM_SEL_NEW         45347   /* 45347 - INVALID FORMAT IN FIELD ORDR NUM SEL NEW */
#define ERCD_INV_FORMAT_ORDR_NUM_SEL_OLD         45348   /* 45348 - INVALID FORMAT IN FIELD ORDR NUM SEL OLD */
#define ERCD_INV_FORMAT_ORDR_PRT_FIL_COD         45349   /* 45349 - INVALID FORMAT IN FIELD ORDR PRT FIL COD */
#define ERCD_INV_FORMAT_ORDR_QTY                 45350   /* 45350 - INVALID FORMAT IN FIELD ORDR QTY */
#define ERCD_INV_FORMAT_ORDR_RES_COD             45351   /* 45351 - INVALID FORMAT IN FIELD ORDR RES COD */
#define ERCD_INV_FORMAT_ORDR_STOP_LIM            45352   /* 45352 - INVALID FORMAT IN FIELD ORDR STOP LIM */
#define ERCD_INV_FORMAT_ORDR_TYP_COD             45353   /* 45353 - INVALID FORMAT IN FIELD ORDR TYP COD */
#define ERCD_INV_FORMAT_OTC_APP_FLG              45354   /* 45354 - INVALID FORMAT IN FIELD OTC APP FLG */
#define ERCD_INV_FORMAT_OTC_TRD_TIM              45355   /* 45355 - INVALID FORMAT IN FIELD OTC TRD TIM */
#define ERCD_INV_FORMAT_PART_NO1                 45356   /* 45356 - INVALID FORMAT IN FIELD PART NO1 */
#define ERCD_INV_FORMAT_PART_NO_APP              45357   /* 45357 - INVALID FORMAT IN FIELD PART NO APP */
#define ERCD_INV_FORMAT_PART_NO_CTPY             45358   /* 45358 - INVALID FORMAT IN FIELD PART NO CTPY */
#define ERCD_INV_FORMAT_PART_NO                  45359   /* 45359 - INVALID FORMAT IN FIELD PART NO */
#define ERCD_INV_FORMAT_PART_NO_F                45360   /* 45360 - INVALID FORMAT IN FIELD PART NO F */
#define ERCD_INV_FORMAT_PART_NO_TEXT_B           45361   /* 45361 - INVALID FORMAT IN FIELD PART NO TEXT B */
#define ERCD_INV_FORMAT_PART_NO_TEXT             45362   /* 45362 - INVALID FORMAT IN FIELD PART NO TEXT */
#define ERCD_INV_FORMAT_PART_NO_TEXT_S           45363   /* 45363 - INVALID FORMAT IN FIELD PART NO TEXT S */
#define ERCD_INV_FORMAT_PART_OS_NO_TXT_B         45364   /* 45364 - INVALID FORMAT IN FIELD PART OS NO TXT B */
#define ERCD_INV_FORMAT_PART_OS_NO_TXT           45365   /* 45365 - INVALID FORMAT IN FIELD PART OS NO TXT */
#define ERCD_INV_FORMAT_PART_OS_NO_TXT_S         45366   /* 45366 - INVALID FORMAT IN FIELD PART OS NO TXT S */
#define ERCD_INV_FORMAT_PART_OS_SUB_GRP_COD_B    45367   /* 45367 - INVALID FORMAT IN FIELD PART OS SUB GRP COD B */
#define ERCD_INV_FORMAT_PART_OS_SUB_GRP_COD      45368   /* 45368 - INVALID FORMAT IN FIELD PART OS SUB GRP COD */
#define ERCD_INV_FORMAT_PART_OS_SUB_GRP_COD_S    45369   /* 45369 - INVALID FORMAT IN FIELD PART OS SUB GRP COD S */
#define ERCD_INV_FORMAT_PART_PWD                 45370   /* 45370 - INVALID FORMAT IN FIELD PART PWD */
#define ERCD_INV_FORMAT_PART_SUB_GRP_COD1        45371   /* 45371 - INVALID FORMAT IN FIELD PART SUB GRP COD1 */
#define ERCD_INV_FORMAT_PART_SUB_GRP_COD_APP     45372   /* 45372 - INVALID FORMAT IN FIELD PART SUB GRP COD APP */
#define ERCD_INV_FORMAT_PART_SUB_GRP_COD_CTPY    45373   /* 45373 - INVALID FORMAT IN FIELD PART SUB GRP COD CTPY */
#define ERCD_INV_FORMAT_PART_SUB_GRP_COD         45374   /* 45374 - INVALID FORMAT IN FIELD PART SUB GRP COD */
#define ERCD_INV_FORMAT_PART_SUB_GRP_COD_F       45375   /* 45375 - INVALID FORMAT IN FIELD PART SUB GRP COD F */
#define ERCD_INV_FORMAT_PART_SUB_GRP_ID_COD_B    45376   /* 45376 - INVALID FORMAT IN FIELD PART SUB GRP ID COD B */
#define ERCD_INV_FORMAT_PART_SUB_GRP_ID_COD      45377   /* 45377 - INVALID FORMAT IN FIELD PART SUB GRP ID COD */
#define ERCD_INV_FORMAT_PART_SUB_GRP_ID_COD_S    45378   /* 45378 - INVALID FORMAT IN FIELD PART SUB GRP ID COD S */
#define ERCD_INV_FORMAT_PASSWORD                 45379   /* 45379 - INVALID FORMAT IN FIELD PASSWORD */
#define ERCD_INV_FORMAT_PEAK_SIZE_QTY            45380   /* 45380 - INVALID FORMAT IN FIELD PEAK SIZE QTY */
#define ERCD_INV_FORMAT_POST_TRD_ATY             45381   /* 45381 - INVALID FORMAT IN FIELD POST TRD ATY */
#define ERCD_INV_FORMAT_PRC_CURR_COD_B           45382   /* 45382 - INVALID FORMAT IN FIELD PRC CURR COD B */
#define ERCD_INV_FORMAT_PRC_CURR_COD             45383   /* 45383 - INVALID FORMAT IN FIELD PRC CURR COD */
#define ERCD_INV_FORMAT_PRC_CURR_COD_S           45384   /* 45384 - INVALID FORMAT IN FIELD PRC CURR COD S */
#define ERCD_INV_FORMAT_PRC_RSBL_CHK_FLG         45385   /* 45385 - INVALID FORMAT IN FIELD PRC RSBL CHK FLG */
#define ERCD_INV_FORMAT_PRCS_PROD_STATE          45386   /* 45386 - INVALID FORMAT IN FIELD PRCS PROD STATE */
#define ERCD_INV_FORMAT_PRCS_STS_VAL_COD         45387   /* 45387 - INVALID FORMAT IN FIELD PRCS STS VAL COD */
#define ERCD_INV_FORMAT_PRCS_TRN_COD             45388   /* 45388 - INVALID FORMAT IN FIELD PRCS TRN COD */
#define ERCD_INV_FORMAT_PRE_TRD_STRT             45389   /* 45389 - INVALID FORMAT IN FIELD PRE TRD STRT */
#define ERCD_INV_FORMAT_PRICE                    45390   /* 45390 - INVALID FORMAT IN FIELD PRICE */
#define ERCD_INV_FORMAT_PROP_IND                 45391   /* 45391 - INVALID FORMAT IN FIELD PROP IND */
#define ERCD_INV_FORMAT_PST_TRD_END              45392   /* 45392 - INVALID FORMAT IN FIELD PST TRD END */
#define ERCD_INV_FORMAT_QR_QTY                   45393   /* 45393 - INVALID FORMAT IN FIELD QR QTY */
#define ERCD_INV_FORMAT_QR_TIM                   45394   /* 45394 - INVALID FORMAT IN FIELD QR TIM */
#define ERCD_INV_FORMAT_QR_TIM_MIN               45395   /* 45395 - INVALID FORMAT IN FIELD QR TIM MIN */
#define ERCD_INV_FORMAT_QUANTITY                 45396   /* 45396 - INVALID FORMAT IN FIELD QUANTITY */
#define ERCD_INV_FORMAT_QUO_BOOK_IND             45397   /* 45397 - INVALID FORMAT IN FIELD QUO BOOK IND */
#define ERCD_INV_FORMAT_QUO_EXE_PRC_BUY          45398   /* 45398 - INVALID FORMAT IN FIELD QUO EXE PRC BUY */
#define ERCD_INV_FORMAT_QUO_EXE_PRC_SEL          45399   /* 45399 - INVALID FORMAT IN FIELD QUO EXE PRC SEL */
#define ERCD_INV_FORMAT_QUO_QTY_BUY              45400   /* 45400 - INVALID FORMAT IN FIELD QUO QTY BUY */
#define ERCD_INV_FORMAT_QUO_QTY_SEL              45401   /* 45401 - INVALID FORMAT IN FIELD QUO QTY SEL */
#define ERCD_INV_FORMAT_QUO_TIM_MAX              45402   /* 45402 - INVALID FORMAT IN FIELD QUO TIM MAX */
#define ERCD_INV_FORMAT_QUO_TIM_MIN              45403   /* 45403 - INVALID FORMAT IN FIELD QUO TIM MIN */
#define ERCD_INV_FORMAT_QUO_TRAN_TIM_BUY         45404   /* 45404 - INVALID FORMAT IN FIELD QUO TRAN TIM BUY */
#define ERCD_INV_FORMAT_QUO_TRAN_TIM_SEL         45405   /* 45405 - INVALID FORMAT IN FIELD QUO TRAN TIM SEL */
#define ERCD_INV_FORMAT_QUOT_TYP_IND             45406   /* 45406 - INVALID FORMAT IN FIELD QUOT TYP IND */
#define ERCD_INV_FORMAT_RAW_ACT_COD              45407   /* 45407 - INVALID FORMAT IN FIELD RAW ACT COD */
#define ERCD_INV_FORMAT_RAWD_MBR_CRT_SLT_COD     45408   /* 45408 - INVALID FORMAT IN FIELD RAWD MBR CRT SLT COD */
#define ERCD_INV_FORMAT_RE_TRANS_DATA            45409   /* 45409 - INVALID FORMAT IN FIELD RE TRANS DATA */
#define ERCD_INV_FORMAT_REM_PEAK_QTY             45410   /* 45410 - INVALID FORMAT IN FIELD REM PEAK QTY */
#define ERCD_INV_FORMAT_REPO_INT_AMNT            45411   /* 45411 - INVALID FORMAT IN FIELD REPO INT AMNT */
#define ERCD_INV_FORMAT_REPO_INT_RAT             45412   /* 45412 - INVALID FORMAT IN FIELD REPO INT RAT */
#define ERCD_INV_FORMAT_REPO_TYP                 45413   /* 45413 - INVALID FORMAT IN FIELD REPO TYP */
#define ERCD_INV_FORMAT_REPT_CTL_COD             45414   /* 45414 - INVALID FORMAT IN FIELD REPT CTL COD */
#define ERCD_INV_FORMAT_REPT_HIS_DAT             45415   /* 45415 - INVALID FORMAT IN FIELD REPT HIS DAT */
#define ERCD_INV_FORMAT_REPT_ID_COD              45416   /* 45416 - INVALID FORMAT IN FIELD REPT ID COD */
#define ERCD_INV_FORMAT_REPT_ID_COD_KEY          45417   /* 45417 - INVALID FORMAT IN FIELD REPT ID COD KEY */
#define ERCD_INV_FORMAT_REPT_MBR_CRT_SLT_COD     45418   /* 45418 - INVALID FORMAT IN FIELD REPT MBR CRT SLT COD */
#define ERCD_INV_FORMAT_REPT_MNLN_COD            45419   /* 45419 - INVALID FORMAT IN FIELD REPT MNLN COD */
#define ERCD_INV_FORMAT_REPT_NAM                 45420   /* 45420 - INVALID FORMAT IN FIELD REPT NAM */
#define ERCD_INV_FORMAT_REPT_PRNT_FRQ_COD        45421   /* 45421 - INVALID FORMAT IN FIELD REPT PRNT FRQ COD */
#define ERCD_INV_FORMAT_REQ_DATA_TXT             45422   /* 45422 - INVALID FORMAT IN FIELD REQ DATA TXT */
#define ERCD_INV_FORMAT_RESC_ACC_LVL_NO          45423   /* 45423 - INVALID FORMAT IN FIELD RESC ACC LVL NO */
#define ERCD_INV_FORMAT_RESERVED_1               45424   /* 45424 - INVALID FORMAT IN FIELD RESERVED_1 */
#define ERCD_INV_FORMAT_RESERVED_2               45425   /* 45425 - INVALID FORMAT IN FIELD RESERVED_2 */
#define ERCD_INV_FORMAT_RESERVED_3               45426   /* 45426 - INVALID FORMAT IN FIELD RESERVED_3 */
#define ERCD_INV_FORMAT_RESUBMIT_NO              45427   /* 45427 - INVALID FORMAT IN FIELD RESUBMIT NO */
#define ERCD_INV_FORMAT_ROND_LOT_QTY             45428   /* 45428 - INVALID FORMAT IN FIELD ROND LOT QTY */
#define ERCD_INV_FORMAT_SECU_OFFICIAL_IND        45429   /* 45429 - INVALID FORMAT IN FIELD SECU OFFICIAL IND */
#define ERCD_INV_FORMAT_SEG_OR_INST_FLG          45430   /* 45430 - INVALID FORMAT IN FIELD SEG OR INST FLG */
#define ERCD_INV_FORMAT_SERI_LST_PD_PRC          45431   /* 45431 - INVALID FORMAT IN FIELD SERI LST PD PRC */
#define ERCD_INV_FORMAT_SETL_MD                  45433   /* 45433 - INVALID FORMAT IN FIELD SETL MD */
#define ERCD_INV_FORMAT_SETL_PERIOD_FLG          45434   /* 45434 - INVALID FORMAT IN FIELD SETL PERIOD FLG */
#define ERCD_INV_FORMAT_SETL_TYP_COD             45435   /* 45435 - INVALID FORMAT IN FIELD SETL TYP COD */
#define ERCD_INV_FORMAT_SNR_IND                  45437   /* 45437 - INVALID FORMAT IN FIELD SNR IND */
#define ERCD_INV_FORMAT_SPRD_FACT                45438   /* 45438 - INVALID FORMAT IN FIELD SPRD FACT */
#define ERCD_INV_FORMAT_SPRD_FACT_LM             45439   /* 45439 - INVALID FORMAT IN FIELD SPRD FACT LM */
#define ERCD_INV_FORMAT_SPRD_MIN_QTY             45440   /* 45440 - INVALID FORMAT IN FIELD SPRD MIN QTY */
#define ERCD_INV_FORMAT_SPRD_MIN_QTY_LM          45441   /* 45441 - INVALID FORMAT IN FIELD SPRD MIN QTY LM */
#define ERCD_INV_FORMAT_SPRD_TYP_COD             45442   /* 45442 - INVALID FORMAT IN FIELD SPRD TYP COD */
#define ERCD_INV_FORMAT_SPRD_TYP_COD_LM          45443   /* 45443 - INVALID FORMAT IN FIELD SPRD TYP COD LM */
#define ERCD_INV_FORMAT_SRP_BID_ASK_IND          45444   /* 45444 - INVALID FORMAT IN FIELD SRP BID ASK IND */
#define ERCD_INV_FORMAT_SRP_QTY                  45445   /* 45445 - INVALID FORMAT IN FIELD SRP QTY */
#define ERCD_INV_FORMAT_START_STM_SEQ_NO         45446   /* 45446 - INVALID FORMAT IN FIELD START STM SEQ NO */
#define ERCD_INV_FORMAT_STL_AMNT_B               45447   /* 45447 - INVALID FORMAT IN FIELD STL AMNT B */
#define ERCD_INV_FORMAT_STL_AMNT                 45448   /* 45448 - INVALID FORMAT IN FIELD STL AMNT */
#define ERCD_INV_FORMAT_STL_AMNT_PURCH           45449   /* 45449 - INVALID FORMAT IN FIELD STL AMNT PURCH */
#define ERCD_INV_FORMAT_STL_AMNT_REPURCH         45450   /* 45450 - INVALID FORMAT IN FIELD STL AMNT REPURCH */
#define ERCD_INV_FORMAT_STL_AMNT_S               45451   /* 45451 - INVALID FORMAT IN FIELD STL AMNT S */
#define ERCD_INV_FORMAT_STL_CURR_COD_B           45452   /* 45452 - INVALID FORMAT IN FIELD STL CURR COD B */
#define ERCD_INV_FORMAT_STL_CURR_COD             45453   /* 45453 - INVALID FORMAT IN FIELD STL CURR COD */
#define ERCD_INV_FORMAT_STL_CURR_COD_S           45454   /* 45454 - INVALID FORMAT IN FIELD STL CURR COD S */
#define ERCD_INV_FORMAT_STL_CURR_EXC_RAT_B       45455   /* 45455 - INVALID FORMAT IN FIELD STL CURR EXC RAT B */
#define ERCD_INV_FORMAT_STL_CURR_EXC_RAT         45456   /* 45456 - INVALID FORMAT IN FIELD STL CURR EXC RAT */
#define ERCD_INV_FORMAT_STL_CURR_EXC_RAT_S       45457   /* 45457 - INVALID FORMAT IN FIELD STL CURR EXC RAT S */
#define ERCD_INV_FORMAT_STL_DAT_PURCH            45458   /* 45458 - INVALID FORMAT IN FIELD STL DAT PURCH */
#define ERCD_INV_FORMAT_STL_DAT_REPURCH          45459   /* 45459 - INVALID FORMAT IN FIELD STL DAT REPURCH */
#define ERCD_INV_FORMAT_STL_DATE_B               45460   /* 45460 - INVALID FORMAT IN FIELD STL DATE B */
#define ERCD_INV_FORMAT_STL_DATE                 45461   /* 45461 - INVALID FORMAT IN FIELD STL DATE */
#define ERCD_INV_FORMAT_STL_DATE_S               45462   /* 45462 - INVALID FORMAT IN FIELD STL DATE S */
#define ERCD_INV_FORMAT_STL_ID_ACT_B             45463   /* 45463 - INVALID FORMAT IN FIELD STL ID ACT B */
#define ERCD_INV_FORMAT_STL_ID_ACT               45464   /* 45464 - INVALID FORMAT IN FIELD STL ID ACT */
#define ERCD_INV_FORMAT_STL_ID_ACT_S             45465   /* 45465 - INVALID FORMAT IN FIELD STL ID ACT S */
#define ERCD_INV_FORMAT_STL_ID_LOC_B             45466   /* 45466 - INVALID FORMAT IN FIELD STL ID LOC B */
#define ERCD_INV_FORMAT_STL_ID_LOC               45467   /* 45467 - INVALID FORMAT IN FIELD STL ID LOC */
#define ERCD_INV_FORMAT_STL_ID_LOC_S             45468   /* 45468 - INVALID FORMAT IN FIELD STL ID LOC S */
#define ERCD_INV_FORMAT_STM_SEQ_NO               45470   /* 45470 - INVALID FORMAT IN FIELD STM SEQ NO */
#define ERCD_INV_FORMAT_STOP_STM_SEQ_NO          45471   /* 45471 - INVALID FORMAT IN FIELD STOP STM SEQ NO */
#define ERCD_INV_FORMAT_STRT_CONT_AU_DAY         45472   /* 45472 - INVALID FORMAT IN FIELD STRT CONT AU DAY */
#define ERCD_INV_FORMAT_SUS_IND                  45473   /* 45473 - INVALID FORMAT IN FIELD SUS IND */
#define ERCD_INV_FORMAT_TABL_EFF_DAT             45474   /* 45474 - INVALID FORMAT IN FIELD TABL EFF DAT */
#define ERCD_INV_FORMAT_TABL_LST_UPD_DAT         45475   /* 45475 - INVALID FORMAT IN FIELD TABL LST UPD DAT */
#define ERCD_INV_FORMAT_TEMP_CTRL_FILE_FLG       45476   /* 45476 - INVALID FORMAT IN FIELD TEMP CTRL FILE FLG */
#define ERCD_INV_FORMAT_TEXT_B                   45477   /* 45477 - INVALID FORMAT IN FIELD TEXT B */
#define ERCD_INV_FORMAT_TEXT                     45478   /* 45478 - INVALID FORMAT IN FIELD TEXT */
#define ERCD_INV_FORMAT_TEXT_F                   45479   /* 45479 - INVALID FORMAT IN FIELD TEXT F */
#define ERCD_INV_FORMAT_TEXT_S                   45480   /* 45480 - INVALID FORMAT IN FIELD TEXT S */
#define ERCD_INV_FORMAT_TIC_SIZE                 45481   /* 45481 - INVALID FORMAT IN FIELD TIC SIZE */
#define ERCD_INV_FORMAT_TIC_VAL                  45482   /* 45482 - INVALID FORMAT IN FIELD TIC VAL */
#define ERCD_INV_FORMAT_TIME                     45483   /* 45483 - INVALID FORMAT IN FIELD TIME */
#define ERCD_INV_FORMAT_TIMESTAMP                45484   /* 45484 - INVALID FORMAT IN FIELD TIMESTAMP */
#define ERCD_INV_FORMAT_TOT_NO_TRD_BEST          45485   /* 45485 - INVALID FORMAT IN FIELD TOT NO TRD BEST */
#define ERCD_INV_FORMAT_TRAD_BUY_SEL_COD         45486   /* 45486 - INVALID FORMAT IN FIELD TRAD BUY SEL COD */
#define ERCD_INV_FORMAT_TRAD_MTCH_PRC            45489   /* 45489 - INVALID FORMAT IN FIELD TRAD MTCH PRC */
#define ERCD_INV_FORMAT_TRAD_MTCH_QTY            45490   /* 45490 - INVALID FORMAT IN FIELD TRAD MTCH QTY */
#define ERCD_INV_FORMAT_TRAN_DAT_BUY             45491   /* 45491 - INVALID FORMAT IN FIELD TRAN DAT BUY */
#define ERCD_INV_FORMAT_TRAN_DAT                 45492   /* 45492 - INVALID FORMAT IN FIELD TRAN DAT */
#define ERCD_INV_FORMAT_TRAN_DAT_F               45493   /* 45493 - INVALID FORMAT IN FIELD TRAN DAT F */
#define ERCD_INV_FORMAT_TRAN_DAT_SEL             45494   /* 45494 - INVALID FORMAT IN FIELD TRAN DAT SEL */
#define ERCD_INV_FORMAT_TRAN_FEE_A               45495   /* 45495 - INVALID FORMAT IN FIELD TRAN FEE A */
#define ERCD_INV_FORMAT_TRAN_FEE_B               45496   /* 45496 - INVALID FORMAT IN FIELD TRAN FEE B */
#define ERCD_INV_FORMAT_TRAN_FEE_P               45497   /* 45497 - INVALID FORMAT IN FIELD TRAN FEE P */
#define ERCD_INV_FORMAT_TRAN_FEE_Q               45498   /* 45498 - INVALID FORMAT IN FIELD TRAN FEE Q */
#define ERCD_INV_FORMAT_TRAN_ID_NO_BUY           45499   /* 45499 - INVALID FORMAT IN FIELD TRAN ID NO BUY */
#define ERCD_INV_FORMAT_TRAN_ID_NO               45500   /* 45500 - INVALID FORMAT IN FIELD TRAN ID NO */
#define ERCD_INV_FORMAT_TRAN_ID_NO_F             45501   /* 45501 - INVALID FORMAT IN FIELD TRAN ID NO F */
#define ERCD_INV_FORMAT_TRAN_ID_NO_P             45502   /* 45502 - INVALID FORMAT IN FIELD TRAN ID NO P */
#define ERCD_INV_FORMAT_TRAN_ID_NO_SELL          45503   /* 45503 - INVALID FORMAT IN FIELD TRAN ID NO SELL */
#define ERCD_INV_FORMAT_TRAN_ID_SFX_NO_B         45504   /* 45504 - INVALID FORMAT IN FIELD TRAN ID SFX NO B */
#define ERCD_INV_FORMAT_TRAN_ID_SFX_NO           45505   /* 45505 - INVALID FORMAT IN FIELD TRAN ID SFX NO */
#define ERCD_INV_FORMAT_TRAN_ID_SFX_NO_F         45506   /* 45506 - INVALID FORMAT IN FIELD TRAN ID SFX NO F */
#define ERCD_INV_FORMAT_TRAN_ID_SFX_NO_P         45507   /* 45507 - INVALID FORMAT IN FIELD TRAN ID SFX NO P */
#define ERCD_INV_FORMAT_TRAN_ID_SFX_NO_S         45508   /* 45508 - INVALID FORMAT IN FIELD TRAN ID SFX NO S */
#define ERCD_INV_FORMAT_TRAN_TIM_BEG_F           45509   /* 45509 - INVALID FORMAT IN FIELD TRAN TIM BEG F */
#define ERCD_INV_FORMAT_TRAN_TIM_BUY             45510   /* 45510 - INVALID FORMAT IN FIELD TRAN TIM BUY */
#define ERCD_INV_FORMAT_TRAN_TIM                 45511   /* 45511 - INVALID FORMAT IN FIELD TRAN TIM */
#define ERCD_INV_FORMAT_TRAN_TIM_END_F           45512   /* 45512 - INVALID FORMAT IN FIELD TRAN TIM END F */
#define ERCD_INV_FORMAT_TRAN_TIM_SEL             45513   /* 45513 - INVALID FORMAT IN FIELD TRAN TIM SEL */
#define ERCD_INV_FORMAT_TRAN_TYP_COD             45514   /* 45514 - INVALID FORMAT IN FIELD TRAN TYP COD */
#define ERCD_INV_FORMAT_TRAN_TYP_COD_F           45515   /* 45515 - INVALID FORMAT IN FIELD TRAN TYP COD F */
#define ERCD_INV_FORMAT_TRD_BK_QTY_ASK           45516   /* 45516 - INVALID FORMAT IN FIELD TRD BK QTY ASK */
#define ERCD_INV_FORMAT_TRD_BK_QTY_BID           45517   /* 45517 - INVALID FORMAT IN FIELD TRD BK QTY BID */
#define ERCD_INV_FORMAT_TRD_EXC_QTY_ASK          45518   /* 45518 - INVALID FORMAT IN FIELD TRD EXC QTY ASK */
#define ERCD_INV_FORMAT_TRD_EXC_QTY_BID          45519   /* 45519 - INVALID FORMAT IN FIELD TRD EXC QTY BID */
#define ERCD_INV_FORMAT_TRD_LNK                  45520   /* 45520 - INVALID FORMAT IN FIELD TRD LNK */
#define ERCD_INV_FORMAT_TRD_MDL_TYP_COD          45521   /* 45521 - INVALID FORMAT IN FIELD TRD MDL TYP COD */
#define ERCD_INV_FORMAT_TRD_PRC_BEST             45522   /* 45522 - INVALID FORMAT IN FIELD TRD PRC BEST */
#define ERCD_INV_FORMAT_TRD_QTY_BEST             45523   /* 45523 - INVALID FORMAT IN FIELD TRD QTY BEST */
#define ERCD_INV_FORMAT_TRD_QTY                  45524   /* 45524 - INVALID FORMAT IN FIELD TRD QTY */
#define ERCD_INV_FORMAT_TRD_RES_TYP_COD          45525   /* 45525 - INVALID FORMAT IN FIELD TRD RES TYP COD */
#define ERCD_INV_FORMAT_TRD_REV_IND_F            45526   /* 45526 - INVALID FORMAT IN FIELD TRD REV IND F */
#define ERCD_INV_FORMAT_TRD_REV_IND_FILT         45527   /* 45527 - INVALID FORMAT IN FIELD TRD REV IND FILT */
#define ERCD_INV_FORMAT_TRD_SCH_DEF_FLG          45528   /* 45528 - INVALID FORMAT IN FIELD TRD SCH DEF FLG */
#define ERCD_INV_FORMAT_TRD_TIM_BEST             45529   /* 45529 - INVALID FORMAT IN FIELD TRD TIM BEST */
#define ERCD_INV_FORMAT_TRD_TIM                  45530   /* 45530 - INVALID FORMAT IN FIELD TRD TIM */
#define ERCD_INV_FORMAT_TRD_TYP                  45531   /* 45531 - INVALID FORMAT IN FIELD TRD TYP */
#define ERCD_INV_FORMAT_TRD_TYP_F                45532   /* 45532 - INVALID FORMAT IN FIELD TRD TYP F */
#define ERCD_INV_FORMAT_TRDR_NAM                 45533   /* 45533 - INVALID FORMAT IN FIELD TRDR NAM */
#define ERCD_INV_FORMAT_TRDR_STS_COD             45534   /* 45534 - INVALID FORMAT IN FIELD TRDR STS COD */
#define ERCD_INV_FORMAT_TRN_TYP_ID               45535   /* 45535 - INVALID FORMAT IN FIELD TRN TYP ID */
#define ERCD_INV_FORMAT_TXN_COD                  45536   /* 45536 - INVALID FORMAT IN FIELD TXN COD */
#define ERCD_INV_FORMAT_UNT_OF_QOTN              45537   /* 45537 - INVALID FORMAT IN FIELD UNT OF QOTN */
#define ERCD_INV_FORMAT_USER_CLASS_IND           45538   /* 45538 - INVALID FORMAT IN FIELD USER CLASS IND */
#define ERCD_INV_FORMAT_USER_ORD_NUM_B           45539   /* 45539 - INVALID FORMAT IN FIELD USER ORD NUM B */
#define ERCD_INV_FORMAT_USER_ORD_NUM             45540   /* 45540 - INVALID FORMAT IN FIELD USER ORD NUM */
#define ERCD_INV_FORMAT_USER_ORD_NUM_F           45541   /* 45541 - INVALID FORMAT IN FIELD USER ORD NUM F */
#define ERCD_INV_FORMAT_USER_ORD_NUM_S           45542   /* 45542 - INVALID FORMAT IN FIELD USER ORD NUM S */
#define ERCD_INV_FORMAT_VAL_PRC                  45543   /* 45543 - INVALID FORMAT IN FIELD VAL PRC */
#define ERCD_INV_FORMAT_VI_DURN                  45544   /* 45544 - INVALID FORMAT IN FIELD VI DURN */
#define ERCD_INV_FORMAT_VOL_IND                  45545   /* 45545 - INVALID FORMAT IN FIELD VOL IND */
#define ERCD_INV_FORMAT_VOL_PRC_RNG_FMT          45546   /* 45546 - INVALID FORMAT IN FIELD VOL PRC RNG FMT */
#define ERCD_INV_FORMAT_VOLUME                   45547   /* 45547 - INVALID FORMAT IN FIELD VOLUME */
#define ERCD_INV_FORMAT_WAR_CAT                  45548   /* 45548 - INVALID FORMAT IN FIELD WAR CAT */
#define ERCD_INV_FORMAT_WAR_STR_PRC              45549   /* 45549 - INVALID FORMAT IN FIELD WAR STR PRC */
#define ERCD_INV_FORMAT_WAR_TYP                  45552   /* 45552 - INVALID FORMAT IN FIELD WAR TYP */
#define ERCD_INV_FORMAT_WAR_UND                  45553   /* 45553 - INVALID FORMAT IN FIELD WAR UND */
#define ERCD_INV_FORMAT_WHL_MKT_OBB_DURN         45554   /* 45554 - INVALID FORMAT IN FIELD WHL MKT OBB DURN */
#define ERCD_INV_FORMAT_WKN_NO                   45555   /* 45555 - INVALID FORMAT IN FIELD WKN NO */
#define ERCD_INV_FORMAT_XETRA_ISIN_SUBJECT       45556   /* 45556 - INVALID FORMAT IN FIELD XETRA ISIN SUBJECT */
#define ERCD_INV_FORMAT_XETRA_ISSR_MNEM          45557   /* 45557 - INVALID FORMAT IN FIELD XETRA ISSR MNEM */
#define ERCD_INV_FORMAT_MLI_ORDR_DATA_CTR        45574   /* 45574 - INVALID FORMAT IN FIELD MLI ORDR DATA CTR */
#define ERCD_INV_FORMAT_MEMB_CCP_CLG_ID_COD      45575   /* 45575 - INVALID FORMAT IN FIELD MEMB CCP CLG ID COD */
#define ERCD_INV_FORMAT_MEMB_CCP_CLG_ID_COD_B    45576   /* 45576 - INVALID FORMAT IN FIELD MEMB CCP CLG ID COD B */
#define ERCD_INV_FORMAT_MEMB_CCP_CLG_ID_COD_S    45577   /* 45577 - INVALID FORMAT IN FIELD MEMB CCP CLG ID COD S */
#define ERCD_INV_FORMAT_MEMB_CCP_FLG             45578   /* 45578 - INVALID FORMAT IN FIELD MEMB CCP FLG */
#define ERCD_INV_FORMAT_MEMB_CLG_FLG             45579   /* 45579 - INVALID FORMAT IN FIELD MEMB CLG FLG */
#define ERCD_INV_FORMAT_MEMB_TRD_FLG             45580   /* 45580 - INVALID FORMAT IN FIELD MEMB TRD FLG */
#define ERCD_INV_FORMAT_BON_YLD_TRD_IND          45581   /* 45581 - INVALID FORMAT IN FIELD BON YLD TRD IND */
#define ERCD_INV_FORMAT_BON_YLD_TRD_YLD_CLC_MD   45582   /* 45582 - INVALID FORMAT IN FIELD BON YLD TRD YLD CLC MD */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD_OBO_MS   45583   /* 45583 - INVALID FORMAT IN FIELD MEMB IST ID COD OBO MS */
#define ERCD_INV_FORMAT_MLI_REC_CTR              45585   /* 45585 - INVALID FORMAT IN FIELD MLI REC CTR */
#define ERCD_INV_FORMAT_ENGY_BID_PRC             45588   /* 45588 - INVALID FORMAT IN FIELD ENGY BID PRC */
#define ERCD_INV_FORMAT_ENGY_BID_QTY             45589   /* 45589 - INVALID FORMAT IN FIELD ENGY BID QTY */
#define ERCD_INV_FORMAT_ORDR_STS_COD             45590   /* 45590 - INVALID FORMAT IN FIELD ORDR STS COD */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD_OBO_MS   45591   /* 45591 - INVALID FORMAT IN FIELD MEMB BRN ID COD OBO MS */
#define ERCD_INV_FORMAT_ENGY_BID_TYP_COD         45597   /* 45597 - INVALID FORMAT IN FIELD ENGY BID TYP COD */
#define ERCD_INV_FORMAT_HOME_MKT                 45598   /* 45598 - INVALID FORMAT IN FIELD HOME MKT */
#define ERCD_INV_FORMAT_ENGY_AUCT_ACTN_COD       45599   /* 45599 - INVALID FORMAT IN FIELD ENGY AUCT ACTN COD */
#define ERCD_INV_FORMAT_ENGY_AUCT_STS_COD        45600   /* 45600 - INVALID FORMAT IN FIELD ENGY AUCT STS COD */
#define ERCD_INV_FORMAT_AUCT_VOL                 45601   /* 45601 - INVALID FORMAT IN FIELD AUCT VOL */
#define ERCD_INV_FORMAT_AUCT_SRP_VOL             45602   /* 45602 - INVALID FORMAT IN FIELD AUCT SRP VOL */
#define ERCD_INV_FORMAT_ENGY_HRLY_BID_VOL        45603   /* 45603 - INVALID FORMAT IN FIELD ENGY HRLY BID VOL */
#define ERCD_INV_FORMAT_ENGY_BLC_BID_VOL         45604   /* 45604 - INVALID FORMAT IN FIELD ENGY BLC BID VOL */
#define ERCD_INV_FORMAT_CURR_MAX_BLC_BID_NUM     45605   /* 45605 - INVALID FORMAT IN FIELD CURR MAX BLC BID NUM */
#define ERCD_INV_FORMAT_CURR_MAX_BLC_BID_QTY     45606   /* 45606 - INVALID FORMAT IN FIELD CURR MAX BLC BID QTY */
#define ERCD_INV_FORMAT_CURR_MAX_PRC_STEP_NUM    45607   /* 45607 - INVALID FORMAT IN FIELD CURR MAX PRC STEP NUM */
#define ERCD_INV_FORMAT_TRAD_MTCH_PRC_FROM_F     45633   /* 45633 - INVALID FORMAT IN FIELD TRAD MTCH PRC FROM F */
#define ERCD_INV_FORMAT_TRAD_MTCH_PRC_TO_F       45634   /* 45634 - INVALID FORMAT IN FIELD TRAD MTCH PRC TO F */
#define ERCD_INV_FORMAT_MIN_ORDR_SIZ             45635   /* 45635 - INVALID FORMAT IN FIELD MIN ORDR SIZ */
#define ERCD_INV_FORMAT_OTC_PRC_RNG              45647   /* 45647 - INVALID FORMAT IN FIELD OTC PRC RNG */
#define ERCD_INV_FORMAT_QUO_DEL_IND              45648   /* 45648 - INVALID FORMAT IN FIELD QUO DEL IND */
#define ERCD_INV_FORMAT_HRT_BEAT_INTVL_SEC       45649   /* 45649 - INVALID FORMAT IN FIELD HRT BEAT INTVL SEC */
#define ERCD_INV_FORMAT_STM_GRP_COD              45653   /* 45653 - INVALID FORMAT IN FIELD STM GRP COD */
#define ERCD_INV_FORMAT_ORDR_BK_MKT_DPTH         45654   /* 45654 - INVALID FORMAT IN FIELD ORDR BK MKT DPTH */
#define ERCD_INV_FORMAT_BIC_ENT_NO               45656   /* 45656 - INVALID FORMAT IN FIELD BIC ENT NO */
#define ERCD_INV_FORMAT_BLK_TRD_DELY_IND         45657   /* 45657 - INVALID FORMAT IN FIELD BLK TRD DELY IND */
#define ERCD_INV_FORMAT_EXEC_VENU_ID             45658   /* 45658 - INVALID FORMAT IN FIELD EXEC VENU ID */
#define ERCD_INV_FORMAT_OTC_TRD_FLG1             45659   /* 45659 - INVALID FORMAT IN FIELD OTC TRD FLG1 */
#define ERCD_INV_FORMAT_OTC_TRD_FLG2             45660   /* 45660 - INVALID FORMAT IN FIELD OTC TRD FLG2 */
#define ERCD_INV_FORMAT_OTC_TRD_FLG3             45661   /* 45661 - INVALID FORMAT IN FIELD OTC TRD FLG3 */
#define ERCD_INV_FORMAT_PRC_ALRT_COD             45662   /* 45662 - INVALID FORMAT IN FIELD PRC ALRT COD */
#define ERCD_INV_FORMAT_PRC_ALT_MKT_IND          45663   /* 45663 - INVALID FORMAT IN FIELD PRC ALT MKT IND */
#define ERCD_INV_FORMAT_PRC_NEGO_IND             45664   /* 45664 - INVALID FORMAT IN FIELD PRC NEGO IND */
#define ERCD_INV_FORMAT_QTY_ALRT_COD             45666   /* 45666 - INVALID FORMAT IN FIELD QTY ALRT COD */
#define ERCD_INV_FORMAT_TRD_PTFLO_IND            45668   /* 45668 - INVALID FORMAT IN FIELD TRD PTFLO IND */
#define ERCD_INV_FORMAT_UTC_TIM_DIFF             45670   /* 45670 - INVALID FORMAT IN FIELD UTC TIM DIFF */
#define ERCD_INV_FORMAT_DEF_BEST_RTNG_IND        45672   /* 45672 - INVALID FORMAT IN FIELD DEF BEST RTNG IND */
#define ERCD_INV_FORMAT_AMND_CONF_IND            45673   /* 45673 - INVALID FORMAT IN FIELD AMND CONF IND */
#define ERCD_INV_FORMAT_BOOK_IND                 45674   /* 45674 - INVALID FORMAT IN FIELD BOOK IND */
#define ERCD_INV_FORMAT_TRD_OTC_RPT_IND          45675   /* 45675 - INVALID FORMAT IN FIELD TRD OTC RPT IND */
#define ERCD_INV_FORMAT_TRD_OTC_SETL_IND         45676   /* 45676 - INVALID FORMAT IN FIELD TRD OTC SETL IND */
#define ERCD_INV_FORMAT_TRD_RPT_STS              45677   /* 45677 - INVALID FORMAT IN FIELD TRD RPT STS */
#define ERCD_INV_FORMAT_RTN_COD                  45678   /* 45678 - INVALID FORMAT IN FIELD RTN COD */
#define ERCD_INV_FORMAT_FILT_LCK_STK_IND         45691   /* 45691 - INVALID FORMAT IN FIELD FILT LCK STK IND */
#define ERCD_INV_FORMAT_INSTR_SET_ID             45692   /* 45692 - INVALID FORMAT IN FIELD INSTR SET ID */
#define ERCD_INV_FORMAT_MKT_RST_IND              45693   /* 45693 - INVALID FORMAT IN FIELD MKT RST IND */
#define ERCD_INV_FORMAT_POT_EXEC_QTY             45694   /* 45694 - INVALID FORMAT IN FIELD POT EXEC QTY */
#define ERCD_INV_FORMAT_KNOCK_OUT_IND            45695   /* 45695 - INVALID FORMAT IN FIELD KNOCK OUT IND */
#define ERCD_INV_FORMAT_DEL_ORD_FLG              45696   /* 45696 - INVALID FORMAT IN FIELD DEL ORD FLG */
#define ERCD_INV_FORMAT_MLI_REC_CTR_X            45697   /* 45697 - INVALID FORMAT IN FIELD MLI REC CTR X */
#define ERCD_INV_FORMAT_FILT_SPEC_IND            45698   /* 45698 - INVALID FORMAT IN FIELD FILT SPEC IND */
#define ERCD_INV_FORMAT_MEMB_BRN_ID_COD_OBO      45699   /* 45699 - INVALID FORMAT IN FIELD MEMB BRN ID COD OBO */
#define ERCD_INV_FORMAT_MEMB_IST_ID_COD_OBO      45700   /* 45700 - INVALID FORMAT IN FIELD MEMB IST ID COD OBO */
#define ERCD_INV_FORMAT_SPEC_MEMB_ID             45702   /* 45702 - INVALID FORMAT IN FIELD SPEC MEMB ID */
#define ERCD_INV_FORMAT_SPEC_SUB_GRP             45703   /* 45703 - INVALID FORMAT IN FIELD SPEC SUB GRP */
#define ERCD_INV_FORMAT_WAR_SEG                  45704   /* 45704 - INVALID FORMAT IN FIELD WAR SEG */
#define ERCD_INV_FORMAT_STAT_CHG_TYP             45705   /* 45705 - INVALID FORMAT IN FIELD STAT CHG TYP */
#define ERCD_INV_FORMAT_EXCH_CTRL_SEG_FLG        45707   /* 45707 - INVALID FORMAT IN FIELD EXCH CTRL SEG FLG */
#define ERCD_INV_FORMAT_MAS_QUO_STS              45708   /* 45708 - INVALID FORMAT IN FIELD MAS QUO STS */
#define ERCD_INV_FORMAT_LNK_ORDR_NO              45709   /* 45709 - INVALID FORMAT IN FIELD LNK ORDR NO */
#define ERCD_INV_FORMAT_STAT_CHG_CLAS            45710   /* 45710 - INVALID FORMAT IN FIELD STAT CHG CLAS */
#define ERCD_INV_FORMAT_MEMB_OWN_ID_COD          45711   /* 45711 - INVALID FORMAT IN FIELD MEMB OWN ID COD */
#define ERCD_INV_FORMAT_PART_NO_TEXT_OWN         45712   /* 45712 - INVALID FORMAT IN FIELD PART NO TEXT OWN */
#define ERCD_INV_FORMAT_PART_SUB_GRP_COD_OWN     45713   /* 45713 - INVALID FORMAT IN FIELD PART SUB GRP COD OWN */
#define ERCD_INV_FORMAT_SPEC_PART_NO_TEXT        45714   /* 45714 - INVALID FORMAT IN FIELD SPEC PART NO TEXT */
#define ERCD_INV_FORMAT_PART_SUB_GRP_COD_OBO_MS  45715   /* 45715 - INVALID FORMAT IN FIELD PART SUB GRP COD OBO MS */
#define ERCD_INV_FORMAT_DEL_NON_PERS_ORDR_IND    45719   /* 45719 - INVALID FORMAT IN FIELD DEL NON PERS ORDR IND */
#define ERCD_INV_FORMAT_DEL_PERS_ORDR_IND        45720   /* 45720 - INVALID FORMAT IN FIELD DEL PERS ORDR IND */
#define ERCD_INV_FORMAT_DEL_QUO_IND              45721   /* 45721 - INVALID FORMAT IN FIELD DEL QUO IND */
#define ERCD_INV_FORMAT_CLI_ORDR_ID              45733   /* 45733 - INVALID FORMAT IN FIELD CLI ORDR ID */
#define ERCD_INV_FORMAT_ORDR_PERS_IND            45735   /* 45735 - INVALID FORMAT IN FIELD ORDR PERS IND */
#define ERCD_INV_FORMAT_ORDR_CRE_DAT             45737   /* 45737 - INVALID FORMAT IN FIELD ORDR CRE DAT */
#define ERCD_INV_FORMAT_ORDR_CRE_TIM             45738   /* 45738 - INVALID FORMAT IN FIELD ORDR CRE TIM */
#define ERCD_INV_FORMAT_ORDR_TOT_EXE_QTY         45746   /* 45746 - INVALID FORMAT IN FIELD ORDR TOT EXE QTY */
#define ERCD_INV_FORMAT_LST_EVNT_TRN_IND         45756   /* 45756 - INVALID FORMAT IN FIELD LST EVNT TRN IND */
#define ERCD_INV_FORMAT_ETS_SES_ID               45764   /* 45764 - INVALID FORMAT IN FIELD ETS SES ID */
#define ERCD_INV_FORMAT_ORDR_VOL_DISC_PRC        45766   /* 45766 - INVALID FORMAT IN FIELD ORDR VOL DISC PRC */
#define ERCD_INV_FORMAT_HIDD_ORDR_IND            45771   /* 45771 - INVALID FORMAT IN FIELD HIDD ORDR IND */
#define ERCD_INV_FORMAT_MIN_HIDD_ORDR_VAL        45772   /* 45772 - INVALID FORMAT IN FIELD MIN HIDD ORDR VAL */
#define ERCD_INV_FORMAT_MIN_ACC_QTY              45773   /* 45773 - INVALID FORMAT IN FIELD MIN ACC QTY */
#define ERCD_INV_FORMAT_PRCS_SYS_TRN_COD         45774   /* 45774 - INVALID FORMAT IN FIELD PRCS SYS TRN COD */
#define ERCD_INV_FORMAT_ORDR_PRIO_TIM            45775   /* 45775 - INVALID FORMAT IN FIELD ORDR PRIO TIM */
#define ERCD_INV_FORMAT_ORDR_PRIO_DAT            45776   /* 45776 - INVALID FORMAT IN FIELD ORDR PRIO DAT */
#define ERCD_INV_FORMAT_MTCH_RNG_BID_QTY         45777   /* 45777 - INVALID FORMAT IN FIELD MTCH RNG BID QTY */
#define ERCD_INV_FORMAT_MTCH_RNG_ASK_QTY         45778   /* 45778 - INVALID FORMAT IN FIELD MTCH RNG ASK QTY */
#define ERCD_INV_FORMAT_MSG_ID_NO                45779   /* 45779 - INVALID FORMAT IN FIELD MSG ID NO */
#define ERCD_INV_FORMAT_SKIP_EXPD_INST_IND       45782   /* 45782 - INVALID FORMAT IN FIELD SKIP EXPD INST IND */
#define ERCD_INV_FORMAT_STL_CTRY                 45783   /* 45783 - INVALID FORMAT IN FIELD STL CTRY */
#define ERCD_INV_FORMAT_QUO_EXE_PRC              45784   /* 45784 - INVALID FORMAT IN FIELD QUO EXE PRC */
#define ERCD_INV_FORMAT_NEW_QUO_EXE_PRC          45785   /* 45785 - INVALID FORMAT IN FIELD NEW QUO EXE PRC */
#define ERCD_INV_FORMAT_DISS_VALU_PRC_IND        45786   /* 45786 - INVALID FORMAT IN FIELD DISS VALU PRC IND */
#define ERCD_INV_FORMAT_ISIX_COD                 45787   /* 45787 - INVALID FORMAT IN FIELD ISIX COD */
#define ERCD_INV_FORMAT_BON_INT_PMT_DAT_TYP      45795   /* 45795 - INVALID FORMAT IN FIELD BON INT PMT DAT TYP */
#define ERCD_INV_FORMAT_BON_CPN_PER_DAT_FROM     45796   /* 45796 - INVALID FORMAT IN FIELD BON CPN PER DAT FROM */
#define ERCD_INV_FORMAT_BON_CPN_PER_DAT_TO       45797   /* 45797 - INVALID FORMAT IN FIELD BON CPN PER DAT TO */
#define ERCD_INV_FORMAT_BON_VAR_INT_RAT          45798   /* 45798 - INVALID FORMAT IN FIELD BON VAR INT RAT */
#define ERCD_INV_FORMAT_BON_VAR_INT_RAT_DAT      45799   /* 45799 - INVALID FORMAT IN FIELD BON VAR INT RAT DAT */
#define ERCD_INV_FORMAT_BON_POOL_FCT             45800   /* 45800 - INVALID FORMAT IN FIELD BON POOL FCT */
#define ERCD_INV_FORMAT_BON_POOL_FCT_DAT_FROM    45801   /* 45801 - INVALID FORMAT IN FIELD BON POOL FCT DAT FROM */
#define ERCD_INV_FORMAT_BON_POOL_FCT_DAT_TO      45802   /* 45802 - INVALID FORMAT IN FIELD BON POOL FCT DAT TO */
#define ERCD_INV_FORMAT_BON_INT_RAT_VAL_DAT      45803   /* 45803 - INVALID FORMAT IN FIELD BON INT RAT VAL DAT */
#define ERCD_INV_FORMAT_BON_VAR_CPN_PER_FLG      45804   /* 45804 - INVALID FORMAT IN FIELD BON VAR CPN PER FLG */
#define ERCD_INV_FORMAT_BON_VAR_CPN_FLG          45805   /* 45805 - INVALID FORMAT IN FIELD BON VAR CPN FLG */
#define ERCD_INV_FORMAT_BON_POOL_FCT_FLG         45806   /* 45806 - INVALID FORMAT IN FIELD BON POOL FCT FLG */
#define ERCD_INV_FORMAT_CURR_ACC_LVL_NO          45807   /* 45807 - INVALID FORMAT IN FIELD CURR ACC LVL NO */
#define ERCD_INV_FORMAT_BON_FLAT_IND             45808   /* 45808 - INVALID FORMAT IN FIELD BON FLAT IND */
#define ERCD_INV_FORMAT_ISSUE_DAT                45809   /* 45809 - INVALID FORMAT IN FIELD ISSUE DAT */
#define ERCD_INV_FORMAT_EXT_REF_EXCH_ID_COD      45810   /* 45810 - INVALID FORMAT IN FIELD EXT REF EXCH ID COD */
#define ERCD_INV_FORMAT_PRC_BARR_IND             45811   /* 45811 - INVALID FORMAT IN FIELD PRC BARR IND */
#define ERCD_INV_FORMAT_PRC_BARR_RNG             45812   /* 45812 - INVALID FORMAT IN FIELD PRC BARR RNG */
#define ERCD_INV_FORMAT_PRC_MOV_BARR             45813   /* 45813 - INVALID FORMAT IN FIELD PRC MOV BARR */
#define ERCD_INV_FORMAT_EXCH_MIC_ID              45814   /* 45814 - INVALID FORMAT IN FIELD EXCH MIC ID */
#define ERCD_INV_FORMAT_CR_QTY                   45816   /* 45816 - INVALID FORMAT IN FIELD CR QTY */
#define ERCD_INV_FORMAT_PRIM_EXCH_MIC_ID         45817   /* 45817 - INVALID FORMAT IN FIELD PRIM EXCH MIC ID */
#define ERCD_INV_FORMAT_PRIM_EXCH_X_ID           45818   /* 45818 - INVALID FORMAT IN FIELD PRIM EXCH X ID */
#define ERCD_INV_FORMAT_EXCH_ACC_LVL_NO          45819   /* 45819 - INVALID FORMAT IN FIELD EXCH ACC LVL NO */
#define ERCD_INV_FORMAT_EXCH_SEG_COD             45822   /* 45822 - INVALID FORMAT IN FIELD EXCH SEG COD */
#define ERCD_INV_FORMAT_ORDR_STRK_EXEC_PRC       45824   /* 45824 - INVALID FORMAT IN FIELD ORDR STRK EXEC PRC */
#define ERCD_INV_FORMAT_MEMB_STOP_RLSE_IND       45825   /* 45825 - INVALID FORMAT IN FIELD MEMB STOP RLSE IND */
#define ERCD_INV_FORMAT_CAL_NAM                  45834   /* 45834 - INVALID FORMAT IN FIELD CAL NAM */
#define ERCD_INV_FORMAT_HOL_DAT                  45835   /* 45835 - INVALID FORMAT IN FIELD HOL DAT */
#define ERCD_INV_FORMAT_HOL_DAT_NAM              45836   /* 45836 - INVALID FORMAT IN FIELD HOL DAT NAM */
#define ERCD_INV_FORMAT_MSG_TXT                  45845   /* 45845 - INVALID FORMAT IN FIELD MSG TXT */
#define ERCD_INV_FORMAT_CAL_TYP                  45846   /* 45846 - INVALID FORMAT IN FIELD CAL TYP */
#define ERCD_INV_FORMAT_CR_TIM                   45847   /* 45847 - INVALID FORMAT IN FIELD CR TIM */
#define ERCD_INV_FORMAT_TRAD_CAL_NAM             45852   /* 45852 - INVALID FORMAT IN FIELD TRAD CAL NAM */
#define ERCD_INV_FORMAT_STL_CAL_NAM              45853   /* 45853 - INVALID FORMAT IN FIELD STL CAL NAM */
#define ERCD_INV_FORMAT_REF_MKT                  45855   /* 45855 - INVALID FORMAT IN FIELD REF MKT */
#define ERCD_INV_FORMAT_ENAB_EXT_MKT_REF_MIDP    45856   /* 45856 - INVALID FORMAT IN FIELD ENAB EXT MKT REF MIDP */
#define ERCD_INV_FORMAT_ENAB_EXT_MKT_REF_VOLA    45857   /* 45857 - INVALID FORMAT IN FIELD ENAB EXT MKT REF VOLA */
#define ERCD_INV_FORMAT_CM_STOP_AUTH_IND         45860   /* 45860 - INVALID FORMAT IN FIELD CM STOP AUTH IND */
#define ERCD_INV_FORMAT_IN_SUBSCR_IND            45861   /* 45861 - INVALID FORMAT IN FIELD IN SUBSCR IND */
#define ERCD_INV_FORMAT_RPT_MIC                  45862   /* 45862 - INVALID FORMAT IN FIELD RPT MIC */
#define ERCD_INV_FORMAT_AUTO_REV_FLG             45863   /* 45863 - INVALID FORMAT IN FIELD AUTO REV FLG */
#define ERCD_INV_FORMAT_MAX_TRD_AMNT             45864   /* 45864 - INVALID FORMAT IN FIELD MAX TRD AMNT */
#define ERCD_INV_FORMAT_MEMB_APP_ID_COD          45865   /* 45865 - INVALID FORMAT IN FIELD MEMB APP ID COD */
#define ERCD_INV_FORMAT_DEF_OTC_ACCT             45866   /* 45866 - INVALID FORMAT IN FIELD DEF OTC ACCT */
#define ERCD_INV_FORMAT_MEMB_OTC_CTPY_COD        45867   /* 45867 - INVALID FORMAT IN FIELD MEMB OTC CTPY COD */
#define ERCD_INV_FORMAT_DISS_Q_R_OWNER           45868   /* 45868 - INVALID FORMAT IN FIELD DISS Q R OWNER */
#define ERCD_INV_FORMAT_SPEC_AUCT_IND            45869   /* 45869 - INVALID FORMAT IN FIELD SPEC AUCT IND */
#define ERCD_INV_FORMAT_TOP_VOL_THRES            45870   /* 45870 - INVALID FORMAT IN FIELD TOP VOL THRES */
#define ERCD_INV_FORMAT_BIL_AGG_IND              45871   /* 45871 - INVALID FORMAT IN FIELD BIL AGG IND */
#define ERCD_INV_FORMAT_ADD_COST                 45872   /* 45872 - INVALID FORMAT IN FIELD ADD COST */
#define ERCD_INV_FORMAT_MEMB_BIL_AGG_IND_P       45873   /* 45873 - INVALID FORMAT IN FIELD MEMB BIL AGG IND P */
#define ERCD_INV_FORMAT_SINGLE_AUCT_IND          45876   /* 45876 - INVALID FORMAT IN FIELD SINGLE AUCT IND */
#define ERCD_INV_FORMAT_MEMB_BIL_AGG_IND_A       45877   /* 45877 - INVALID FORMAT IN FIELD MEMB BIL AGG IND A */
#define ERCD_INV_FORMAT_NO_CCP_IND               45878   /* 45878 - INVALID FORMAT IN FIELD NO CCP IND */
#define ERCD_INV_FORMAT_SUBMITTER_ID_COD         45879   /* 45879 - INVALID FORMAT IN FIELD SUBMITTER ID COD */
#define ERCD_INV_FORMAT_PRC_TYP                  45882   /* 45882 - INVALID FORMAT IN FIELD PRC TYP */
#define ERCD_INV_FORMAT_ON_EX_OFF_O_B_FLAG       45883   /* 45883 - INVALID FORMAT IN FIELD ON EX OFF O B FLAG */
#define ERCD_INV_FORMAT_CAL_LNG_NAM              45884   /* 45884 - INVALID FORMAT IN FIELD CAL LNG NAM */
#define ERCD_INV_FORMAT_COMPLIANCE_ID            45885   /* 45885 - INVALID FORMAT IN FIELD COMPLIANCE ID */
#define ERCD_INV_FORMAT_MKT_MKR_PROT_FLG         45886   /* 45886 - INVALID FORMAT IN FIELD MKT MKR PROT FLG */
#define ERCD_INV_FORMAT_VOL_LIM                  45887   /* 45887 - INVALID FORMAT IN FIELD VOL LIM */
#define ERCD_INV_FORMAT_DELTA_VOL_LIM            45888   /* 45888 - INVALID FORMAT IN FIELD DELTA VOL LIM */
#define ERCD_INV_FORMAT_QTY_LIM                  45889   /* 45889 - INVALID FORMAT IN FIELD QTY LIM */
#define ERCD_INV_FORMAT_DELTA_QTY_LIM            45890   /* 45890 - INVALID FORMAT IN FIELD DELTA QTY LIM */
#define ERCD_INV_FORMAT_PRCT_VOL_LIM             45891   /* 45891 - INVALID FORMAT IN FIELD PRCT VOL LIM */
#define ERCD_INV_FORMAT_PRCT_QTY_LIM             45892   /* 45892 - INVALID FORMAT IN FIELD PRCT QTY LIM */
#define ERCD_INV_FORMAT_TIM_INTVL_SEC            45894   /* 45894 - INVALID FORMAT IN FIELD TIM INTVL SEC */
#define ERCD_INV_FORMAT_NO_EXEC_LIM              45895   /* 45895 - INVALID FORMAT IN FIELD NO EXEC LIM */
#define ERCD_INV_FORMAT_MA_TRD_IND               45906   /* 45906 - INVALID FORMAT IN FIELD MA TRD IND */
#define ERCD_INV_FORMAT_LI_TRD_IND               45907   /* 45907 - INVALID FORMAT IN FIELD LI TRD IND */
#define ERCD_INV_FORMAT_MA_DURN                  45908   /* 45908 - INVALID FORMAT IN FIELD MA DURN */
#define ERCD_INV_FORMAT_LI_DURN                  45909   /* 45909 - INVALID FORMAT IN FIELD LI DURN */
#define ERCD_INV_FORMAT_MA_RND_END               45910   /* 45910 - INVALID FORMAT IN FIELD MA RND END */
#define ERCD_INV_FORMAT_LI_RND_END               45911   /* 45911 - INVALID FORMAT IN FIELD LI RND END */
#define ERCD_INV_FORMAT_TRD_RSK_LIM_ACT_FLG      45912   /* 45912 - INVALID FORMAT IN FIELD TRD RSK LIM ACT FLG */
#define ERCD_INV_FORMAT_CALC_METHOD              45913   /* 45913 - INVALID FORMAT IN FIELD CALC METHOD */
#define ERCD_INV_FORMAT_WARN_LIM                 45914   /* 45914 - INVALID FORMAT IN FIELD WARN LIM */
#define ERCD_INV_FORMAT_HALT_LIM                 45915   /* 45915 - INVALID FORMAT IN FIELD HALT LIM */
#define ERCD_INV_FORMAT_CURR_VOL                 45916   /* 45916 - INVALID FORMAT IN FIELD CURR VOL */
#define ERCD_INV_FORMAT_FIX_CL_ORD_ID            45917   /* 45917 - INVALID FORMAT IN FIELD FIX CL ORD ID */
#define ERCD_INV_FORMAT_TOP_PLUS_VOL_THRES       45921   /* 45921 - INVALID FORMAT IN FIELD TOP PLUS VOL THRES */
#define ERCD_INV_FORMAT_STL_INT_IND              45922   /* 45922 - INVALID FORMAT IN FIELD STL INT IND */
#define ERCD_INV_FORMAT_MATCH_INST_CROSS_ID      45923   /* 45923 - INVALID FORMAT IN FIELD MATCH INST CROSS ID */
#define ERCD_INV_FORMAT_MATCH_INST_CROSS_ID_IND  45924   /* 45924 - INVALID FORMAT IN FIELD MATCH INST CROSS ID IND */
#define ERCD_INV_FORMAT_MATCH_INST_CROSS_ID_FLG  45925   /* 45925 - INVALID FORMAT IN FIELD MATCH INST CROSS ID FLG */
#define ERCD_INV_FORMAT_QUOTE_ID                 45926   /* 45926 - INVALID FORMAT IN FIELD QUOTE ID */
#define ERCD_INV_FORMAT_VDO_MIN_EXEC_QTY         45927   /* 45927 - INVALID FORMAT IN FIELD VDO MIN EXEC QTY */
#define ERCD_INV_FORMAT_QUO_REQ_REJ_REASON_COD   45928   /* 45928 - INVALID FORMAT IN FIELD QUO REQ REJ REASON COD */
#define ERCD_INV_FORMAT_DEF_STL_INT_IND          45930   /* 45930 - INVALID FORMAT IN FIELD DEF STL INT IND */

#endif

/*----------------------------------------------------------------------------*/
/* End of file elbcodeXetra.h */
/*----------------------------------------------------------------------------*/
